'*********************************************************
'* Main Code for Aquamentus
'*
'*
'*********************************************************
SUB AquamentusMain (x)
    IF Sprites(x).Hurt = 0 THEN
        IF Sprites(x).Frame = 0 THEN
            CALL SoundBoard("", 1)
            Sprites(x).Frame = 1
        END IF

        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).Frame = Sprites(x).Frame + 1
            Sprites(x).AnimationDelay = 0
            IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
        END IF

        IF Sprites(x).Counter >= Sprites(x).MaxCount THEN
            Sprites(x).Counter = 1
            Sprites(x).Speed = Sprites(x).Speed * -1
            Sprites(MatrixPos).MaxCount = RandomGen(300, 60, "+", 0)
        ELSE
            Sprites(x).Counter = Sprites(x).Counter + 1
            Sprites(x).XPos = Sprites(x).XPos + Sprites(x).Speed
            IF Sprites(x).XPos > Settings.RightLimit - (Sprites(x).Size * 3) OR Sprites(x).XPos < Settings.RezX / 2 THEN Sprites(x).Counter = Sprites(x).MaxCount
        END IF

        Sprites(x).Counter2 = Sprites(x).Counter2 + 1
        IF Sprites(x).Counter2 = 15 THEN
            Sprites(x).Frame2 = 1
        ELSEIF Sprites(x).Counter2 = Sprites(x).MaxCount2 - 15 THEN
            Sprites(x).Frame2 = 2
        ELSEIF Sprites(x).Counter2 = Sprites(x).MaxCount2 THEN
            CALL SpawnSprite("TFire", Sprites(x).XPos, Sprites(x).YPos, 0, 0, 0, 0)
            Sprites(x).Counter2 = 0
            Sprites(x).MaxCount2 = RandomGen(50, 50, "+", 0)
        END IF

        CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + (Sprites(x).Size * 3), Sprites(x).YPos + (Sprites(x).Size * 3)), AquamentusSprites(Sprites(x).Frame, Sprites(x).Frame2), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + (Sprites(x).Size * 3), Sprites(x).YPos + (Sprites(x).Size * 3)), _RGB(254, 1, x), BF
    ELSE
        CALL MobHurt(x, AquamentusSprites(Sprites(x).Frame, Sprites(x).Frame2), _RGB(184, 248, 24), 0, 0)
    END IF
END SUB
