'*********************************************************
'* Main code for Bombs
'*
'*
'*********************************************************
SUB BombCode
    IF Attack(3).Stage = 0 THEN
        CALL SoundBoard("Bomb", -1)
        IF Attack(3).Direction = 1 THEN Attack(3).YPos = Attack(3).YPos - 40
        IF Attack(3).Direction = 2 THEN Attack(3).XPos = Attack(3).XPos + 40
        IF Attack(3).Direction = 3 THEN Attack(3).YPos = Attack(3).YPos + 40
        IF Attack(3).Direction = 4 THEN Attack(3).XPos = Attack(3).XPos - 40
        Attack(3).Stage = 1
        Player1.Bombs = Player1.Bombs - 1
        Settings.UpdateUI = 1

    ELSEIF Attack(3).Stage = 1 THEN
        Attack(3).Counter = Attack(3).Counter + 1
        IF Attack(3).Counter = Attack(3).MaxCount THEN Attack(3).Stage = 2
        IF Attack(3).Counter = 5 THEN Player1.Attacking = 0

        _DEST Sprites&
        _PUTIMAGE (Attack(3).XPos - Attack(3).Size + 3, Attack(3).YPos - Attack(3).Size)-(Attack(3).XPos + Attack(3).Size - 3, Attack(3).YPos + Attack(3).Size), BombSprite, Sprites&
        _DEST Collision&
        LINE (Attack(3).XPos - Attack(3).Size, Attack(3).YPos - Attack(3).Size)-(Attack(3).XPos + Attack(3).Size, Attack(3).YPos + Attack(3).Size), _RGB(40, 0, 200), BF

    ELSEIF Attack(3).Stage = 2 THEN
        CALL SoundBoard("Expl", -1)
        Attack(3).Active = 0
        CALL SpawnSprite("7Clou", Attack(3).XPos, Attack(3).YPos, 0, 0, 0, 0)
        Player1.LockSecondary = 0
        IF Attack(3).YPos < Settings.TopLimit AND Attack(3).XPos > 473 AND Attack(3).XPos < 543 AND ActiveMap.DoorN = 4 THEN CALL BombWall(1, ActiveMap.NFile)
        IF Attack(3).XPos > Settings.RightLimit AND Attack(3).YPos > 460 AND Attack(3).YPos < 516 AND ActiveMap.DoorE = 4 THEN CALL BombWall(2, ActiveMap.EFile)
        IF Attack(3).YPos > Settings.BottomLimit AND Attack(3).XPos > 473 AND Attack(3).XPos < 543 AND ActiveMap.DoorS = 4 THEN CALL BombWall(3, ActiveMap.SFile)
        IF Attack(3).XPos < Settings.LeftLimit AND Attack(3).YPos > 460 AND Attack(3).YPos < 516 AND ActiveMap.DoorW = 4 THEN CALL BombWall(4, ActiveMap.WFile)
    END IF
END SUB




'*********************************************************
'* Draws Bomb and hitbox so it can be colected
'*
'*
'*********************************************************
SUB DrawBomb (x)
    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), BombSprite, Sprites&
    _DEST Collision&
    LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(50, 0, x), BF
END SUB




'*********************************************************
'* SUB HiddenBomb (x)
'*
'* Sprite that stays hidden until room is cleared, then spawns a bombx4
'*********************************************************
SUB HiddenBomb (x)
    IF AreAllDead = 1 THEN
        CALL SpawnSprite("P-Bm4", Special(x).XPos, Special(x).YPos, 0, 0, 0, 0)
        CALL DeleteSprite(77)
        CALL SoundBoard("Key", -1)
        CALL KillSpecialSprite(x)
    END IF
END SUB