'*********************************************************
'* SUB CloudMain (x)
'*
'* Main code for cloud sprite.
'*********************************************************

SUB CloudMain (x)
    IF Special(x).Stage = 0 THEN
        Special(x).Stage = 1
        Special(x).MaxDelay = 8
    END IF

    Special(x).AnimationDelay = Special(x).AnimationDelay + 1

    IF Special(x).AnimationDelay = Special(x).MaxDelay AND Special(x).Stage = 1 THEN
        Special(x).Stage = 2
        Special(x).MaxDelay = Special(x).MaxDelay + 20
        Special(x).Master = 0

    ELSEIF Special(x).AnimationDelay = Special(x).MaxDelay AND Special(x).Stage > 1 AND Special(x).Stage < 6 THEN
        Special(x).Stage = Special(x).Stage + 1
        Special(x).Frame = Special(x).Frame + 1
        Special(x).AnimationDelay = 0
        Special(x).Master = 0
        IF Special(x).Stage = 3 THEN Special(x).MaxDelay = Special(x).MaxDelay / 4

    ELSEIF Special(x).Stage = 6 THEN
        Special(x).Master = 2
        Special(x).Stage = 8
        Special(x).MaxDelay = 7

    ELSEIF Special(x).Stage = 8 AND Special(x).AnimationDelay = Special(x).MaxDelay THEN
        IF Special(x).Controller <> 0 THEN Special(Special(x).Controller).Stage = Special(Special(x).Controller).Stage + 1
        CALL KillSpecialSprite(x)
    END IF



    IF Special(x).Active = 1 THEN
        IF Special(x).Stage < 6 THEN _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), CloudSprites(Special(x).Frame), Sprites&

        IF Special(x).Master = 1 THEN
            _DEST Collision&
            CIRCLE (Special(x).XPos, Special(x).YPos), Special(x).Size * 1.5, _RGB(70, 0, x)
            PAINT (Special(x).XPos, Special(x).YPos), _RGB(70, 0, x), _RGB(70, 0, x)

        ELSEIF Special(x).Master = 2 THEN
            _DEST Collision&
            CIRCLE (Special(x).XPos, Special(x).YPos), Special(x).Size * 1.5, _RGB(80, 0, x)
            PAINT (Special(x).XPos, Special(x).YPos), _RGB(80, 0, x), _RGB(80, 0, x)
        END IF
    END IF
END SUB