'*********************************************************
'* Code for DoDongo
'*
'*
'*********************************************************
SUB DoDongoMain (x)
    IF Sprites(x).Stage = 0 THEN
        CALL SoundBoard("", 3)
        Sprites(x).Stage = 1
    END IF

    IF Sprites(x).Hurt = 0 THEN
        7 CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)

        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1

        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).Frame = Sprites(x).Frame + 1
            Sprites(x).AnimationDelay = 0
            IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
        END IF

        IF Sprites(x).Direction = 2 OR Sprites(x).Direction = 4 THEN
            _PUTIMAGE (Sprites(x).XPos - (Sprites(x).Size * 1.7), Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + (Sprites(x).Size * 1.7), Sprites(x).YPos + Sprites(x).Size), DodongoSprites(Sprites(x).Direction, Sprites(x).Frame), Sprites&
        ELSE
            _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), DodongoSprites(Sprites(x).Direction, Sprites(x).Frame), Sprites&
        END IF

        IF Sprites(x).Stunned > 0 THEN
            _DEST Collision&
            LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(251, 0, x), BF
        END IF

    ELSE
        IF Sprites(x).Stunned > 0 THEN
            CALL SoundBoard("Hit", -1)
            Sprites(x).Health = 0
        ELSE

            Attack(3).Active = 0
            Player1.Attacking = 0

            Sprites(x).Counter2 = Sprites(x).Counter2 + 1
            IF Sprites(x).Counter2 >= Sprites(x).MaxCount2 THEN
                Sprites(x).Counter2 = 0
                Sprites(x).Health = Sprites(x).Health - 1
                Sprites(x).Hurt = 0
                Player1.LockSecondary = 0
            END IF

            IF Sprites(x).Direction = 2 OR Sprites(x).Direction = 4 THEN
                _PUTIMAGE (Sprites(x).XPos - (Sprites(x).Size * 1.7), Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + (Sprites(x).Size * 1.7), Sprites(x).YPos + Sprites(x).Size), DodongoSprites(Sprites(x).Direction, 3), Sprites&
            ELSE
                _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), DodongoSprites(Sprites(x).Direction, 3), Sprites&
            END IF
        END IF
    END IF
END SUB