'*********************************************************
'* Code used for fireballs. Enemy spawned.. EX: Zora
'*
'*
'*********************************************************

SUB FireballMain (x)
    IF Projectile(x).Stage = 0 THEN
        Projectile(x).Stage = 1

        Rise = Player1.YPos - Projectile(x).YPos
        Runn = Player1.XPos - Projectile(x).XPos

        Distance = SQR((Rise ^ 2) + (Runn ^ 2))
        DeltaY = (Rise / Distance) * Projectile(x).Speed
        DeltaX = (Runn / Distance) * Projectile(x).Speed

        Projectile(x).MoveY = DeltaY + Projectile(x).MoveY
        Projectile(x).MoveX = DeltaX + Projectile(x).MoveX
    END IF

    Projectile(x).XPos = Projectile(x).XPos + Projectile(x).MoveX
    Projectile(x).YPos = Projectile(x).YPos + Projectile(x).MoveY

    IF Projectile(x).XPos < Settings.LeftLimit - 20 OR Projectile(x).XPos < 0 THEN CALL KillProjectile(x)
    IF Projectile(x).XPos > Settings.RightLimit + 20 OR Projectile(x).XPos > Settings.RezX THEN CALL KillProjectile(x)
    IF Projectile(x).YPos < Settings.TopLimit - 20 OR Projectile(x).YPos < 200 THEN CALL KillProjectile(x)
    IF Projectile(x).YPos > Settings.BottomLimit + 20 OR Projectile(x).YPos > Settings.RezY THEN CALL KillProjectile(x)

    CALL ProjectileCollision(x)
    Temp& = SwapColor(FireballSprite&, _RGB(248, 56, 0), _RGB(RandomGen(255, 0, "+", 0), RandomGen(255, 0, "+", 0), RandomGen(255, 0, "+", 0)))
    IF Projectile(x).Active = 1 THEN _PUTIMAGE (Projectile(x).XPos - Projectile(x).Size, Projectile(x).YPos - Projectile(x).Size)-(Projectile(x).XPos + Projectile(x).Size, Projectile(x).YPos + Projectile(x).Size), Temp&, Sprites&
    _FREEIMAGE Temp&
END SUB