'*********************************************************
'* Main code for Ganon
'*
'*
'*********************************************************
SUB GanonMain (x)
    IF Sprites(x).Stage = 0 THEN
        CALL SoundBoard("", 1)
        Sprites(x).Stage = 2

    ELSEIF Sprites(x).Stage = 1 THEN
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), GannonSprites(1), Sprites&
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            DO
                IF _SNDPLAYING(SFX(28)) = 0 THEN EXIT DO
            LOOP

            Settings.LockInput = 0
            Sprites(x).Stage = 2
            Sprites(x).AnimationDelay = 0
            Player1.Frame = 1
            CALL FaceLinkProper
            CALL JukeBox(-2)
        END IF

    ELSEIF Sprites(x).Stage = 2 THEN
        IF Sprites(x).Misc = 250 AND Player1.Triforce = 8 AND LinkInRoom = 1 THEN
            Sprites(x).Stage = 1
            Settings.LockInput = 1
            Player1.Frame = 5
            Player1.Direction = 3
            Sprites(x).XPos = Settings.RezX / 2
            Sprites(x).YPos = (Settings.RezY / 2) + 200
            CALL JukeBox(-1)
            CALL SoundBoard("BossHit", -1)
            CALL SoundBoard("Ganon", -1)
            CALL SpawnSprite("L-Tri", Player1.XPos, Player1.YPos - Player1.Size - 20, 0, 67, 0, 0)
            Sprites(x).Misc = 251

        ELSE
            IF Sprites(x).XPos - Sprites(x).Size < Settings.LeftLimit OR Sprites(x).XPos + Sprites(x).Size > Settings.RightLimit THEN Sprites(x).MoveX = Sprites(x).MoveX * -1
            IF Sprites(x).YPos - Sprites(x).Size < Settings.TopLimit OR Sprites(x).YPos + Sprites(x).Size > Settings.BottomLimit THEN Sprites(x).MoveY = Sprites(x).MoveY * -1
            Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
            Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY


            Sprites(x).Counter = Sprites(x).Counter + 1
            IF Sprites(x).Counter = Sprites(x).MaxCount THEN
                Sprites(x).Counter = 0
                IF Sprites(x).Misc = 251 THEN CALL SpawnSprite("FireB", Sprites(x).XPos, Sprites(x).YPos, 0, 0, 0, 0)
            END IF
        END IF
    ELSEIF Sprites(x).Stage = 8 THEN
        Sprites(x).Frame = RandomGen(4, 1, "+", 0)
        IF Sprites(x).Health = 1 THEN
            CALL SoundBoard("Kill", -1)
        ELSE
            CALL SoundBoard("Hit", -1)
        END IF
        CALL SoundBoard("BossHit", -1)
        Sprites(x).Stage = 9
        Sprites(x).Hurt = -1

    ELSEIF Sprites(x).Stage = 9 THEN
        IF Sprites(x).Health = 1 THEN
            _DEST Collision&
            LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(253, 1, x), BF
            IF Sprites(x).Frame < 5 THEN Sprites(x).Frame = RandomGen(2, 4, "+", 0)
        END IF

        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), GannonSprites(Sprites(x).Frame), Sprites&
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1

        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).Stage = 2
            Sprites(x).Hurt = 0
            Sprites(x).AnimationDelay = 0
            IF Sprites(x).Health = 1 THEN
                Sprites(x).Health = 4
            ELSE
                Sprites(x).Health = Sprites(x).Health - 1
            END IF
        END IF
    END IF

    IF Sprites(x).Hurt = 0 THEN
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(Sprites(x).Misc, 1, x), BF
    ELSEIF Sprites(x).Hurt > 0 THEN
        Sprites(x).Stage = 8
    END IF
END SUB




'*********************************************************
'* Ganon's death sequence
'*
'*
'*********************************************************
SUB GanonDeath (x)
    IF Sprites(x).Frame2 = 0 THEN
        CALL SoundBoard("", 0)
        CALL JukeBox(-1)
        Sprites(x).Frame2 = 1
    END IF

    Sprites(x).Counter = Sprites(x).Counter + 1
    BustSprite& = SwapColor(GannonSprites(Sprites(x).Frame), _RGB(228, 92, 16), _RGB(RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0)))
    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size - XAdd, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size + XAdd, Sprites(x).YPos + Sprites(x).Size), BustSprite&, Sprites&
    _FREEIMAGE BustSprite&

    IF Sprites(x).Counter = 180 THEN
        CALL SoundBoard("Ganon", -1)
        CALL SpawnSprite("Spark", Sprites(x).XPos, Sprites(x).YPos, 0, 0, 0, 0)
        CALL SpawnSprite("Trip", Sprites(x).XPos, Sprites(x).YPos, 0, 0, 0, 0)
        CALL KillSprite(x)
        CALL SoundBoard("BossHit", -1)
    END IF
END SUB