'*********************************************************
'* SUB KeyMain (x)
'*
'* Collectable key and master key
'*********************************************************
SUB CollectableKey (x)
    IF Special(x).Stage = 1 THEN
        IF Special(x).Name = "P-MKe" THEN
            Special(x).Stage = 2
            CALL Fanfare(x, 1)
        ELSE
            Player1.Keys = Player1.Keys + 1
            CALL KillSpecialSprite(x)
            CALL DeleteSprite(Special(x).Master)
            CALL SoundBoard("Heart", -1)
            CALL SaveGame("Key+1 Upgrade")
        END IF

    ELSEIF Special(x).Stage = 2 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = Special(x).MaxCount THEN
            Player1.Keys = 999
            CALL KillSpecialSprite(x)
            CALL Fanfare(x, -1)
            CALL DeleteSprite(Special(x).Master)
            CALL SaveGame("Key+999 Upgrade")
        END IF
    END IF


    SpriteSize = Special(x).Size / 2
    IF Special(x).Name = "P-MKe" THEN
        _PUTIMAGE (Special(x).XPos - SpriteSize, Special(x).YPos - Special(x).Size)-(Special(x).XPos + SpriteSize, Special(x).YPos + Special(x).Size), KeySprites(2), Sprites&
    ELSE
        _PUTIMAGE (Special(x).XPos - SpriteSize, Special(x).YPos - Special(x).Size)-(Special(x).XPos + SpriteSize, Special(x).YPos + Special(x).Size), KeySprites(1), Sprites&
    END IF

    _DEST Collision&
    LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(60, 0, x), BF
END SUB


'*********************************************************
'* SUB SpawnKey (x)
'*
'* Code for spawning keys, HKKey when mobs are dead, HOKey when switch or block is moved
'*********************************************************

SUB SpawnKey (x)
    IF Settings.ShowStairs = 1 AND Special(x).Name = "HOKey" THEN Special(x).Stage = 1
    IF Special(x).Name = "HKKey" AND AreAllDead = 1 THEN Special(x).Stage = 1


    IF Special(x).Stage = 1 THEN
        MatrixX = GetMatrixX(x, 3)
        MatrixY = GetMatrixY(x, 3)
        SpriteMatrix(MatrixX, MatrixY) = 54
        CALL SaveMap
        CALL SpawnSprite("P-Key", Special(x).XPos, Special(x).YPos, 0, 54, 0, 0)
        CALL SoundBoard("Key", -1)
        CALL KillSpecialSprite(x)
    END IF
END SUB