'*********************************************************
'* SUB LadderMain (x)
'*
'* Main code for when Link uses the ladder.
'*********************************************************

SUB LadderMain (x)
    WOffset = 30
    HOffset = 20

    IF Player1.LadderInUse = 1 THEN
        IF Player1.XPos < Special(x).XPos - Special(x).SizeW - WOffset OR Player1.XPos > Special(x).XPos + Special(x).SizeW + WOffset OR Player1.YPos < Special(x).YPos - Special(x).SizeH - HOffset OR Player1.YPos > Special(x).YPos + Special(x).SizeH + HOffset THEN
            Player1.LadderInUse = 0
            CALL KillSpecialSprite(x)
        END IF
    END IF

    _PUTIMAGE (Special(x).XPos - Special(x).SizeW, Special(x).YPos - Special(x).SizeH)-(Special(x).XPos + Special(x).SizeW, Special(x).YPos + Special(x).SizeH), LadderSprite, Sprites&
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).SizeW - 4, Special(x).YPos - Special(x).SizeH - 1)-(Special(x).XPos + Special(x).SizeW + 3, Special(x).YPos + Special(x).SizeH + 1), _RGB(0, 0, 0), BF
END SUB



'*********************************************************
'* SUB CollectableLadder (x)
'*
'* Collectable ladder
'*********************************************************
SUB CollectableLadder (x)
    IF Special(x).Stage = 1 THEN
        Special(x).Stage = 2
        CALL Fanfare(x, 1)

    ELSEIF Special(x).Stage = 2 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = Special(x).MaxCount THEN
            Player1.HaveLadder = 1
            CALL KillSpecialSprite(x)
            CALL Fanfare(x, -1)
            CALL DeleteSprite(Special(x).Master)
            CALL SaveGame("Ladder Upgrade")
        END IF
    END IF

    _PUTIMAGE (Special(x).XPos - (Special(x).Size), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size), Special(x).YPos + Special(x).Size), LadderSprite, Sprites&
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(60, 0, x), BF
END SUB