'*********************************************************
'* Code for Red Leevers
'*
'*
'*********************************************************

SUB RedLeeverMain (x)
    IF Sprites(x).Stage = 0 THEN
        IF Player1.Direction = 1 THEN
            IF CheckIfCanTeleport(0, Player1.XPos, Player1.YPos - 200, Sprites(x).Size) = 1 THEN
                Sprites(x).XPos = Player1.XPos
                Sprites(x).YPos = Player1.YPos - 200
                Sprites(x).Direction = 3
                Sprites(x).MoveY = Sprites(x).Speed
                Sprites(x).Stage = 1
                Sprites(x).MaxCount = 20
            END IF
        ELSEIF Player1.Direction = 2 THEN
            IF CheckIfCanTeleport(0, Player1.XPos + 200, Player1.YPos, Sprites(x).Size) = 1 THEN
                Sprites(x).XPos = Player1.XPos + 200
                Sprites(x).YPos = Player1.YPos
                Sprites(x).Direction = 4
                Sprites(x).MoveX = Sprites(x).Speed * -1
                Sprites(x).Stage = 1
                Sprites(x).MaxCount = 20
            END IF
        ELSEIF Player1.Direction = 3 THEN
            IF CheckIfCanTeleport(0, Player1.XPos, Player1.YPos + 200, Sprites(x).Size) = 1 THEN
                Sprites(x).XPos = Player1.XPos
                Sprites(x).YPos = Player1.YPos + 200
                Sprites(x).Direction = 1
                Sprites(x).MoveY = Sprites(x).Speed * -1
                Sprites(x).Stage = 1
                Sprites(x).MaxCount = 20
            END IF
        ELSEIF Player1.Direction = 4 THEN
            IF CheckIfCanTeleport(0, Player1.XPos - 200, Player1.YPos, Sprites(x).Size) = 1 THEN
                Sprites(x).XPos = Player1.XPos - 200
                Sprites(x).YPos = Player1.YPos
                Sprites(x).Direction = 2
                Sprites(x).MoveX = Sprites(x).Speed
                Sprites(x).Stage = 1
                Sprites(x).MaxCount = 20
            END IF
        END IF

    ELSEIF Sprites(x).Stage = 1 OR Sprites(x).Stage = 6 THEN
        Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
        Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY
        Sprites(x).Counter = Sprites(x).Counter + 1

        IF Sprites(x).Counter = Sprites(x).MaxCount THEN
            IF Sprites(x).Stage = 1 THEN
                Sprites(x).Stage = 2
                Sprites(x).Counter = 0
                Sprites(x).MaxCount = 5
                Sprites(x).Frame = 3
            ELSE
                Sprites(x).Stage = 7
                Sprites(x).Counter = 0
            END IF
        ELSE
            IF Sprites(x).Counter MOD 5 = 0 THEN Sprites(x).Frame = Sprites(x).Frame + 1
            IF Sprites(x).Frame > 2 THEN Sprites(x).Frame = 1
        END IF

    ELSEIF Sprites(x).Stage = 2 OR Sprites(x).Stage = 5 THEN
        Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
        Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY
        Sprites(x).Counter = Sprites(x).Counter + 1
        IF Sprites(x).Counter = Sprites(x).MaxCount THEN
            Sprites(x).Counter = 0
            IF Sprites(x).Stage = 2 THEN
                Sprites(x).MaxCount = 90 - INT(Player1.Size / 2)
                Sprites(x).MoveX = Sprites(x).MoveX * 2
                Sprites(x).MoveY = Sprites(x).MoveY * 2
            ELSE
                Sprites(x).MaxCount = 20
            END IF
            Sprites(x).Stage = Sprites(x).Stage + 1
            IF Sprites(x).Stage = 2 THEN Sprites(x).Frame = 4
        END IF

    ELSEIF Sprites(x).Stage = 3 THEN
        Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
        Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        Sprites(x).Counter = Sprites(x).Counter + 1
        CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)
        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).AnimationDelay = 0
            Sprites(x).Frame = Sprites(x).Frame + 1
            IF Sprites(x).Frame = 6 THEN Sprites(x).Frame = 4
        END IF
        IF Sprites(x).Counter = Sprites(x).MaxCount THEN
            Sprites(x).Stage = 5
            Sprites(x).MoveX = Sprites(x).MoveX / 2
            Sprites(x).MoveY = Sprites(x).MoveY / 2
            Sprites(x).MaxCount = 4
            Sprites(x).Counter = 0
            Sprites(x).Frame = 3
        END IF

    ELSEIF Sprites(x).Stage = 7 THEN
        Sprites(x).Counter = Sprites(x).Counter + 1
        IF Sprites(x).Counter = 50 THEN
            Sprites(x).Counter = 0
            Sprites(x).Stage = 0
            Sprites(x).MoveX = 0
            Sprites(x).MoveY = 0
        END IF
    END IF

    IF Sprites(x).Hurt = 0 THEN
        IF Sprites(x).Stage <> 7 AND Sprites(x).Stage <> 0 THEN
            _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), LeeverSprites(Sprites(x).Frame2, Sprites(x).Frame), Sprites&
        END IF
        IF Sprites(x).Stage = 3 THEN
            _DEST Collision&
            LINE (Sprites(x).XPos - Sprites(x).Size - 5, Sprites(x).YPos - Sprites(x).Size - 5)-(Sprites(x).XPos + Sprites(x).Size + 5, Sprites(x).YPos + Sprites(x).Size + 5), _RGB(254, 1, x), BF
        END IF
    ELSE
        CALL MobHurt(x, LeeverSprites(Sprites(x).Frame2, Sprites(x).Frame), _RGB(248, 56, 0), 1, 0)
    END IF
END SUB






'*********************************************************
'* Code for Blue Leevers
'*
'*
'*********************************************************

SUB BlueLeeverMain (x)
    IF Sprites(x).Stage = 0 THEN
        Sprites(x).MaxCount2 = RandomGen(100, 150, "+", 0)
        Sprites(x).Stage = 1
        Sprites(x).Counter2 = 0

    ELSEIF Sprites(x).Stage = 1 THEN
        CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        Sprites(x).Counter2 = Sprites(x).Counter2 + 1
        IF Sprites(x).Counter2 = Sprites(x).MaxCount2 THEN
            Sprites(x).Counter2 = 0
            Sprites(x).Stage = 2
            Sprites(x).MaxCount2 = 20
        END IF

    ELSEIF Sprites(x).Stage = 2 OR Sprites(x).Stage = 6 THEN
        CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        Sprites(x).Counter2 = Sprites(x).Counter2 + 1
        IF Sprites(x).Counter2 = Sprites(x).MaxCount2 THEN
            IF Sprites(x).Stage = 2 THEN
                Sprites(x).Stage = 3
                Sprites(x).Counter2 = 0
                Sprites(x).MaxCount2 = 5
                Sprites(x).Frame = 3
            ELSE
                Sprites(x).Stage = 0
                Sprites(x).Counter2 = 0
            END IF
        ELSE
            IF Sprites(x).Counter2 MOD 5 = 0 THEN Sprites(x).Frame = Sprites(x).Frame + 1
            IF Sprites(x).Frame > 2 THEN Sprites(x).Frame = 1
        END IF

    ELSEIF Sprites(x).Stage = 3 OR Sprites(x).Stage = 5 THEN
        CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        Sprites(x).Counter2 = Sprites(x).Counter2 + 1
        IF Sprites(x).Counter2 = Sprites(x).MaxCount2 THEN
            Sprites(x).Counter2 = 0
            IF Sprites(x).Stage = 3 THEN
                Sprites(x).MaxCount2 = RandomGen(100, 150, "+", 0)
            ELSE
                Sprites(x).MaxCount2 = 20
            END IF
            Sprites(x).Stage = Sprites(x).Stage + 1
            IF Sprites(x).Stage = 4 THEN Sprites(x).Frame = 4
        END IF

    ELSEIF Sprites(x).Stage = 4 THEN
        CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        Sprites(x).Counter2 = Sprites(x).Counter2 + 1
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).AnimationDelay = 0
            Sprites(x).Frame = Sprites(x).Frame + 1
            IF Sprites(x).Frame = 6 THEN Sprites(x).Frame = 4
        END IF
        IF Sprites(x).Counter2 = Sprites(x).MaxCount2 THEN
            Sprites(x).Stage = 5
            Sprites(x).MaxCount2 = 5
            Sprites(x).Counter2 = 0
            Sprites(x).Frame = 3
        END IF
    END IF

    IF Sprites(x).Hurt = 0 THEN
        IF Sprites(x).Stage <> 1 THEN
            _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), LeeverSprites(Sprites(x).Frame2, Sprites(x).Frame), Sprites&
        END IF
        IF Sprites(x).Stage = 4 THEN
            _DEST Collision&
            LINE (Sprites(x).XPos - Sprites(x).Size - 5, Sprites(x).YPos - Sprites(x).Size - 5)-(Sprites(x).XPos + Sprites(x).Size + 5, Sprites(x).YPos + Sprites(x).Size + 5), _RGB(254, 1, x), BF
        END IF
    ELSE
        CALL MobHurt(x, LeeverSprites(Sprites(x).Frame2, Sprites(x).Frame), _RGB(0, 0, 188), 1, 0)
    END IF
END SUB