'*********************************************************
'* Code for Lynels
'*
'*
'*********************************************************
SUB LynelMain (x)
    IF Sprites(x).Hurt = 0 THEN
        IF Sprites(x).Pause = 0 THEN
            CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        ELSE
            CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)
            Sprites(x).Pause = Sprites(x).Pause - 1
            IF Sprites(x).Pause = 10 AND Sprites(x).Name = "RLyne" THEN CALL SpawnSprite("RSwor", Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Direction, 0, 0, 0)
            IF Sprites(x).Pause = 10 AND Sprites(x).Name = "BLyne" THEN CALL SpawnSprite("BSwor", Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Direction, 0, 0, 0)
        END IF

        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).Frame = Sprites(x).Frame + 1
            Sprites(x).AnimationDelay = 0
            IF Sprites(x).Name = "BLyne" THEN
                IF Sprites(x).Frame = 5 THEN Sprites(x).Frame = 3
            ELSE
                IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
            END IF
        ELSE
            Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        END IF

        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), LynelSprites(Sprites(x).Direction, Sprites(x).Frame), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(254, 1, x), BF

    ELSE
        IF Sprites(x).Name = "RLyne" THEN CALL MobHurt(x, LynelSprites(Sprites(x).Direction, Sprites(x).Frame), _RGB(248, 56, 0), 1, 0)
        IF Sprites(x).Name = "BLyne" THEN CALL MobHurt(x, LynelSprites(Sprites(x).Direction, Sprites(x).Frame), _RGB(0, 0, 188), 1, 0)
    END IF
END SUB




'*********************************************************
'* Code for Lynel swords
'*
'*
'*********************************************************

SUB LynelSword (x)
    Projectile(x).XPos = Projectile(x).XPos + Projectile(x).MoveX
    Projectile(x).YPos = Projectile(x).YPos + Projectile(x).MoveY

    IF Projectile(x).XPos < Settings.LeftLimit - 20 OR Projectile(x).XPos < 0 THEN CALL KillProjectile(x)
    IF Projectile(x).XPos > Settings.RightLimit + 20 OR Projectile(x).XPos > Settings.RezX THEN CALL KillProjectile(x)
    IF Projectile(x).YPos < Settings.TopLimit - 20 OR Projectile(x).YPos < 200 THEN CALL KillProjectile(x)
    IF Projectile(x).YPos > Settings.BottomLimit + 20 OR Projectile(x).YPos > Settings.RezY THEN CALL KillProjectile(x)

    CALL ProjectileCollision(x)

    IF Projectile(x).Active = 1 THEN
        IF Projectile(x).Name = "BSwor" THEN
            IF Projectile(x).Direction = 1 OR Projectile(x).Direction = 3 THEN _PUTIMAGE (Projectile(x).XPos - 12, Projectile(x).YPos - 20)-(Projectile(x).XPos + 12, Projectile(x).YPos + 25), AttackSprites&(Projectile(x).Direction, 2), Sprites&
            IF Projectile(x).Direction = 2 OR Projectile(x).Direction = 4 THEN _PUTIMAGE (Projectile(x).XPos - 25, Projectile(x).YPos - 10)-(Projectile(x).XPos + 20, Projectile(x).YPos + 10), AttackSprites&(Projectile(x).Direction, 2), Sprites&
        ELSE
            Projectile(x).Frame = Projectile(x).Frame + 1
            IF Projectile(x).Frame > 4 THEN Projectile(x).Frame = 1
            IF Projectile(x).Direction = 1 OR Projectile(x).Direction = 3 THEN _PUTIMAGE (Projectile(x).XPos - 12, Projectile(x).YPos - 20)-(Projectile(x).XPos + 12, Projectile(x).YPos + 25), AttackSprites&(Projectile(x).Direction, Projectile(x).Frame), Sprites&
            IF Projectile(x).Direction = 2 OR Projectile(x).Direction = 4 THEN _PUTIMAGE (Projectile(x).XPos - 25, Projectile(x).YPos - 10)-(Projectile(x).XPos + 20, Projectile(x).YPos + 10), AttackSprites&(Projectile(x).Direction, Projectile(x).Frame), Sprites&
        END IF
    END IF
END SUB