'*********************************************************
'* Code for Manhala main section.
'*
'*
'*********************************************************

SUB ManhalaMain (x)
    IF Sprites(x).Stage = 0 THEN
        CALL SoundBoard("", 4)
        Sprites(x).Stage = 1
    END IF

    CALL MoveMob(8, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)

    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), ManhandlaSprites(5, 1), Sprites&
END SUB




'*********************************************************
'* Code for Manhala's crab hands? or whatever they are
'*
'*
'*********************************************************
SUB ManhalaArms (x)
    Sprites(x).Size = Sprites(Sprites(x).PatraLoc).Size
    Sprites(x).XPos = Sprites(Sprites(x).PatraLoc).XPos
    Sprites(x).YPos = Sprites(Sprites(x).PatraLoc).YPos
    SizeDiv3 = Sprites(Sprites(x).PatraLoc).Size / 3
    Sprites(x).Counter2 = Sprites(x).Counter2 + 1
    Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1

    IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
        Sprites(x).Frame = Sprites(x).Frame + 1
        IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
        Sprites(x).AnimationDelay = 0
    END IF

    IF Sprites(x).Counter2 = Sprites(x).MaxCount2 THEN
        Sprites(x).Counter2 = 0
        Sprites(x).MaxCount2 = RandomGen(50, 75, "+", 0)
        IF Sprites(x).Frame2 = 1 THEN CALL SpawnSprite("FireB", Sprites(Sprites(x).PatraLoc).XPos, Sprites(Sprites(x).PatraLoc).YPos - (SizeDiv3 * 2), 0, 0, 0, 0)
        IF Sprites(x).Frame2 = 2 THEN CALL SpawnSprite("FireB", Sprites(Sprites(x).PatraLoc).XPos + (SizeDiv3 * 2), Sprites(Sprites(x).PatraLoc).YPos, 0, 0, 0, 0)
        IF Sprites(x).Frame2 = 3 THEN CALL SpawnSprite("FireB", Sprites(Sprites(x).PatraLoc).XPos, Sprites(Sprites(x).PatraLoc).YPos + (SizeDiv3 * 2), 0, 0, 0, 0)
        IF Sprites(x).Frame2 = 4 THEN CALL SpawnSprite("FireB", Sprites(Sprites(x).PatraLoc).XPos - (SizeDiv3 * 2), Sprites(Sprites(x).PatraLoc).YPos, 0, 0, 0, 0)
    END IF

    IF Sprites(x).Frame2 = 1 THEN CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos - (SizeDiv3 * 2), SizeDiv3, x)
    IF Sprites(x).Frame2 = 2 THEN CALL MobCollision2(Sprites(x).XPos + (SizeDiv3 * 2), Sprites(x).YPos, SizeDiv3, x)
    IF Sprites(x).Frame2 = 3 THEN CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos + (SizeDiv3 * 2), SizeDiv3, x)
    IF Sprites(x).Frame2 = 4 THEN CALL MobCollision2(Sprites(x).XPos - (SizeDiv3 * 2), Sprites(x).YPos, SizeDiv3, x)

    IF Sprites(x).Hurt = 0 THEN
        _PUTIMAGE (Sprites(Sprites(x).PatraLoc).XPos - Sprites(Sprites(x).PatraLoc).Size, Sprites(Sprites(x).PatraLoc).YPos - Sprites(Sprites(x).PatraLoc).Size)-(Sprites(Sprites(x).PatraLoc).XPos + Sprites(Sprites(x).PatraLoc).Size, Sprites(Sprites(x).PatraLoc).YPos + Sprites(Sprites(x).PatraLoc).Size), ManhandlaSprites(Sprites(x).Frame2, Sprites(x).Frame), Sprites&
        _DEST Collision&
        IF Sprites(x).Frame2 = 1 THEN LINE (Sprites(Sprites(x).PatraLoc).XPos - SizeDiv3, Sprites(Sprites(x).PatraLoc).YPos - Sprites(Sprites(x).PatraLoc).Size)-(Sprites(Sprites(x).PatraLoc).XPos + SizeDiv3, Sprites(Sprites(x).PatraLoc).YPos - SizeDiv3), _RGB(254, 1, x), BF
        IF Sprites(x).Frame2 = 2 THEN LINE (Sprites(Sprites(x).PatraLoc).XPos + SizeDiv3, Sprites(Sprites(x).PatraLoc).YPos - SizeDiv3)-(Sprites(Sprites(x).PatraLoc).XPos + Sprites(Sprites(x).PatraLoc).Size, Sprites(Sprites(x).PatraLoc).YPos + SizeDiv3), _RGB(254, 1, x), BF
        IF Sprites(x).Frame2 = 3 THEN LINE (Sprites(Sprites(x).PatraLoc).XPos - SizeDiv3, Sprites(Sprites(x).PatraLoc).YPos + Sprites(Sprites(x).PatraLoc).Size)-(Sprites(Sprites(x).PatraLoc).XPos + SizeDiv3, Sprites(Sprites(x).PatraLoc).YPos + SizeDiv3), _RGB(254, 1, x), BF
        IF Sprites(x).Frame2 = 4 THEN LINE (Sprites(Sprites(x).PatraLoc).XPos - SizeDiv3, Sprites(Sprites(x).PatraLoc).YPos - SizeDiv3)-(Sprites(Sprites(x).PatraLoc).XPos - Sprites(Sprites(x).PatraLoc).Size, Sprites(Sprites(x).PatraLoc).YPos + SizeDiv3), _RGB(254, 1, x), BF
    ELSE
        CALL MobHurt(x, ManhandlaSprites(Sprites(x).Frame2, Sprites(x).Frame), _RGB(104, 136, 255), 0, 0)
    END IF
END SUB