'*********************************************************
'* When spawned checks if room is dark. If so creates a flash
'* of light to illuminate the room. EX: Bomb exploding
'*
'*********************************************************

SUB FlashSprite (x)
    IF Settings.BlackedOut = 0 THEN
        KillSpecialSprite (x)
    ELSE
        IF Special(x).Stage = 0 THEN
            Settings.Alpha = 0
            Special(x).Stage = 1
        ELSEIF Special(x).Stage = 1 THEN
            Settings.Alpha = Settings.Alpha + 10
            Settings.UpdateUI = 1
            IF Settings.Alpha = 250 THEN KillSpecialSprite (x)
        END IF
    END IF
END SUB



'*********************************************************
'* Sprite that is spawned when something is killed
'*
'*
'*********************************************************

SUB DeathSprite (x)
    Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1

    IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
        Sprites(x).Frame = Sprites(x).Frame + 1
        Sprites(x).AnimationDelay = 0
        IF Sprites(x).Frame = 4 THEN
            Sprites(x).Frame = 1
            Sprites(x).Stage = Sprites(x).Stage + 1
        END IF
    END IF

    IF Sprites(x).Stage = 1 THEN
        Sprites(x).Stage = Sprites(x).Stage + 1
        Sprites(x).Size = Sprites(x).Size * 2

    ELSEIF Sprites(x).Stage = 4 THEN
        Sprites(x).Stage = Sprites(x).Stage + 1
        Sprites(x).Size = Sprites(x).Size / 2

    ELSEIF Sprites(x).Stage = 6 THEN
        KillSprite (x)
    END IF

    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), DeathSprites(Sprites(x).Frame), Sprites&
END SUB