'*********************************************************
'* Code for Octorocks
'*
'*
'*********************************************************
SUB OctorockMain (x)
    IF Sprites(x).Hurt = 0 THEN
        IF Sprites(x).Pause = 0 THEN
            CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        ELSE
            Sprites(x).Pause = Sprites(x).Pause - 1
            IF PercentChance(50) = 1 AND Sprites(x).Pause = 10 THEN CALL SpawnSprite("OctoR", Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Direction, 0, 0, 0)
            CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)
        END IF

        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).Frame = Sprites(x).Frame + 1
            Sprites(x).AnimationDelay = 0
            IF Sprites(x).Name = "BOcto" THEN
                IF Sprites(x).Frame = 5 THEN Sprites(x).Frame = 3
            ELSE
                IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
            END IF
        ELSE
            Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        END IF

        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), OctorokSprites(Sprites(x).Direction, Sprites(x).Frame), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(254, 1, x), BF

    ELSE
        CALL MobHurt(x, OctorokSprites(Sprites(x).Direction, Sprites(x).Frame), _RGB(0, 0, 188), 1, 0)
    END IF
END SUB


'*********************************************************
'* Code for octorock projectile
'*
'*
'*********************************************************

SUB OctorockRock (x)
    Projectile(x).XPos = Projectile(x).XPos + Projectile(x).MoveX
    Projectile(x).YPos = Projectile(x).YPos + Projectile(x).MoveY

    IF Projectile(x).XPos < Settings.LeftLimit - 20 OR Projectile(x).XPos < 0 THEN CALL KillProjectile(x)
    IF Projectile(x).XPos > Settings.RightLimit + 20 OR Projectile(x).XPos > Settings.RezX THEN CALL KillProjectile(x)
    IF Projectile(x).YPos < Settings.TopLimit - 20 OR Projectile(x).YPos < 200 THEN CALL KillProjectile(x)
    IF Projectile(x).YPos > Settings.BottomLimit + 20 OR Projectile(x).YPos > Settings.RezY THEN CALL KillProjectile(x)

    CALL ProjectileCollision(x)

    IF Projectile(x).Active = 1 THEN _PUTIMAGE (Projectile(x).XPos - Projectile(x).Size, Projectile(x).YPos - Projectile(x).Size)-(Projectile(x).XPos + Projectile(x).Size, Projectile(x).YPos + Projectile(x).Size), OctoRockSprite&, Sprites&
END SUB