'*********************************************************
'* Code for the main partra. Controls the flight pattern as well
'*
'*
'*********************************************************

SUB PatraMain (x)
    IF Sprites(x).Stage = 0 THEN
        'spawn mini patras
        Sprites(x).Stage = 1
        Settings.BackSFX = 8
        Sprites(x).RadX = 100
        Sprites(x).RadY = 100
        Sprites(x).Segments = 8
        CALL SpawnSprite("SPatr", Sprites(x).XPos, Sprites(x).YPos, 0, x, 0, 0)
        CALL SpawnSprite("SPatr", Sprites(x).XPos, Sprites(x).YPos, 0, x, .9, 0)
        CALL SpawnSprite("SPatr", Sprites(x).XPos, Sprites(x).YPos, 0, x, 1.65, 0)
        CALL SpawnSprite("SPatr", Sprites(x).XPos, Sprites(x).YPos, 0, x, 2.4, 0)
        CALL SpawnSprite("SPatr", Sprites(x).XPos, Sprites(x).YPos, 0, x, 3.15, 0)
        CALL SpawnSprite("SPatr", Sprites(x).XPos, Sprites(x).YPos, 0, x, 3.9, 0)
        CALL SpawnSprite("SPatr", Sprites(x).XPos, Sprites(x).YPos, 0, x, 4.65, 0)
        CALL SpawnSprite("SPatr", Sprites(x).XPos, Sprites(x).YPos, 0, x, 5.4, 0)
    ELSEIF Sprites(x).Stage = 1 THEN
        CALL MoveMob(8, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        IF Sprites(x).Frame2 = 0 AND PercentChance(.1) = 1 THEN Sprites(x).Frame2 = 1
        IF Sprites(x).Segments = 0 AND Sprites(x).Frame2 <> 10 THEN Sprites(x).Frame2 = 10
    END IF

    IF Sprites(x).Frame2 = 1 THEN
        Sprites(x).RadX = Sprites(x).RadX + 2
        Sprites(x).RadY = Sprites(x).RadY + 2
        IF Sprites(x).RadX = 200 THEN Sprites(x).Frame2 = 2
    ELSEIF Sprites(x).Frame2 = 2 THEN
        IF PercentChance(.1) = 1 THEN Sprites(x).Frame2 = 3
        IF PercentChance(.1) = 1 THEN Sprites(x).Frame2 = 4
        IF PercentChance(.1) = 1 THEN Sprites(x).Frame2 = 8
    ELSEIF Sprites(x).Frame2 = 3 THEN
        Sprites(x).RadX = Sprites(x).RadX - 2
        Sprites(x).RadY = Sprites(x).RadY - 2
        IF Sprites(x).RadX = 100 THEN Sprites(x).Frame2 = 0
    ELSEIF Sprites(x).Frame2 = 4 THEN
        Sprites(x).RadY = Sprites(x).RadY - 2
        IF Sprites(x).RadY = 100 THEN Sprites(x).Frame2 = 5
    ELSEIF Sprites(x).Frame2 = 5 THEN
        IF PercentChance(.1) = 1 THEN Sprites(x).Frame2 = 6
        IF PercentChance(.1) = 1 THEN Sprites(x).Frame2 = 7
    ELSEIF Sprites(x).Frame2 = 6 THEN
        Sprites(x).RadY = Sprites(x).RadY + 2
        IF Sprites(x).RadY = 200 THEN Sprites(x).Frame2 = 2
    ELSEIF Sprites(x).Frame2 = 7 THEN
        Sprites(x).RadX = Sprites(x).RadX - 2
        IF Sprites(x).RadX = 100 THEN Sprites(x).Frame2 = 0
    ELSEIF Sprites(x).Frame2 = 8 THEN
        Sprites(x).RadX = Sprites(x).RadX - 2
        Sprites(x).Angle = -2
        IF Sprites(x).RadX = 100 THEN Sprites(x).Frame2 = 9
    ELSEIF Sprites(x).Frame2 = 9 THEN
        Sprites(x).RadX = Sprites(x).RadX - 2
        Sprites(x).RadY = Sprites(x).RadY + Sprites(x).Angle
        IF Sprites(x).RadY = 0 THEN Sprites(x).Angle = 2
        IF Sprites(x).RadY = 200 THEN Sprites(x).Angle = -2
        IF Sprites(x).RadX = 0 THEN Sprites(x).Frame2 = 10
        IF PercentChance(.5) = 1 AND Sprites(x).RadX > 100 AND Sprites(x).RadY > 100 THEN Sprites(x).Frame2 = 11
    ELSEIF Sprites(x).Frame2 = 10 THEN
        Sprites(x).RadX = Sprites(x).RadX + 2
        Sprites(x).RadY = Sprites(x).RadY + Sprites(x).Angle
        IF Sprites(x).RadY = 0 THEN Sprites(x).Angle = 2
        IF Sprites(x).RadY = 200 THEN Sprites(x).Angle = -2
        IF Sprites(x).RadX = 200 THEN Sprites(x).Frame2 = 9
        IF PercentChance(.5) = 1 AND Sprites(x).RadX > 100 AND Sprites(x).RadY > 100 THEN Sprites(x).Frame2 = 11
    ELSEIF Sprites(x).Frame2 = 11 THEN
        IF Sprites(x).RadX > 100 THEN Sprites(x).RadX = Sprites(x).RadX - 2
        IF Sprites(x).RadY > 100 THEN Sprites(x).RadY = Sprites(x).RadY - 2
        IF Sprites(x).RadX = 100 AND Sprites(x).RadY = 100 THEN Sprites(x).Frame2 = 0
    END IF


    IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
        Sprites(x).AnimationDelay = 0
        IF Sprites(x).Frame = 1 THEN
            Sprites(x).Frame = 2
        ELSE
            Sprites(x).Frame = 1
        END IF
    ELSE
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
    END IF

    IF Sprites(x).Hurt = 0 THEN
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size - 5, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size + 5, Sprites(x).YPos + Sprites(x).Size), PatraSprites(1, Sprites(x).Frame), Sprites&
        _DEST Collision&
        IF Sprites(x).Frame2 = 10 THEN LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(254, 1, x), BF
    ELSE
        CALL MobHurt(x, PatraSprites(1, Sprites(x).Frame), _RGB(104, 136, 255), 0, 5)
    END IF
END SUB









'*********************************************************
'* Code for the small partras
'*
'*
'*********************************************************
SUB SmallPatraMain (x)
    IF Player1.Direction = 1 THEN Sprites(x).Direction = 3
    IF Player1.Direction = 2 THEN Sprites(x).Direction = 4
    IF Player1.Direction = 3 THEN Sprites(x).Direction = 1
    IF Player1.Direction = 4 THEN Sprites(x).Direction = 2

    SPx = Sprites(Sprites(x).PatraLoc).XPos + COS(Sprites(x).Angle) * Sprites(Sprites(x).PatraLoc).RadX
    SPy = Sprites(Sprites(x).PatraLoc).YPos + SIN(Sprites(x).Angle) * Sprites(Sprites(x).PatraLoc).RadY
    Sprites(x).Angle = Sprites(x).Angle + Sprites(x).Speed
    Sprites(x).XPos = SPx
    Sprites(x).YPos = SPy
    CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)

    IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
        Sprites(x).AnimationDelay = 0
        IF Sprites(x).Frame = 1 THEN
            Sprites(x).Frame = 2
        ELSE
            Sprites(x).Frame = 1
        END IF
    ELSE
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
    END IF

    IF Sprites(x).Hurt = 0 THEN
        _DEST Sprites&
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), PatraSprites(2, Sprites(x).Frame), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(254, 1, x), BF
    ELSE
        CALL MobHurt(x, PatraSprites(2, Sprites(x).Frame), _RGB(255, 160, 68), 0, 0)
    END IF
END SUB