'*********************************************************
'* SUB CollectableRaft(x)
'*
'* Code for collectible raft
'*********************************************************

SUB CollectableRaft (x)
    IF Special(x).Stage = 1 THEN
        Special(x).Stage = 2
        CALL Fanfare(x, 1)

    ELSEIF Special(x).Stage = 2 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = Special(x).MaxCount THEN
            Player1.HaveRaft = 1
            CALL KillSpecialSprite(x)
            CALL Fanfare(x, -1)
            CALL DeleteSprite(Special(x).Master)
            CALL SaveGame("Raft Upgrade")
        END IF

    END IF

    _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), RaftSprites(1), Sprites&
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(60, 0, x), BF
END SUB

'*********************************************************
'* SUB RaftBox (x)
'*
'*  Draws hitbox that triggers raft travel
'*********************************************************
SUB RaftBox (x)
    _DEST Collision&
    LINE (Special(x).XPos - Player1.Size, Special(x).YPos - Player1.Size)-(Special(x).XPos + Player1.Size, Special(x).YPos + Player1.Size), _RGB(100, 0, x), BF
END SUB