'*********************************************************
'* SUB CollectableRing (x)
'*
'* Code for collectable ring
'*********************************************************

SUB CollectableRing (x)
    IF Special(x).Stage = 1 THEN
        Special(x).Stage = 2
        CALL Fanfare(x, 1)

    ELSEIF Special(x).Stage = 2 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = Special(x).MaxCount THEN
            IF Special(x).Name = "P-BRi" THEN
                Player1.Ring = 2
                Player1.DamageTaken = .5
            ELSE
                Player1.Ring = 3
                Player1.DamageTaken = .25
            END IF
            CALL KillSpecialSprite(x)
            CALL Fanfare(x, -1)
            CALL DeleteSprite(Special(x).Master)
            CALL SaveGame("Ring Upgrade")
        END IF

    END IF

    IF Special(x).Name = "P-BRi" THEN
        _PUTIMAGE (Special(x).XPos - (Special(x).Size / 2), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 2), Special(x).YPos + Special(x).Size), RingSprites(1), Sprites&
    ELSE
        _PUTIMAGE (Special(x).XPos - (Special(x).Size / 2), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 2), Special(x).YPos + Special(x).Size), RingSprites(2), Sprites&
    END IF
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(60, 0, x), BF
END SUB