'*********************************************************
'* SUB CollectableSword (x)
'*
'* Code for the collectable swords
'*********************************************************
SUB CollectableSword (x)
    IF Special(x).Name = "P-WSw" THEN
        _PUTIMAGE (Special(x).XPos - (Special(x).Size / 2), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 2), Special(x).YPos + Special(x).Size), AttackSprites(1, 2), Sprites&
    ELSEIF Special(x).Name = "P-MSw" THEN
        _PUTIMAGE (Special(x).XPos - (Special(x).Size / 2), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 2), Special(x).YPos + Special(x).Size), AttackSprites(1, 5), Sprites&
    ELSEIF Special(x).Name = "P-MAS" THEN
        _PUTIMAGE (Special(x).XPos - (Special(x).Size / 2), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 2), Special(x).YPos + Special(x).Size), AttackSprites(1, 6), Sprites&
    ELSE
        _PUTIMAGE (Special(x).XPos - (Special(x).Size / 2), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 2), Special(x).YPos + Special(x).Size), AttackSprites(1, 1), Sprites&
    END IF


    IF Player1.MaxHealth >= Special(x).Controller AND Player1.Sword = Special(x).Damage THEN

        IF Special(x).Stage = 1 THEN
            Special(x).Stage = 2
            CALL Fanfare(x, 1)

        ELSEIF Special(x).Stage = 2 THEN
            Special(x).Counter = Special(x).Counter + 1
            IF Special(x).Counter = Special(x).MaxCount THEN
                IF Special(x).Name = "P-WSw" THEN
                    Player1.Sword = 2
                    Player1.SwordDamage = 2
                ELSEIF Special(x).Name = "P-MSw" THEN
                    Player1.Sword = 3
                    Player1.SwordDamage = 4
                ELSEIF Special(x).Name = "P-MAS" THEN
                    Player1.Sword = 4
                    Player1.SwordDamage = 5
                ELSE
                    Player1.Sword = 1
                    Player1.SwordDamage = 1
                END IF
                CALL KillSpecialSprite(x)
                CALL Fanfare(x, -1)
                CALL DeleteSprite(Special(x).Master)
                CALL SaveGame("Sword Upgrade")
            END IF

        END IF

        _DEST Collision&
        LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(60, 0, x), BF

    ELSEIF Special(x).Stage = 0 THEN
        CALL PrintTxT("You are unable to wield this weapon.")
        Special(x).Stage = 3
    END IF
END SUB




'*********************************************************
'* Code for the sword sparks
'*
'*
'*********************************************************

SUB SwordSparks (x)
    IF Sprites(x).Counter = Sprites(x).MaxCount THEN
        KillSprite (x)
        EXIT SUB
    ELSE
        Sprites(x).Counter = Sprites(x).Counter + 1
    END IF

    Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
    Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY

    IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
        Sprites(x).Frame = Sprites(x).Frame + 1
        Sprites(x).AnimationDelay = 0
        IF Sprites(x).Frame = 5 THEN Sprites(x).Frame = 1
    ELSE
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
    END IF
    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), SparkSprites(Sprites(x).Direction, Sprites(x).Frame), Sprites&
END SUB