'*********************************************************
'* Main code for Tektites
'*
'*
'*********************************************************

SUB TektiteMain (x)
    IF Sprites(x).Stunned = 0 THEN
        IF Sprites(x).Stage = 0 THEN
            Sprites(x).MaxCount = RandomGen(100, 150, "+", 0)
            Sprites(x).Stage = 1
            Sprites(x).Counter = RandomGen(50, 100, "+", 0)
        END IF

        IF Sprites(x).Stage = 1 THEN
            IF Sprites(x).Counter = Sprites(x).MaxCount THEN
                Sprites(x).Counter = -20
                Sprites(x).Stage = 2
                Sprites(x).Frame = 2
                Sprites(x).MoveX = Sprites(x).Speed / 2
                Sprites(x).MoveY = Sprites(x).Speed * -1
                IF PercentChance(50) = 1 THEN Sprites(x).MoveX = Sprites(x).MoveX * -1
            ELSE
                Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
                Sprites(x).Counter = Sprites(x).Counter + 1
                IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
                    Sprites(x).Frame = Sprites(x).Frame + 1
                    IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
                    Sprites(x).AnimationDelay = 0
                END IF
            END IF
        END IF

        IF Sprites(x).Stage = 2 THEN
            Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
            Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY
            IF Sprites(x).XPos < Settings.LeftLimit THEN Sprites(x).XPos = Settings.LeftLimit
            IF Sprites(x).XPos > Settings.RightLimit THEN Sprites(x).XPos = Settings.RightLimit
            Sprites(x).Counter = Sprites(x).Counter + 1
            IF Sprites(x).Counter > Sprites(x).MoveY THEN Sprites(x).MoveY = Sprites(x).Counter
            IF Sprites(x).MoveY > Sprites(x).Speed THEN Sprites(x).MoveY = Sprites(x).Speed
            IF Sprites(x).Counter = 20 THEN Sprites(x).Stage = 0
            IF Sprites(x).Counter = 0 AND PercentChance(10) = 1 AND Sprites(x).YPos > Settings.TopLimit THEN Sprites(x).Stage = 0
            IF Sprites(x).Counter = 20 AND PercentChance(30) = 1 AND Sprites(x).YPos < Settings.BottomLimit - (20 * Sprites(x).Speed) THEN Sprites(x).Stage = 3: Sprites(x).Counter = 0
            IF Sprites(x).Counter = 20 AND Sprites(x).YPos < Settings.TopLimit THEN Sprites(x).Stage = 3: Sprites(x).Counter = 0
            IF Sprites(x).XPos <= Settings.LeftLimit OR Sprites(x).XPos >= Settings.RightLimit THEN
                Sprites(x).Counter = -20
                Sprites(x).MoveX = Sprites(x).MoveX * -1
                Sprites(x).MoveY = Sprites(x).Speed * -1
            END IF
        END IF

        IF Sprites(x).Stage = 3 THEN
            Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
            Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY
            Sprites(x).Counter = Sprites(x).Counter + 1
            IF Sprites(x).XPos <= Settings.LeftLimit THEN Sprites(x).XPos = Settings.LeftLimit: Sprites(x).Stage = 0
            IF Sprites(x).XPos >= Settings.RightLimit THEN Sprites(x).XPos = Settings.RightLimit: Sprites(x).Stage = 0
            IF Sprites(x).YPos > Settings.BottomLimit THEN Sprites(x).YPos = Settings.BottomLimit: Sprites(x).Stage = 0
            IF Sprites(x).Counter = 20 THEN Sprites(x).Stage = 0
        END IF

    ELSE
        Sprites(x).Stunned = Sprites(x).Stunned - 1
    END IF

    CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)
    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), TektiteSprites(Sprites(x).Frame2, Sprites(x).Frame), Sprites&
    _DEST Collision&
    LINE (Sprites(x).XPos - Sprites(x).Size - 5, Sprites(x).YPos - Sprites(x).Size - 5)-(Sprites(x).XPos + Sprites(x).Size + 5, Sprites(x).YPos + Sprites(x).Size + 5), _RGB(254, 1, x), BF
END SUB