'*********************************************************
'* SUB TriforceMain (x)
'*
'* Main code for actual triforce and cosmetic one
'*********************************************************
SUB TriforceMain (x)
    Special(x).AnimationDelay = Special(x).AnimationDelay + 1
    IF Special(x).AnimationDelay = Special(x).MaxDelay THEN
        Special(x).AnimationDelay = 0
        Special(x).Frame = Special(x).Frame + 1
        IF Special(x).Frame = 3 THEN Special(x).Frame = 1
    END IF

    IF Special(x).Name = "L-Tri" THEN
        IF _SNDPLAYING(SFX(28)) = 0 AND Special(x).Master = 0 THEN KillSpecialSprite (x)
    END IF

    IF Special(x).Stage = 1 THEN
        CALL Fanfare(x, 2)
        Special(x).Counter = 0
    ELSEIF Special(x).Stage = 2 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = 60 THEN
            Special(x).Stage = Special(x).Stage + 1
            Special(x).Counter = 0
        END IF
    ELSEIF Special(x).Stage = 3 THEN
        Scene& = Fade2Black(Scene&)
        Foreground& = Fade2Black(Foreground&)
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = 10 THEN Special(x).Stage = Special(x).Stage + 1
    ELSEIF Special(x).Stage = 4 THEN
        IF _SNDPLAYING(BGM&) = 0 THEN Special(x).Stage = Special(x).Stage + 1
    ELSEIF Special(x).Stage = 5 THEN
        CALL DeleteSprite(67)
        CALL KillAllSprites
        Player1.Triforce = Player1.Triforce + 1
        Settings.LockAttack = 0
        Player1.Animate = 1
        Player1.Frame = 1
        Player1.CanAttack = 1
        Player1.CanMove = 1
        Player1.LockSecondary = 0
        Player1.AnimationDelay = 0
        Player1.Health = Player1.MaxHealth
        CALL SaveGame("Triforce")
        _DEST WaterScreen&
        CLS
        _PUTIMAGE (0, 0)-(Settings.RezX, Settings.RezY), WaterSprites(1), WaterScreen&
        CALL TransitionMap(RTRIM$(LTRIM$(ActiveMap.SecretZone)) + Settings.MapExtension, 5)
        CALL SpawnSpriteMatrix(0)
        EXIT SUB
    END IF

    DrawSize = Player1.Size
    _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), TriforceSprites(Special(x).Frame), Sprites&


    IF Special(x).Name = "P-Tri" THEN
        _DEST Collision&
        LINE (Special(x).XPos - DrawSize, Special(x).YPos - DrawSize)-(Special(x).XPos + DrawSize, Special(x).YPos + DrawSize), _RGB(60, 0, x), BF
    END IF
END SUB


'*********************************************************
'* Spawned when Ganon dies.
'*
'*
'*********************************************************

SUB PowerTriforceMain (x)
    IF Special(x).Stage = 1 THEN
        CALL SoundBoard("Item", -1)
        KillAllSprites
        KillSprite (x)
        CALL JukeBox(-2)
    END IF


    _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), TriforceSprites(3), Sprites&
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(60, 0, x), BF
END SUB