'*********************************************************
'* Main code for wand weapon
'*
'*
'*********************************************************

SUB WandMain (x)
    IF Projectile(x).Stage = 0 THEN
        Player1.CanMove = 0
        IF Player1.Direction = 1 OR Player1.Direction = 3 THEN Player1.WidthMod = 8
        Projectile(x).Stage = 1
        IF Projectile(x).Direction = 1 THEN Projectile(x).YPos = Projectile(x).YPos - 50
        IF Projectile(x).Direction = 2 THEN Projectile(x).XPos = Projectile(x).XPos + 40
        IF Projectile(x).Direction = 3 THEN Projectile(x).YPos = Projectile(x).YPos + 35
        IF Projectile(x).Direction = 4 THEN Projectile(x).XPos = Projectile(x).XPos - 40

    ELSE
        IF Projectile(x).Stage = 1 THEN
            Projectile(x).Counter = Projectile(x).Counter + 1

            IF Projectile(x).Counter = 16 THEN
                Projectile(x).Stage = Projectile(x).Stage + 1
                Projectile(x).Counter = 0
            END IF

        ELSEIF Projectile(x).Stage = 2 THEN
            CALL SpawnSprite("Magic", Projectile(x).XPos, Projectile(x).YPos, Projectile(x).Direction, 0, 0, 1)
            Projectile(x).Stage = 3
            IF Projectile(x).Direction = 1 OR Projectile(x).Direction = 3 THEN Projectile(x).MoveY = Projectile(x).MoveY * -1
            IF Projectile(x).Direction = 2 OR Projectile(x).Direction = 4 THEN Projectile(x).MoveX = Projectile(x).MoveX * -1

        ELSEIF Projectile(x).Stage = 3 THEN
            Projectile(x).Active = 0
            Player1.Attacking = 0
            Player1.WidthMod = 0
            Player1.CanMove = 1
        END IF
    END IF

    IF Projectile(x).Direction = 1 OR Projectile(x).Direction = 3 THEN _PUTIMAGE (Projectile(x).XPos - 7, Projectile(x).YPos - 20)-(Projectile(x).XPos + 7, Projectile(x).YPos + 25), WandSprites(Projectile(x).Direction), Sprites&
    IF Projectile(x).Direction = 2 OR Projectile(x).Direction = 4 THEN _PUTIMAGE (Projectile(x).XPos - 25, Projectile(x).YPos - 6)-(Projectile(x).XPos + 20, Projectile(x).YPos + 6), WandSprites(Projectile(x).Direction), Sprites&
END SUB





'*********************************************************
'* Sub CollectableWand(x)
'*
'*  Code for collectable wand
'*********************************************************
SUB CollectableWand(x)
    IF Special(x).Stage = 1 THEN
        Special(x).Stage = 2
        CALL Fanfare(x, 1)

    ELSEIF Special(x).Stage = 2 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = Special(x).MaxCount THEN
            Player1.HaveWand = 1
            CALL KillSpecialSprite(x)
            CALL Fanfare(x, -1)
            CALL DeleteSprite(Special(x).Master)
            CALL SaveGame("Wand Upgrade")
        END IF
    END IF

    _PUTIMAGE (Special(x).XPos - (Special(x).Size / 3), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 3), Special(x).YPos + Special(x).Size), WandSprites(1), Sprites&
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(60, 0, x), BF
END SUB