'*********************************************************
'* SUB SolidWaterfallMain (x)
'*
'* Main code for waterfall sprite that is solid
'*********************************************************

SUB SolidWaterfallMain (x)
    IF Special(x).AnimationDelay = Special(x).MaxDelay THEN
        Special(x).AnimationDelay = 0
        Special(x).Frame = Special(x).Frame + 1

        IF Special(x).Frame = 4 THEN Special(x).Frame = 1
    ELSE
        Special(x).AnimationDelay = Special(x).AnimationDelay + 1
    END IF


    _DEST Collision&
    LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(20, 0, x), BF
    _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), WaterfallSprites(Special(x).Frame), Sprites&
END SUB


'*********************************************************
'* Waterfall you can walk through
'*
'*
'*********************************************************
SUB NonSolidWaterfall (x)
    IF Projectile(x).AnimationDelay = Projectile(x).MaxDelay THEN
        Projectile(x).AnimationDelay = 0
        Projectile(x).Frame = Projectile(x).Frame + 1

        IF Projectile(x).Frame = 4 THEN Projectile(x).Frame = 1
    ELSE
        Projectile(x).AnimationDelay = Projectile(x).AnimationDelay + 1
    END IF

    _DEST Sprites&
    _PUTIMAGE (Projectile(x).XPos - Projectile(x).Size, Projectile(x).YPos - Projectile(x).Size)-(Projectile(x).XPos + Projectile(x).Size, Projectile(x).YPos + Projectile(x).Size), WaterfallSprites(Projectile(x).Frame), Sprites&
END SUB