'*********************************************************
'* Main code for Princess Zelda.
'* When Link steps into her hitbox it starts the end sequence
'*
'*********************************************************

SUB ZeldaMain (x)
    IF Special(x).Stage = 1 THEN
        Settings.LockInput = 2
        Player1.Direction = 3
        Player1.YPos = Special(x).YPos
        Player1.XPos = Special(x).XPos + ((Player1.Size * 2) + 5)
        Special(x).Stage = 2
        CALL JukeBox(8)


    ELSEIF Special(x).Stage = 2 THEN
        IF _SNDPLAYING(BGM&) <> -1 THEN
            CALL KillAllRegSprites
            CALL JukeBox(9)
            Special(x).Stage = 3
            Player1.Frame = 5
            Special(x).Frame = 5
            CALL SpawnSprite("L-Tri", Player1.XPos, Player1.YPos - Player1.Size - 20, 0, 67, 0, 1)
            CALL SpawnSprite("L-Tri", Special(x).XPos, Special(x).YPos - Special(x).Size - 20, 0, 67, 0, 1)
        END IF

    ELSEIF Special(x).Stage = 3 THEN
        Scene& = Fade2Black(Scene&)
        Foreground& = Fade2Black(Foreground&)
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = 15 THEN Special(x).Stage = 4

    ELSEIF Special(x).Stage = 4 THEN
        CALL PrintTxT("Thank You For Playing!")
        Special(x).Stage = 5

    ELSEIF Special(x).Stage = 5 THEN
        IF _SNDPLAYING(BGM&) <> -1 THEN
            CALL SaveGame("Ending")
            Settings.Intro = 1
            Settings.MainMenu = 1
            Settings.LockInput = 0
            Settings.Ending = 1
            Player1.Frame = 1
            CALL KillAllSprites

            ConnStatus = OpenConnection
            IF ConnStatus = 1 THEN
                Junk = GetLeaderBoard
                IF Player1.Score * -1 > LeaderBoard(20).Score * -1 AND Settings.UpdateBoardActive = 1 THEN
                    IF SendScore(RTRIM$(Settings.User), Player1.Score) = 1 THEN
                        _DEST Display&
                        LOCATE 12, 1
                        PRINT
                        COLOR _RGB(255,0,0)
                        PRINT "                                                                               NEW TIME!"
                        Junk = GetLeaderBoard
                        CALL JukeBox(6)
                        Call CloseConnection
                        DO 
                        LOOP UNTIL _SNDPLAYING(BGM&) <> -1
                    END IF
                END IF
            END IF

        END IF
      END IF

    _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), CharacterSprites(Special(x).Frame), Sprites&
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).SizeH, Special(x).YPos - Special(x).SizeH)-(Special(x).XPos + Special(x).SizeH, Special(x).YPos + Special(x).SizeH), _RGB(140, 0, x), BF
END SUB
