'*********************************************************
'* Code for Gel
'*
'*
'*********************************************************

SUB GelMain (x)
    IF Sprites(x).Stage = 0 THEN
        CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        IF Sprites(x).Counter = Sprites(x).MaxCount THEN
            Sprites(x).Stage = 1
            Sprites(x).Counter = 0
        END IF
    ELSEIF Sprites(x).Stage = 1 THEN
        Sprites(x).Counter = Sprites(x).Counter + 1
        IF Sprites(x).Counter = 60 THEN
            Sprites(x).Stage = 0
            Sprites(x).Counter = Sprites(x).MaxCount
        END IF
    END IF

    IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
        Sprites(x).AnimationDelay = 0
        IF Sprites(x).Frame = 1 THEN
            Sprites(x).Frame = 2
        ELSE
            Sprites(x).Frame = 1
        END IF
    ELSE
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
    END IF

    _DEST Sprites&
    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), GelSprites(Sprites(x).Frame), Sprites&
    _DEST Collision&
    LINE (Sprites(x).XPos - Sprites(x).Size - 5, Sprites(x).YPos - Sprites(x).Size - 5)-(Sprites(x).XPos + Sprites(x).Size + 5, Sprites(x).YPos + Sprites(x).Size + 5), _RGB(254, 1, x), BF
END SUB







'*********************************************************
'* Code for Zol
'*
'*
'*********************************************************
SUB ZolMain (x)
    IF Sprites(x).Hurt = 0 THEN
        IF Sprites(x).Stage = 0 THEN
            CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
            IF Sprites(x).Counter = Sprites(x).MaxCount THEN
                Sprites(x).Stage = 1
                Sprites(x).Counter = 0
            END IF
        ELSEIF Sprites(x).Stage = 1 THEN
            Sprites(x).Counter = Sprites(x).Counter + 1
            IF Sprites(x).Counter = 60 THEN
                Sprites(x).Stage = 0
                Sprites(x).Counter = Sprites(x).MaxCount
            END IF
        END IF

        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).AnimationDelay = 0
            IF Sprites(x).Frame = 1 THEN
                Sprites(x).Frame = 2
            ELSE
                Sprites(x).Frame = 1
            END IF
        ELSE
            Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        END IF

        _DEST Sprites&
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), ZolSprites(Sprites(x).Frame), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(254, 1, x), BF
    ELSE
        CALL MobHurt(x, ZolSprites(Sprites(x).Frame), _RGB(124, 124, 124), 2, 0)
    END IF
END SUB