'*********************************************************
'* Main Code for Zora
'*
'*
'*********************************************************
SUB ZoraMain (x)
    IF Sprites(x).Stage = 0 THEN
        Sprites(x).MaxCount = 8
        Sprites(x).AnimationDelay = 0
        Sprites(x).MaxDelay = 5
        Sprites(x).Stage = 1
        Sprites(x).Counter = 0
        Sprites(x).Frame = 1
        DO
            px = RandomGen(ActiveMap.SpriteLimitX - 1, 0, "+", 0)
            py = RandomGen(ActiveMap.SpriteLimitY - 1, 0, "+", 0)
            IF SpriteMatrix(px, py) = 56 + Settings.SpriteDivider THEN EXIT DO
        LOOP
        Sprites(x).XPos = px * Settings.SquareWidth + (Settings.SquareWidth / 2)
        Sprites(x).YPos = py * Settings.SquareHeight + (Settings.SquareHeight / 2) + Settings.TopLimit

    ELSEIF Sprites(x).Stage = 1 OR Sprites(x).Stage = 4 THEN
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).AnimationDelay = 0
            Sprites(x).Frame = Sprites(x).Frame + 1
            IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
            Sprites(x).Counter = Sprites(x).Counter + 1

            IF Sprites(x).Counter = Sprites(x).MaxCount THEN
                Sprites(x).Stage = Sprites(x).Stage + 1
                IF Sprites(x).Stage = 5 THEN Sprites(x).MaxCount = RandomGen(100, 150, "+", 0)
            END IF
        END IF

    ELSEIF Sprites(x).Stage = 2 THEN
        Sprites(x).Frame = 3
        Sprites(x).MaxCount = 100
        Sprites(x).Counter = 0
        Sprites(x).Stage = 3

    ELSEIF Sprites(x).Stage = 3 THEN
        Sprites(x).Counter = Sprites(x).Counter + 1
        IF Sprites(x).Counter = 75 THEN CALL SpawnSprite("FireB", Sprites(x).XPos, Sprites(x).YPos, 0, 0, 0, 0)
        IF Sprites(x).Counter = Sprites(x).MaxCount THEN
            Sprites(x).Stage = 4
            Sprites(x).MaxCount = 8
            Sprites(x).AnimationDelay = 0
            Sprites(x).MaxDelay = 5
            Sprites(x).Counter = 0
            Sprites(x).Frame = 1
        END IF

    ELSEIF Sprites(x).Stage = 5 THEN
        Sprites(x).Counter = Sprites(x).Counter + 1
        IF Sprites(x).Counter = Sprites(x).MaxCount THEN Sprites(x).Stage = 0
    END IF

    IF Sprites(x).Hurt = 0 THEN
        IF Sprites(x).Stage > 0 AND Sprites(x).Stage < 5 THEN
            _DEST Sprites&
            _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), ZoraSprites(Sprites(x).Frame), Sprites&
            _DEST Collision&
            IF Sprites(x).Stage = 3 THEN LINE (Sprites(x).XPos - Sprites(x).Size - 5, Sprites(x).YPos - Sprites(x).Size - 5)-(Sprites(x).XPos + Sprites(x).Size + 5, Sprites(x).YPos + Sprites(x).Size + 5), _RGB(254, 1, x), BF

        END IF
    ELSE
        CALL MobHurt(x, ZoraSprites(Sprites(x).Frame), _RGB(248, 56, 0), 1, 0)
    END IF
END SUB
