'$include:'Engine\Global.h'
Settings.Debug = 3


$CONSOLE
_CONSOLETITLE "Master Sword Editor Console"


DIM SHARED WindowTitle$
WindowTitle$ = "Master Sworld World Builder v1.0"
_TITLE WindowTitle$

ON ERROR GOTO ErrorHandle
IF _FILEEXISTS("E-Error.txt") THEN KILL "E-Error.txt"


Settings.ActiveSectionX = -1
Settings.ActiveSectionY = -1
Settings.EditorActive = 1
Settings.Changed = 1


DIM SHARED LockFButtons AS INTEGER
'DIM SHARED ShowOutputScreen AS INTEGER
'DIM SHARED ActiveSprite AS INTEGER

DIM SHARED OctorokSprites(2) AS LONG
DIM SHARED GoriyaSprites(2) AS LONG
DIM SHARED MoblinSprites(2) AS LONG
DIM SHARED RopeSprite AS LONG
DIM SHARED DarknutSprites(2) AS LONG
DIM SHARED LynelSprites(2) AS LONG
DIM SHARED KeeseSprite AS LONG
DIM SHARED PeahatSprite AS LONG
DIM SHARED GibdoSprite AS LONG
DIM SHARED ArmosSprite AS LONG
DIM SHARED FlameSprite AS LONG
DIM SHARED LanmolaSprites(2) AS LONG
DIM SHARED StalfosSprite AS LONG
DIM SHARED TektiteSprites(2) AS LONG
DIM SHARED GelSprite AS LONG
DIM SHARED ZolSprite AS LONG
DIM SHARED TrapSprite AS LONG
DIM SHARED PatraSprite AS LONG
DIM SHARED WizzrobeSprites(2) AS LONG
DIM SHARED GhiniSprite AS LONG
DIM SHARED LeeverSprites(2) AS LONG
DIM SHARED LinkSprite AS LONG
DIM SHARED MoldormSprite AS LONG
DIM SHARED WaterfallSprite AS LONG
DIM SHARED ZoraSprite AS LONG
DIM SHARED VireSprite AS LONG
DIM SHARED BubbleSprite AS LONG
DIM SHARED PolsVoiceSprite AS LONG
DIM SHARED LikeLikeSprite AS LONG
DIM SHARED SwordSprites(4) AS LONG
DIM SHARED PotionSprites(2) AS LONG
DIM SHARED CandleSprites(2) AS LONG
DIM SHARED RingSprites(2) AS LONG
DIM SHARED BoomerangSprites(2) AS LONG
DIM SHARED KeySprites(2) AS LONG
DIM SHARED HeartSprite AS LONG
DIM SHARED WandSprite AS LONG
DIM SHARED TriforceSprite AS LONG
DIM SHARED FluteSprite AS LONG
DIM SHARED BowSprite AS LONG
DIM SHARED ClockSprite AS LONG
DIM SHARED BookSprite AS LONG
DIM SHARED FoodSprite AS LONG
DIM SHARED LadderSprite AS LONG
DIM SHARED RaftSprite AS LONG
DIM SHARED ArrowSprite AS LONG
DIM SHARED CharacterSprites(5) AS LONG
DIM SHARED BombSprite AS LONG

DIM SHARED AquamentusSprite AS LONG
DIM SHARED DodongoSprite AS LONG
DIM SHARED ManhandlaSprite AS LONG
DIM SHARED GleeokSprite AS LONG
DIM SHARED DigdoggerSprite AS LONG
DIM SHARED GohmaSprite(2) AS LONG
DIM SHARED GannonSprite AS LONG


CALL InitEditor


IF Settings.Debug = 1 THEN TIMER(FramerateTimer) ON
DO
    loops = loops + 1

    _LIMIT 30
    Mouse = _MOUSEINPUT
    IF Settings.LockInput = 0 THEN
        KeyDown$ = UCASE$(INKEY$)

        IF _KEYDOWN(27) = -1 THEN
            SYSTEM
        ELSEIF _KEYDOWN(9) = -1 THEN
            ERROR 97
        ELSEIF ActiveMap.Type = 2 AND _KEYDOWN(15104) = -1 AND LockFButtons = 0 THEN
            CALL InputHandle("F1")
        ELSEIF ActiveMap.Type = 2 AND _KEYDOWN(15360) = -1 AND LockFButtons = 0 THEN
            CALL InputHandle("F2")
        ELSEIF ActiveMap.Type = 2 AND _KEYDOWN(15616) = -1 AND LockFButtons = 0 THEN
            CALL InputHandle("F3")
        ELSEIF ActiveMap.Type = 2 AND _KEYDOWN(15872) = -1 AND LockFButtons = 0 THEN
            CALL InputHandle("F4")
        ELSEIF _KEYDOWN(16128) = -1 THEN
            CALL InputHandle("F5")
        ELSEIF _KEYDOWN(16384) = -1 THEN
            CALL InputHandle("F6")
        ELSEIF _KEYDOWN(16640) = -1 THEN
            CALL InputHandle("F7")
        ELSEIF _KEYDOWN(16896) = -1 THEN
            CALL InputHandle("F8")
        ELSEIF _KEYDOWN(17152) = -1 THEN
            CALL InputHandle("F9")
        ELSEIF _KEYDOWN(17408) = -1 THEN
            CALL InputHandle("F10")
        ELSEIF _KEYDOWN(34048) = -1 THEN
            CALL InputHandle("F11")
        ELSEIF _KEYDOWN(34304) = -1 THEN
            CALL InputHandle("F12")
        END IF

        IF KeyDown$ = "M" THEN
            CALL InputHandle("M")
        ELSEIF KeyDown$ = "L" THEN
            CALL InputHandle("L")
        ELSEIF KeyDown$ = "S" THEN
            CALL InputHandle("S")
        ELSEIF KeyDown$ = "B" THEN
            CALL InputHandle("B")
        ELSEIF KeyDown$ = "P" THEN
            CALL InputHandle("P")
        ELSEIF KeyDown$ = "D" THEN
            CALL InputHandle("D")
        ELSEIF KeyDown$ = "T" THEN
            CALL InputHandle("T")
        ELSEIF KeyDown$ = "N" THEN
            CALL InputHandle("N")
        ELSEIF KeyDown$ = "Z" THEN
            CALL InputHandle("Z")
        ELSEIF KeyDown$ = "C" THEN
            CALL InputHandle("C")
        ELSEIF KeyDown$ = "X" THEN
            CALL InputHandle("X")
        END IF

        DO WHILE _MOUSEINPUT
            IF _MOUSEBUTTON(1) = -1 AND Settings.LockInput = 0 THEN CALL InputHandle("LM")
            IF _MOUSEBUTTON(2) = -1 AND Settings.LockInput = 0 THEN CALL InputHandle("RM")
            IF _MOUSEBUTTON(3) = -1 AND Settings.LockInput = 0 THEN CALL InputHandle("MM")
            Settings.LockInput = 1
            DO WHILE _MOUSEINPUT
                CALL MouseMath
            LOOP
            _LIMIT 30
        LOOP


        IF _SNDPLAYING(BGM&) = 0 AND Settings.SetLoop <> 0 AND ActiveMap.BGM <> 0 THEN
            _SNDSETPOS BGM&, Settings.SetLoop
            _SNDPLAY BGM&
        END IF
    END IF

    junk%% = _MOUSEINPUT
    IF junk%% = 0 THEN Settings.LockInput = 0

    IF Settings.MapActive = 1 THEN CALL AssembleDisplay
    IF _KEYDOWN(15104) = 0 AND _KEYDOWN(15360) = 0 AND _KEYDOWN(15616) = 0 AND _KEYDOWN(15872) = 0 THEN LockFButtons = 0

LOOP

ErrorHandle:
CALL EditorErrorHandler

SUB InputHandle (Action$)
    IF Settings.LockInput = 0 AND Settings.MapActive = 1 THEN


        IF Action$ = "M" THEN
            _DEST Display&
            IF _SNDPLAYING(BGM&) = -1 THEN _SNDSTOP (BGM&)
            ActiveMap.BGM = ActiveMap.BGM + 1
            IF ActiveMap.BGM = 5 THEN ActiveMap.BGM = 0
            PRINT "Switching to BGM:"; ActiveMap.BGM

            IF ActiveMap.BGM = 4 THEN
                CALL JukeBox(10)
            ELSE
                CALL JukeBox(ActiveMap.BGM)
            END IF
            Settings.Changed = 1

        ELSEIF Action$ = "P" THEN
            IF ActiveMap.Type <> 4 THEN
                _DEST Display&
                junk$ = INKEY$
                ActiveMap.SubType = ActiveMap.SubType + 1
                IF ActiveMap.SubType = Settings.MaxLevels + 1 THEN ActiveMap.SubType = 1
                IF ActiveMap.Type = 1 AND ActiveMap.SubType > 3 THEN ActiveMap.SubType = 1
                IF ActiveMap.Type = 3 AND ActiveMap.SubType > 2 THEN ActiveMap.SubType = 1
                IF ActiveMap.Type = 5 AND ActiveMap.SubType > 2 THEN ActiveMap.SubType = 1
                PRINT "Changing Subtype to:"; ActiveMap.SubType
                Settings.Changed = 1
                CALL PrefabMap
            END IF

        ELSEIF Action$ = "B" THEN
            _DEST Display&
            IF ActiveMap.AmbientSound <> 0 THEN _SNDSTOP AMBSFX(ActiveMap.AmbientSound)
            ActiveMap.AmbientSound = ActiveMap.AmbientSound + 1
            IF ActiveMap.AmbientSound = 5 THEN ActiveMap.AmbientSound = 0
            CALL SoundBoard("", ActiveMap.AmbientSound)
            PRINT "Setting ambient sound to:"; ActiveMap.AmbientSound
            Settings.Changed = 1

        ELSEIF Action$ = "T" THEN
            _DEST Display&
            ActiveMap.Type = ActiveMap.Type + 1
            ActiveMap.SubType = 1
            IF ActiveMap.Type = 6 THEN ActiveMap.Type = 1
            CALL ClearMatrix
            CALL SetMapSize
            CALL ActiveMapChange(ActiveMap.Type, ActiveMap.SpriteLimitX, ActiveMap.SpriteLimitY)
            PRINT "Map changed to:";
            IF ActiveMap.Type = 1 THEN PRINT "Overworld"
            IF ActiveMap.Type = 2 THEN PRINT "Dungeon"
            IF ActiveMap.Type = 3 THEN PRINT "Cave": CALL PrefabMap
            IF ActiveMap.Type = 4 THEN PRINT "Store": CALL PrefabMap
            IF ActiveMap.Type = 5 THEN PRINT "Basement"
            Settings.Changed = 1

        ELSEIF Action$ = "N" THEN
            _DEST Display&
            INPUT "Enter Display Name (16 characters max): ", ActiveMap.Name
            Settings.Changed = 1

        ELSEIF Action$ = "Z" THEN
            ActiveMap.SecretZone = GetNewMap$("Stairs")
            Settings.Changed = 1

        ELSEIF Action$ = "F1" THEN
            CALL ChangeDoor("N")
            LockFButtons = 1
            Settings.Changed = 1

        ELSEIF Action$ = "F2" THEN
            CALL ChangeDoor("E")
            LockFButtons = 1
            Settings.Changed = 1

        ELSEIF Action$ = "F3" THEN
            CALL ChangeDoor("S")
            LockFButtons = 1
            Settings.Changed = 1

        ELSEIF Action$ = "F4" THEN
            CALL ChangeDoor("W")
            LockFButtons = 1
            Settings.Changed = 1

        ELSEIF Action$ = "F5" THEN
            ActiveMap.NFile = GetNewMap$("North")
            Settings.Changed = 1

        ELSEIF Action$ = "F6" THEN
            ActiveMap.EFile = GetNewMap$("East")
            Settings.Changed = 1

        ELSEIF Action$ = "F7" THEN
            ActiveMap.SFile = GetNewMap$("South")
            Settings.Changed = 1

        ELSEIF Action$ = "F8" THEN
            ActiveMap.WFile = GetNewMap$("West")
            Settings.Changed = 1

        ELSEIF Action$ = "F9" THEN
            CALL SaveAndLoad("N")
            Settings.Changed = 1

        ELSEIF Action$ = "F10" THEN
            CALL SaveAndLoad("E")
            Settings.Changed = 1

        ELSEIF Action$ = "F11" THEN
            CALL SaveAndLoad("S")
            Settings.Changed = 1

        ELSEIF Action$ = "F12" THEN
            CALL SaveAndLoad("W")
            Settings.Changed = 1

        ELSEIF Action$ = "L" THEN
            junk$ = INKEY$
            IF _SNDPLAYING(BGM&) = -1 THEN _SNDSTOP BGM&
            IF ActiveMap.AmbientSound <> 0 THEN _SNDSTOP SFX(ActiveMap.AmbientSound + 9)
            CALL SetupMap("0")
            Settings.Changed = 1

        ELSEIF Action$ = "X" THEN
            junk$ = INKEY$
            CALL MuteSounds

        ELSEIF Action$ = "D" THEN
            _DEST Display&
            junk$ = INKEY$
            IF ActiveMap.Blackout = 0 THEN
                ActiveMap.Blackout = 1
            ELSE
                ActiveMap.Blackout = 0
            END IF
            PRINT "Blackout Changed to:"; ActiveMap.Blackout
            Settings.Changed = 1

        ELSEIF Action$ = "C" THEN
            _DEST Display&
            INPUT "Enter open condition (0=None, 1=Dead Enemies, 2=Move Block): ", ActiveMap.OpenCondition
            IF ActiveMap.OpenCondition > 2 THEN ActiveMap.OpenCondition = 2
            IF ActiveMap.OpenCondition < 0 THEN ActiveMap.OpenCondition = 0
            Settings.Changed = 1

        ELSEIF Action$ = "S" THEN
            _DEST Display&
            PRINT "Saving: "; ActiveFile$
            _SNDSTOP BGM&
            CALL SaveMap
            PRINT "Save Complete"
            CALL Linker
            Settings.Changed = 1
            junk$ = INKEY$

        ELSEIF Action$ = "LM" THEN
            Settings.ActiveSectionX = Settings.SectionX
            Settings.ActiveSectionY = Settings.SectionY
            SpriteMatrix(Settings.ActiveSectionX + 1, Settings.ActiveSectionY + 1) = Settings.ActiveSprite
            _DEST Display&
            PRINT "Section "; Settings.ActiveSectionX + 1; ":"; Settings.ActiveSectionY + 1; " active."

        ELSEIF Action$ = "MM" THEN
            Settings.ActiveSprite = SpriteMatrix(Settings.SectionX + 1, Settings.SectionY + 1)
            _DEST Display&
            PRINT "Active Sprite Set to: "; Settings.ActiveSprite

        ELSEIF Action$ = "RM" AND Settings.ActiveSectionX <> -1 THEN
            Settings.ActiveSectionX = -1
            Settings.ActiveSectionY = -1
            Settings.Changed = 1

            _DEST Display&
            PRINT "Section Deactivated"
        END IF

    ELSEIF Action$ = "L" THEN
        junk$ = INKEY$
        CALL SetupMap("0")

    ELSEIF Settings.MapActive = 0 THEN
        _DEST Display&
        PRINT "Map not active"
    END IF
END SUB

SUB SaveAndLoad (Direction$)
    _DEST Display&
    'IF RTRIM$(ActiveMap.NFile) <> "NULL" THEN CALL LinkMaps(ActiveMap.NFile, 1)
    'IF RTRIM$(ActiveMap.EFile) <> "NULL" THEN CALL LinkMaps(ActiveMap.EFile, 2)
    'IF RTRIM$(ActiveMap.SFile) <> "NULL" THEN CALL LinkMaps(ActiveMap.SFile, 3)
    'IF RTRIM$(ActiveMap.WFile) <> "NULL" THEN CALL LinkMaps(ActiveMap.WFile, 4)
    IF Direction$ = "N" AND RTRIM$(ActiveMap.NFile) <> "NULL" THEN Map$ = RTRIM$(ActiveMap.NFile)
    IF Direction$ = "E" AND RTRIM$(ActiveMap.EFile) <> "NULL" THEN Map$ = RTRIM$(ActiveMap.EFile)
    IF Direction$ = "S" AND RTRIM$(ActiveMap.SFile) <> "NULL" THEN Map$ = RTRIM$(ActiveMap.SFile)
    IF Direction$ = "W" AND RTRIM$(ActiveMap.WFile) <> "NULL" THEN Map$ = RTRIM$(ActiveMap.WFile)

    IF Map$ <> "NULL" THEN
        Prompt$ = "Save " + ActiveFile$ + " and load " + Map$ + " (y/n)?: "
        PRINT Prompt$;: INPUT "", Answer$
        Answer$ = UCASE$(Answer$)
        IF Answer$ = "Y" THEN
            _SNDSTOP BGM&
            CALL SaveMap
            CALL Linker
            CALL SetupMap(Map$)
        END IF
    END IF
END SUB

SUB Linker
    IF RTRIM$(ActiveMap.NFile) <> "NULL" THEN
        CALL LoadLinkMap(ActiveMap.NFile, 1)
        IF LinkMap.DoorS = 0 THEN
            DoorOverride = 1
        ELSE
            DoorOverride = LinkMap.DoorS
        END IF
        IF LinkMap.Type = ActiveMap.Type THEN CALL LinkMaps(ActiveMap.NFile, 1, DoorOverride)
    END IF

    IF RTRIM$(ActiveMap.EFile) <> "NULL" THEN
        CALL LoadLinkMap(ActiveMap.EFile, 2)
        IF LinkMap.DoorW = 0 THEN
            DoorOverride = 1
        ELSE
            DoorOverride = LinkMap.DoorW
        END IF
        IF LinkMap.Type = ActiveMap.Type THEN CALL LinkMaps(ActiveMap.EFile, 2, DoorOverride)
    END IF

    IF RTRIM$(ActiveMap.SFile) <> "NULL" THEN
        CALL LoadLinkMap(ActiveMap.SFile, 3)
        IF LinkMap.DoorN = 0 THEN
            DoorOverride = 1
        ELSE
            DoorOverride = LinkMap.DoorN
        END IF
        IF LinkMap.Type = ActiveMap.Type THEN CALL LinkMaps(ActiveMap.SFile, 3, DoorOverride)
    END IF

    IF RTRIM$(ActiveMap.WFile) <> "NULL" THEN
        CALL LoadLinkMap(ActiveMap.WFile, 4)
        IF LinkMap.DoorE = 0 THEN
            DoorOverride = 1
        ELSE
            DoorOverride = LinkMap.DoorE
        END IF
        IF LinkMap.Type = ActiveMap.Type THEN CALL LinkMaps(ActiveMap.WFile, 4, DoorOverride)
    END IF

END SUB

FUNCTION GetNewMap$ (Direction$)
    _DEST Display&

    Prompt$ = "Enter file for " + Direction$ + " zone (8 characters max): "
    PRINT Prompt$;: INPUT "", Map$
    IF UCASE$(RIGHT$(Map$, 4)) = ".TXT" THEN Map$ = MID$(Map$, 1, LEN(Map$) - 4)
    PRINT Direction$ + " zone set to: " + Map$
    GetNewMap$ = Map$
END FUNCTION



SUB DrawSprites
    _DEST Sprites&
    CLS
    _CLEARCOLOR _RGB(0, 0, 0)

    FOR y = 1 TO ActiveMap.SpriteLimitY
        FOR x = 1 TO ActiveMap.SpriteLimitX
            IF SpriteMatrix(x, y) <> 0 THEN CALL SpawnMapSprite(SpriteMatrix(x, y), x - 1, y - 1)
        NEXT x
    NEXT y
END SUB





SUB ChangeDoor (Door$)
    IF Door$ = "N" THEN
        ActiveMap.DoorN = ActiveMap.DoorN + 1
        IF ActiveMap.DoorN = 8 THEN ActiveMap.DoorN = 0
        IF ActiveMap.DoorN = 0 THEN Status$ = "North door set to 'Wall'"
        IF ActiveMap.DoorN = 1 THEN Status$ = "North door set to 'Hallway'"
        IF ActiveMap.DoorN = 2 THEN Status$ = "North door set to 'Locked door'"
        IF ActiveMap.DoorN = 3 THEN Status$ = "North door set to 'Auto door'"
        IF ActiveMap.DoorN = 4 THEN Status$ = "North door set to 'Bombable Wall'"
        IF ActiveMap.DoorN = 5 THEN Status$ = "North door set to 'Bombed Wall'"
        IF ActiveMap.DoorN = 6 THEN Status$ = "North door set to 'Secret Wall'"
        IF ActiveMap.DoorN = 7 THEN Status$ = "North door set to 'One-Way Wall'"
        _DEST Display&
        PRINT Status$

    ELSEIF Door$ = "E" THEN
        ActiveMap.DoorE = ActiveMap.DoorE + 1
        IF ActiveMap.DoorE = 8 THEN ActiveMap.DoorE = 0
        IF ActiveMap.DoorE = 0 THEN Status$ = "East door set to 'Wall'"
        IF ActiveMap.DoorE = 1 THEN Status$ = "East door set to 'Hallway'"
        IF ActiveMap.DoorE = 2 THEN Status$ = "East door set to 'Locked door'"
        IF ActiveMap.DoorE = 3 THEN Status$ = "East door set to 'Auto door'"
        IF ActiveMap.DoorE = 4 THEN Status$ = "East door set to 'Bombable Wall'"
        IF ActiveMap.DoorE = 5 THEN Status$ = "East door set to 'Bombed Wall'"
        IF ActiveMap.DoorE = 6 THEN Status$ = "East door set to 'Secret Wall'"
        IF ActiveMap.DoorE = 7 THEN Status$ = "North door set to 'One-Way Wall'"
        _DEST Display&
        PRINT Status$

    ELSEIF Door$ = "S" THEN
        ActiveMap.DoorS = ActiveMap.DoorS + 1
        IF ActiveMap.DoorS = 8 THEN ActiveMap.DoorS = 0
        IF ActiveMap.DoorS = 0 THEN Status$ = "South door set to 'Wall'"
        IF ActiveMap.DoorS = 1 THEN Status$ = "South door set to 'Hallway'"
        IF ActiveMap.DoorS = 2 THEN Status$ = "South door set to 'Locked door'"
        IF ActiveMap.DoorS = 3 THEN Status$ = "South door set to 'Auto door'"
        IF ActiveMap.DoorS = 4 THEN Status$ = "South door set to 'Bombable Wall'"
        IF ActiveMap.DoorS = 5 THEN Status$ = "South door set to 'Bombed Wall'"
        IF ActiveMap.DoorS = 6 THEN Status$ = "South door set to 'Secret Wall'"
        IF ActiveMap.DoorS = 7 THEN Status$ = "North door set to 'One-Way Wall'"
        _DEST Display&
        PRINT Status$

    ELSEIF Door$ = "W" THEN
        ActiveMap.DoorW = ActiveMap.DoorW + 1
        IF ActiveMap.DoorW = 8 THEN ActiveMap.DoorW = 0
        IF ActiveMap.DoorW = 0 THEN Status$ = "West door set to 'Wall'"
        IF ActiveMap.DoorW = 1 THEN Status$ = "West door set to 'Hallway'"
        IF ActiveMap.DoorW = 2 THEN Status$ = "West door set to 'Locked door'"
        IF ActiveMap.DoorW = 3 THEN Status$ = "West door set to 'Auto door'"
        IF ActiveMap.DoorW = 4 THEN Status$ = "West door set to 'Bombable Wall'"
        IF ActiveMap.DoorW = 5 THEN Status$ = "West door set to 'Bombed Wall'"
        IF ActiveMap.DoorW = 6 THEN Status$ = "West door set to 'Secret Wall'"
        IF ActiveMap.DoorW = 7 THEN Status$ = "North door set to 'One-Way Wall'"
        _DEST Display&
        PRINT Status$
    END IF
END SUB






SUB SpawnMapSprite (Spritenum, X, Y)
    Settings.ErrorTracker = "Spawning#:" + STR$(Spritenum)

    SpriteWidth = (Settings.SquareWidth / 2) - 1
    SpriteHeight = (Settings.SquareHeight / 2) - 1
    SpriteX = (Settings.SquareWidth * X) + Settings.LeftLimit + SpriteWidth
    Spritey = (Settings.SquareHeight * Y) + Settings.TopLimit + SpriteHeight

    IF Spritenum = 0 THEN
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 0), BF
        _CLEARCOLOR _RGB(0, 0, 0)
    ELSEIF Spritenum = 1 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LinkSprite, Sprites&
    ELSEIF Spritenum = 2 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), DarknutSprites(1), Sprites&
    ELSEIF Spritenum = 3 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), DarknutSprites(2), Sprites&
    ELSEIF Spritenum = 4 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GibdoSprite, Sprites&
    ELSEIF Spritenum = 5 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GoriyaSprites(1), Sprites&
    ELSEIF Spritenum = 6 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GoriyaSprites(2), Sprites&
    ELSEIF Spritenum = 7 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), KeeseSprite, Sprites&
    ELSEIF Spritenum = 8 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LanmolaSprites(1), Sprites&
    ELSEIF Spritenum = 9 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), MoldormSprite, Sprites&
    ELSEIF Spritenum = 10 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LynelSprites(1), Sprites&
    ELSEIF Spritenum = 11 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LynelSprites(2), Sprites&
    ELSEIF Spritenum = 12 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), MoblinSprites(1), Sprites&
    ELSEIF Spritenum = 13 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), MoblinSprites(2), Sprites&
    ELSEIF Spritenum = 14 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), OctorokSprites(1), Sprites&
    ELSEIF Spritenum = 15 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), OctorokSprites(2), Sprites&
    ELSEIF Spritenum = 16 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), RopeSprite, Sprites&
    ELSEIF Spritenum = 17 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), PeahatSprite, Sprites&
    ELSEIF Spritenum = 18 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LanmolaSprites(2), Sprites&
    ELSEIF Spritenum = 19 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), StalfosSprite, Sprites&
    ELSEIF Spritenum = 20 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GelSprite, Sprites&
    ELSEIF Spritenum = 21 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), ZolSprite, Sprites&
    ELSEIF Spritenum = 22 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), PatraSprite, Sprites&
    ELSEIF Spritenum = 23 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), WizzrobeSprites(1), Sprites&
    ELSEIF Spritenum = 24 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), WizzrobeSprites(2), Sprites&
    ELSEIF Spritenum = 25 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GhiniSprite, Sprites&
    ELSEIF Spritenum = 26 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), TektiteSprites(1), Sprites&
    ELSEIF Spritenum = 27 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), TektiteSprites(2), Sprites&
    ELSEIF Spritenum = 28 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LeeverSprites(1), Sprites&
    ELSEIF Spritenum = 29 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LeeverSprites(2), Sprites&
    ELSEIF Spritenum = 30 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), TrapSprite, Sprites&
    ELSEIF Spritenum = 31 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), FlameSprite, Sprites&
    ELSEIF Spritenum = 32 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), WaterfallSprite, Sprites&
    ELSEIF Spritenum = 33 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), ZoraSprite, Sprites&
    ELSEIF Spritenum = 34 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), VireSprite, Sprites&
    ELSEIF Spritenum = 35 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), BubbleSprite, Sprites&
    ELSEIF Spritenum = 36 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LikeLikeSprite, Sprites&
    ELSEIF Spritenum = 37 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), PolsVoiceSprite, Sprites&
    ELSEIF Spritenum = 38 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), AquamentusSprite, Sprites&
    ELSEIF Spritenum = 39 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), DodongoSprite, Sprites&
    ELSEIF Spritenum = 40 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), ManhandlaSprite, Sprites&
    ELSEIF Spritenum = 41 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GleeokSprite, Sprites&
    ELSEIF Spritenum = 42 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), DigdoggerSprite, Sprites&
    ELSEIF Spritenum = 43 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GohmaSprite(1), Sprites&
    ELSEIF Spritenum = 44 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GohmaSprite(2), Sprites&
    ELSEIF Spritenum = 45 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GannonSprite, Sprites&
    ELSEIF Spritenum = 46 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), PotionSprites(2), Sprites&
    ELSEIF Spritenum = 47 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), CandleSprites(1), Sprites&
    ELSEIF Spritenum = 48 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), RingSprites(1), Sprites&
    ELSEIF Spritenum = 49 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), BookSprite, Sprites&
    ELSEIF Spritenum = 50 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), BoomerangSprites(1), Sprites&
    ELSEIF Spritenum = 51 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), BowSprite, Sprites&
    ELSEIF Spritenum = 52 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), FoodSprite, Sprites&
    ELSEIF Spritenum = 53 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), HeartSprite, Sprites&
    ELSEIF Spritenum = 54 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), KeySprites(1), Sprites&
    ELSEIF Spritenum = 55 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), LadderSprite, Sprites&
    ELSEIF Spritenum = 56 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), PotionSprites(1), Sprites&
    ELSEIF Spritenum = 57 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), ArrowSprite, Sprites&
    ELSEIF Spritenum = 58 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), SwordSprites(3), Sprites&
    ELSEIF Spritenum = 59 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), BoomerangSprites(2), Sprites&
    ELSEIF Spritenum = 60 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), KeySprites(2), Sprites&
    ELSEIF Spritenum = 61 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), WandSprite, Sprites&
    ELSEIF Spritenum = 62 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), RaftSprite, Sprites&
    ELSEIF Spritenum = 63 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), FluteSprite, Sprites&
    ELSEIF Spritenum = 64 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), CandleSprites(2), Sprites&
    ELSEIF Spritenum = 65 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), RingSprites(2), Sprites&
    ELSEIF Spritenum = 66 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), SwordSprites(1), Sprites&
    ELSEIF Spritenum = 67 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), TriforceSprite, Sprites&
    ELSEIF Spritenum = 68 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), SwordSprites(2), Sprites&
    ELSEIF Spritenum = 69 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), SwordSprites(4), Sprites&
    ELSEIF Spritenum = 70 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), KeySprites(1), Sprites&
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), StalfosSprite, Sprites&
    ELSEIF Spritenum = 71 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), WaterfallSprite, Sprites&
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(255, 0, 0), B
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(255, 0, 0)
    ELSEIF Spritenum = 72 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), CharacterSprites(1), Sprites&
    ELSEIF Spritenum = 73 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), CharacterSprites(2), Sprites&
    ELSEIF Spritenum = 74 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), CharacterSprites(3), Sprites&
    ELSEIF Spritenum = 75 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), CharacterSprites(4), Sprites&
    ELSEIF Spritenum = 76 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), HeartSprite, Sprites&
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 255), B
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 255)
    ELSEIF Spritenum = 77 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), BombSprite, Sprites&
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 255), B
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 255)
    ELSEIF Spritenum = 78 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), GoriyaSprites(1), Sprites&
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 255), B
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 255)
    ELSEIF Spritenum = 79 THEN
        _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), FlameSprite, Sprites&
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 255), B
        LINE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), _RGB(0, 0, 255)
    END IF
END SUB
'ELSEIF Spritenum = 33 THEN
'    _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), OverworldTile(85), Sprites&
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(255, 0, 0), B , &HFF00
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(255, 255, 0), B , &H00FF
'ELSEIF Spritenum = 34 THEN
'    _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), OverworldTile(86), Sprites&
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(255, 0, 0), B , &HFF00
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(255, 255, 0), B , &H00FF
'ELSEIF Spritenum = 35 THEN
'    _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), OverworldTile(38), Sprites&
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(0, 0, 255), B , &HFF00
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(255, 255, 255), B , &H00FF
'ELSEIF Spritenum = 36 THEN
'    _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), OverworldTile(44), Sprites&
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(0, 0, 255), B , &HFF00
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(255, 255, 255), B , &H00FF
'ELSEIF Spritenum = 37 THEN
'    _PUTIMAGE (SpriteX - SpriteWidth, Spritey - SpriteHeight)-(SpriteX + SpriteWidth, Spritey + SpriteHeight), OverworldTile(50), Sprites&
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(0, 0, 255), B , &HFF00
'    LINE (SpriteX - SpriteWidth + 1, Spritey - SpriteHeight + 1)-(SpriteX + SpriteWidth - 1, Spritey + SpriteHeight - 1), _RGB(255, 255, 255), B , &H00FF


SUB MouseMath
    Settings.MousePosX = _MOUSEX
    Settings.MousePosY = _MOUSEY
    Settings.SectionX = -1
    Settings.SectionY = -1
    MouseWheel = _MOUSEWHEEL

    IF Settings.MousePosX > Settings.LeftLimit AND Settings.MousePosX < Settings.RightLimit AND Settings.MousePosY > Settings.TopLimit AND Settings.MousePosY < Settings.BottomLimit THEN
        Settings.SectionX = INT((Settings.MousePosX - Settings.LeftLimit) / Settings.SquareWidth)
        Settings.SectionY = INT((Settings.MousePosY - Settings.TopLimit) / Settings.SquareHeight)
    END IF

    IF Settings.SectionX <> -1 AND Settings.SectionY <> -1 THEN
        Settings.SquareLeft = (Settings.SquareWidth * Settings.SectionX) + Settings.LeftLimit
        Settings.SquareRight = (Settings.SquareWidth * (Settings.SectionX + 1)) + Settings.LeftLimit
        Settings.SquareTop = (Settings.SquareHeight * Settings.SectionY) + Settings.TopLimit
        Settings.SquareBottom = (Settings.SquareHeight * (Settings.SectionY + 1)) + Settings.TopLimit
    END IF


    IF Settings.ActiveSectionX <> -1 AND MouseWheel <> 0 THEN
        Settings.ActiveSprite = Settings.ActiveSprite + MouseWheel
        IF Settings.ActiveSprite < 0 THEN Settings.ActiveSprite = Settings.TopSprite
        IF Settings.ActiveSprite > Settings.TopSprite THEN Settings.ActiveSprite = 0
        SpriteMatrix(Settings.ActiveSectionX + 1, Settings.ActiveSectionY + 1) = Settings.ActiveSprite
    END IF
END SUB












SUB InitEditor
    Display& = _NEWIMAGE(Settings.RezX, Settings.RezY, 32)
    Info& = _NEWIMAGE(Settings.RezX, Settings.RezY, 32)
    Sprites& = _NEWIMAGE(Settings.RezX, Settings.RezY, 32)
    Buffer& = _NEWIMAGE(Settings.RezX, Settings.RezY, 32)
    Scene& = _NEWIMAGE(Settings.RezX, Settings.RezY, 32)
    UI& = _NEWIMAGE(Settings.RezX, Settings.RezY, 32)

    _DEST Sprites&
    _CLEARCOLOR _RGB(0, 0, 0)

    _DEST Scene&
    _CLEARCOLOR _RGB(0, 0, 0)

    _DEST UI&
    _CLEARCOLOR _RGB(0, 0, 0)

    _DEST Buffer&
    _CLEARCOLOR _RGB(0, 0, 0)

    SCREEN Display&
    _DEST Display&
    VIEW PRINT 1 TO 10


    _MOUSESHOW "crosshair"


    CALL LoadSprites
    CALL LoadMapSprites
    PRINT "Sprites Loaded."
    CALL LoadWorldTiles
    PRINT "Tiles Loaded."
    CALL LoadSounds
    PRINT "Sounds Loaded."


    IF Settings.Debug <> 0 THEN
        _CONSOLE ON
    ELSE
        _CONSOLE OFF
    END IF
END SUB




SUB AssembleDisplay
    CALL DrawMap(Scene&, Scene&, 2, 0)
    CALL DrawSpecial(Scene&)
    CALL BuildUI
    CALL DrawSprites

    _DEST Buffer&
    CLS
    _CLEARCOLOR _RGB(0, 0, 0)

    _PUTIMAGE , Scene&, Buffer&
    _PUTIMAGE , Sprites&, Buffer&
    _PUTIMAGE , UI&, Buffer&
    _PUTIMAGE , Buffer&, Display&
END SUB


SUB ClearMatrix
    FOR y = 1 TO ActiveMap.SpriteLimitY
        FOR x = 1 TO ActiveMap.SpriteLimitX
            SpriteMatrix(x, y) = 0
        NEXT x
    NEXT y
END SUB



SUB DrawSpecial (Target&)
    SpriteWidth = (Settings.SquareWidth / 2) - 1
    SpriteHeight = (Settings.SquareHeight / 2) - 1

    IF ActiveMap.Type = 1 THEN
        FOR y = 1 TO ActiveMap.SpriteLimitY
            FOR x = 1 TO ActiveMap.SpriteLimitX
                IF SpriteMatrix(x, y) >= Settings.SpriteDivider + 90 AND SpriteMatrix(x, y) <> Settings.SpriteDivider + 107 THEN
                    Settings.ErrorTracker = "Drawing Special Tile#:" + STR$(SpriteMatrix(x, y))

                    SpriteX = (Settings.SquareWidth * (x - 1)) + Settings.LeftLimit + SpriteWidth
                    Spritey = (Settings.SquareHeight * (y - 1)) + Settings.TopLimit + SpriteHeight

                    _PUTIMAGE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), OverworldTile(SpriteMatrix(x, y) - Settings.SpriteDivider), Target&

                    IF Settings.EditorActive = 1 AND SpriteMatrix(x, y) >= Settings.SpriteDivider + 97 THEN
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(255, 0, 255), B
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(255, 0, 255)

                    ELSEIF Settings.EditorActive = 1 AND SpriteMatrix(x, y) >= Settings.SpriteDivider + 90 THEN
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(0, 0, 255), B
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(0, 0, 255)
                    END IF
                END IF
            NEXT x
        NEXT y


    ELSEIF ActiveMap.Type = 2 THEN
        FOR y = 1 TO ActiveMap.SpriteLimitY
            FOR x = 1 TO ActiveMap.SpriteLimitX
                IF SpriteMatrix(x, y) >= Settings.SpriteDivider + 7 THEN
                    Settings.ErrorTracker = "Drawing Special Tile#:" + STR$(SpriteMatrix(x, y))

                    SpriteX = (Settings.SquareWidth * (x - 1)) + Settings.LeftLimit + SpriteWidth
                    Spritey = (Settings.SquareHeight * (y - 1)) + Settings.TopLimit + SpriteHeight

                    _PUTIMAGE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), DungTile(SpriteMatrix(x, y) - Settings.SpriteDivider, ActiveMap.SubType), Target&

                    IF Settings.EditorActive = 1 AND SpriteMatrix(x, y) = Settings.SpriteDivider + 10 THEN
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(255, 0, 0), B
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(255, 0, 0)

                    ELSEIF Settings.EditorActive = 1 AND SpriteMatrix(x, y) = Settings.SpriteDivider + 12 THEN
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(255, 0, 0), B
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(255, 0, 0)

                    ELSEIF Settings.EditorActive = 1 AND SpriteMatrix(x, y) >= Settings.SpriteDivider + 7 AND SpriteMatrix(x, y) <> Settings.SpriteDivider + 14 THEN
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(0, 0, 255), B
                        LINE (SpriteX - SpriteWidth - 1, Spritey - SpriteHeight - 1)-(SpriteX + SpriteWidth + 1, Spritey + SpriteHeight + 1), _RGB(0, 0, 255)
                    END IF
                END IF
            NEXT x
        NEXT y
    END IF
END SUB

SUB BuildUI
    IF Settings.Changed = 1 THEN
        Settings.Changed = 0
        _DEST _CONSOLE
        CLS
        LOCATE 1, 1

        PRINT "Map Name: "; ActiveMap.Name
        PRINT "Map Type : Subtype"; ActiveMap.Type; ":"; ActiveMap.SubType
        PRINT "Map Blackout:"; ActiveMap.Blackout

        IF Settings.Mute = 0 THEN
            PRINT "Current Song:"; ActiveMap.BGM
        ELSE
            PRINT "Current Song:"; ActiveMap.BGM; " -MUTE-"
        END IF

        PRINT "Current Ambient Sound:"; ActiveMap.AmbientSound
        PRINT "Current Secret Zone:"; ActiveMap.SecretZone
        PRINT "Open Condition:"; ActiveMap.OpenCondition
        IF ActiveMap.Type = 2 THEN PRINT "Current Pallette:"; ActiveMap.SubType
        PRINT
        PRINT "Zone Data:"
        PRINT ActiveMap.DoorN, ActiveMap.DoorE, ActiveMap.DoorS, ActiveMap.DoorW
        PRINT ActiveMap.NFile, ActiveMap.EFile, ActiveMap.SFile, ActiveMap.WFile

        PRINT
        PRINT "Spawn Matrix"
        FOR y = 1 TO ActiveMap.SpriteLimitY
            FOR x = 1 TO ActiveMap.SpriteLimitX - 1
                PRINT USING "### "; SpriteMatrix(x, y);
            NEXT x
            PRINT USING "### "; SpriteMatrix(ActiveMap.SpriteLimitX, y)
        NEXT y
    END IF

    _DEST UI&
    CLS
    _CLEARCOLOR _RGB(0, 0, 0)

    LINE (Settings.LeftLimit, Settings.TopLimit)-(Settings.RightLimit, Settings.BottomLimit), _RGB(255, 0, 255), B

    IF Settings.ActiveSectionX <> -1 THEN
        ActiveSquareLeft = (Settings.SquareWidth * Settings.ActiveSectionX) + Settings.LeftLimit
        ActiveSquareRight = (Settings.SquareWidth * (Settings.ActiveSectionX + 1)) + Settings.LeftLimit
        ActiveSquareTop = (Settings.SquareHeight * Settings.ActiveSectionY) + Settings.TopLimit
        ActiveSquareBottom = (Settings.SquareHeight * (Settings.ActiveSectionY + 1)) + Settings.TopLimit

        LINE (ActiveSquareLeft, ActiveSquareTop)-(ActiveSquareRight, ActiveSquareBottom), _RGB(255, 0, 0), B
    END IF

    IF ActiveMap.Type = 2 THEN
        LINE (Settings.SquareLeft, Settings.SquareTop)-(Settings.SquareRight, Settings.SquareBottom), _RGB(255, 255, 0), B , 255
    ELSE
        LINE (Settings.SquareLeft, Settings.SquareTop)-(Settings.SquareRight, Settings.SquareBottom), _RGB(255, 0, 0), B , 255
    END IF


END SUB




SUB SetupMap (Map$)
    Settings.ErrorTracker = "SetupMap"
    _DEST Display&
    IF Map$ = "0" THEN INPUT "Enter map name: ", Map$
    IF UCASE$(RIGHT$(Map$, 4)) <> ".TXT" THEN Map$ = Map$ + Settings.MapExtension

    IF _FILEEXISTS("World\" + Map$) THEN
        PRINT "Loading: "; Map$
        CALL LoadMap(Map$, 1)
        CALL ActiveMapChange(ActiveMap.Type, ActiveMap.SpriteLimitX, ActiveMap.SpriteLimitY)
        _DEST Display&
        PRINT "Map Loaded"
    ELSE
        INPUT "Map does not exist, create new one? (y/n): ", Reply$
        Reply$ = UCASE$(Reply$)
        IF Reply$ = "Y" THEN
            ActiveFile$ = "World\" + Map$
            CALL CreateNewMap
        END IF
    END IF

    _TITLE WindowTitle$ + " -" + ActiveFile$
    Settings.ErrorTracker = "-SetupMap"
END SUB



SUB CreateNewMap
    Settings.ErrorTracker = "CreateNewMap"
    _DEST Display&
    INPUT "Enter map type: ", MapType
    IF MapType > 5 OR MapType < 1 THEN MapType = 1

    ActiveMap.BGM = 0
    _SNDSTOP BGM&
    ActiveMap.Type = MapType
    ActiveMap.SubType = 1
    ActiveMap.AmbientSound = 0

    CALL SetMapSize
    CALL ActiveMapChange(ActiveMap.Type, ActiveMap.SpriteLimitX, ActiveMap.SpriteLimitY)

    ActiveMap.DoorN = 0
    ActiveMap.DoorE = 0
    ActiveMap.DoorS = 0
    ActiveMap.DoorW = 0
    ActiveMap.NFile = "NULL"
    ActiveMap.EFile = "NULL"
    ActiveMap.SFile = "NULL"
    ActiveMap.WFile = "NULL"
    ActiveMap.SecretZone = "NULL"
    ActiveMap.Name = "NULL"

    FOR y = 1 TO ActiveMap.SpriteLimitY
        FOR x = 1 TO ActiveMap.SpriteLimitX
            SpriteMatrix(x, y) = 0
        NEXT x
    NEXT y

    CALL PrefabMap

    junk$ = INKEY$
    Settings.MapActive = 1
    Settings.ErrorTracker = "-CreateNewMap"
END SUB


SUB PrefabMap
    IF ActiveMap.Type = 3 THEN
        FOR x = 1 TO ActiveMap.SpriteLimitX
            SpriteMatrix(x, 1) = 95 + Settings.SpriteDivider
            SpriteMatrix(x, 2) = 95 + Settings.SpriteDivider
            SpriteMatrix(x, 12) = 95 + Settings.SpriteDivider
            SpriteMatrix(x, 13) = 95 + Settings.SpriteDivider
        NEXT x
        FOR y = 3 TO 11
            SpriteMatrix(1, y) = 95 + Settings.SpriteDivider
            SpriteMatrix(2, y) = 95 + Settings.SpriteDivider
            SpriteMatrix(22, y) = 95 + Settings.SpriteDivider
            SpriteMatrix(23, y) = 95 + Settings.SpriteDivider
        NEXT y

        IF ActiveMap.SubType = 1 THEN
            SpriteMatrix(12, 12) = 0
            SpriteMatrix(12, 13) = 0
            SpriteMatrix(11, 12) = 0
            SpriteMatrix(11, 13) = 0
            SpriteMatrix(8, 6) = 31
            SpriteMatrix(15, 6) = 31

        ELSEIF ActiveMap.SubType = 2 THEN
            SpriteMatrix(8, 6) = 0
            SpriteMatrix(15, 6) = 0
            SpriteMatrix(12, 12) = 0
            SpriteMatrix(12, 13) = 0
            SpriteMatrix(11, 12) = 0
            SpriteMatrix(11, 13) = 0
            SpriteMatrix(12, 1) = 0
            SpriteMatrix(12, 2) = 0
            SpriteMatrix(11, 1) = 0
            SpriteMatrix(11, 2) = 0
            SpriteMatrix(1, 6) = 0
            SpriteMatrix(1, 7) = 0
            SpriteMatrix(ActiveMap.SpriteLimitX, 6) = 0
            SpriteMatrix(ActiveMap.SpriteLimitX, 7) = 0
            SpriteMatrix(2, 6) = 0
            SpriteMatrix(2, 7) = 0
            SpriteMatrix(ActiveMap.SpriteLimitX - 1, 6) = 0
            SpriteMatrix(ActiveMap.SpriteLimitX - 1, 7) = 0
        END IF

    ELSEIF ActiveMap.Type = 4 THEN
        FOR x = 1 TO ActiveMap.SpriteLimitX
            SpriteMatrix(x, 1) = 95 + Settings.SpriteDivider
            SpriteMatrix(x, 2) = 95 + Settings.SpriteDivider
            SpriteMatrix(x, 12) = 95 + Settings.SpriteDivider
            SpriteMatrix(x, 13) = 95 + Settings.SpriteDivider
        NEXT x
        FOR y = 3 TO 11
            SpriteMatrix(1, y) = 95 + Settings.SpriteDivider
            SpriteMatrix(2, y) = 95 + Settings.SpriteDivider
            SpriteMatrix(22, y) = 95 + Settings.SpriteDivider
            SpriteMatrix(23, y) = 95 + Settings.SpriteDivider
        NEXT y

        SpriteMatrix(12, 12) = 0
        SpriteMatrix(12, 13) = 0
        SpriteMatrix(11, 12) = 0
        SpriteMatrix(11, 13) = 0
        SpriteMatrix(8, 6) = 31
        SpriteMatrix(15, 6) = 31
        SpriteMatrix(11, 6) = 72
    END IF
END SUB


SUB LoadSprites
    Settings.ErrorTracker = "Load Sprites"
    LinkSprite = _LOADIMAGE("Images\LinkS1.png")

    OctorokSprites(1) = _LOADIMAGE("Images\OctorokN1.png")
    OctorokSprites(2) = _COPYIMAGE(OctorokSprites(1))
    OctorokSprites(2) = SwapColor(OctorokSprites(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    OctorokSprites(2) = SwapColor(OctorokSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    TektiteSprites(1) = _LOADIMAGE("Images\Tektite1.png")
    TektiteSprites(2) = _COPYIMAGE(TektiteSprites(1))
    TektiteSprites(2) = SwapColor(TektiteSprites(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    TektiteSprites(2) = SwapColor(TektiteSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    GoriyaSprites(1) = _LOADIMAGE("Images\GoriyaS1.png")
    GoriyaSprites(2) = _COPYIMAGE(GoriyaSprites(1))
    GoriyaSprites(2) = SwapColor(GoriyaSprites(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    GoriyaSprites(2) = SwapColor(GoriyaSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    MoblinSprites(1) = _LOADIMAGE("Images\MoblinS1.png")
    MoblinSprites(2) = _COPYIMAGE(MoblinSprites(1))
    MoblinSprites(2) = SwapColor(MoblinSprites(2), _RGB(248, 56, 0), _RGB(1, 1, 1))
    MoblinSprites(2) = SwapColor(MoblinSprites(2), _RGB(255, 160, 68), _RGB(0, 136, 136))
    MoblinSprites(2) = SwapColor(MoblinSprites(2), _RGB(255, 255, 255), _RGB(248, 56, 0))

    RopeSprite = _LOADIMAGE("Images\Rope1.png")

    DarknutSprites(1) = _LOADIMAGE("Images\DarknutS1.png")
    DarknutSprites(2) = _COPYIMAGE(DarknutSprites(1))
    DarknutSprites(2) = SwapColor(DarknutSprites(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    DarknutSprites(2) = SwapColor(DarknutSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    LynelSprites(1) = _LOADIMAGE("Images\LynelS1.png")
    LynelSprites(2) = _COPYIMAGE(LynelSprites(1))
    LynelSprites(2) = SwapColor(LynelSprites(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    LynelSprites(2) = SwapColor(LynelSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    KeeseSprite = _LOADIMAGE("Images\Keese1.png")

    PeahatSprite = _LOADIMAGE("Images\Peahat1.png")

    GibdoSprite = _LOADIMAGE("Images\Gibdo1.png")

    ArmosSprite = _LOADIMAGE("Images\Armos11.png")

    FlameSprite = _LOADIMAGE("Images\Fire1.png")

    LanmolaSprites(1) = _LOADIMAGE("Images\Lanmola1.png")
    LanmolaSprites(2) = _COPYIMAGE(LanmolaSprites(1))
    LanmolaSprites(2) = SwapColor(LanmolaSprites(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    LanmolaSprites(2) = SwapColor(LanmolaSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    StalfosSprite = _LOADIMAGE("Images\Stalfos1.png")

    GelSprite = _LOADIMAGE("Images\Gel1.png")

    ZolSprite = _LOADIMAGE("Images\Zol1.png")

    TrapSprite = _LOADIMAGE("Images\Trap.png")

    PatraSprite = _LOADIMAGE("Images\Patra11.png")

    MoldormSprite = _LOADIMAGE("Images\Fireball.png")

    WizzrobeSprites(1) = _LOADIMAGE("Images\Wizzrobe13.png")
    WizzrobeSprites(2) = _COPYIMAGE(WizzrobeSprites(1))
    WizzrobeSprites(2) = SwapColor(WizzrobeSprites(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    WizzrobeSprites(2) = SwapColor(WizzrobeSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    GhiniSprite = _LOADIMAGE("Images\Ghini1.png")

    LeeverSprites(1) = _LOADIMAGE("Images\Leever4.png")
    LeeverSprites(2) = _COPYIMAGE(LeeverSprites(1))
    LeeverSprites(2) = SwapColor(LeeverSprites(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    LeeverSprites(2) = SwapColor(LeeverSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    WaterfallSprite = _LOADIMAGE("Images\Waterfall1.png")
    ZoraSprite = _LOADIMAGE("Images\Zora3.png")
    VireSprite = _LOADIMAGE("Images\Vire11.png")
    BubbleSprite = _LOADIMAGE("Images\Bubble.png")
    LikeLikeSprite = _LOADIMAGE("Images\Like2.png")
    PolsVoiceSprite = _LOADIMAGE("Images\Pol1.png")

    AquamentusSprite = _LOADIMAGE("Images\Aqua1.png")
    DodongoSprite = _LOADIMAGE("Images\DodongoS1.png")
    ManhandlaSprite = _LOADIMAGE("Images\ManhandlaM.png")
    GleeokSprite = _LOADIMAGE("Images\GleeokM1.png")
    DigdoggerSprite = _LOADIMAGE("Images\Digdogger11.png")
    GohmaSprite(1) = _LOADIMAGE("Images\Gohma8.png")
    GohmaSprite(2) = _COPYIMAGE(GohmaSprite(1))
    GohmaSprite(2) = SwapColor(GohmaSprite(2), _RGB(248, 56, 0), _RGB(0, 0, 188))
    GohmaSprite(2) = SwapColor(GohmaSprite(2), _RGB(255, 160, 68), _RGB(104, 136, 255))
    GannonSprite = _LOADIMAGE("Images\Gannon4.png")

    SwordSprites(1) = _LOADIMAGE("Images\SwordN.png")

    SwordSprites(2) = _COPYIMAGE(SwordSprites(1))
    SwordSprites(2) = SwapColor(SwordSprites(2), _RGB(228, 92, 16), _RGB(255, 255, 255))
    SwordSprites(2) = SwapColor(SwordSprites(2), _RGB(184, 248, 24), _RGB(0, 0, 188))
    SwordSprites(2) = SwapColor(SwordSprites(2), _RGB(255, 160, 68), _RGB(104, 136, 255))

    SwordSprites(3) = _LOADIMAGE("Images\MagicSword.png")

    SwordSprites(4) = _COPYIMAGE(SwordSprites(3))
    SwordSprites(4) = SwapColor(SwordSprites(4), _RGB(248, 56, 0), _RGB(0, 0, 188))
    SwordSprites(4) = SwapColor(SwordSprites(4), _RGB(255, 160, 68), _RGB(104, 136, 255))


    PotionSprites(2) = _LOADIMAGE("Images\Potion.png")
    PotionSprites(1) = _COPYIMAGE(PotionSprites(2))
    PotionSprites(1) = SwapColor(PotionSprites(1), _RGB(248, 56, 0), _RGB(0, 0, 188))
    PotionSprites(1) = SwapColor(PotionSprites(1), _RGB(255, 160, 68), _RGB(104, 136, 255))

    CandleSprites(1) = _LOADIMAGE("Images\Candle.png")
    CandleSprites(2) = _COPYIMAGE(CandleSprites(1))
    CandleSprites(2) = SwapColor(CandleSprites(2), _RGB(0, 0, 188), _RGB(248, 56, 0))
    CandleSprites(2) = SwapColor(CandleSprites(2), _RGB(104, 136, 255), _RGB(255, 160, 68))

    RingSprites(1) = _LOADIMAGE("Images\Ring.png")
    RingSprites(2) = _COPYIMAGE(RingSprites(1))
    RingSprites(2) = SwapColor(RingSprites(2), _RGB(0, 0, 188), _RGB(248, 56, 0))
    RingSprites(2) = SwapColor(RingSprites(2), _RGB(104, 136, 255), _RGB(255, 160, 68))

    BoomerangSprites(1) = _LOADIMAGE("Images\Boom1.png")
    BoomerangSprites(2) = _COPYIMAGE(BoomerangSprites(1))
    BoomerangSprites(2) = SwapColor(BoomerangSprites(2), _RGB(252, 152, 56), _RGB(92, 148, 252))
    BoomerangSprites(2) = SwapColor(BoomerangSprites(2), _RGB(128, 208, 16), _RGB(0, 0, 188))
    BoomerangSprites(2) = SwapColor(BoomerangSprites(2), _RGB(200, 76, 12), _RGB(255, 255, 255))

    ArrowSprite = _LOADIMAGE("Images\ArrowN.png")
    ArrowSprite = SwapColor(ArrowSprite, _RGB(184, 248, 24), _RGB(0, 0, 188))
    ArrowSprite = SwapColor(ArrowSprite, _RGB(228, 92, 16), _RGB(255, 255, 255))
    ArrowSprite = SwapColor(ArrowSprite, _RGB(255, 160, 68), _RGB(104, 136, 255))

    KeySprites(1) = _LOADIMAGE("Images\Key.png")
    KeySprites(2) = _LOADIMAGE("Images\MasterKey.png")

    CharacterSprites(1) = _LOADIMAGE("Images\Guy.png")
    CharacterSprites(2) = _LOADIMAGE("Images\OldMan.png")
    CharacterSprites(3) = _LOADIMAGE("Images\OldWoman.png")
    CharacterSprites(4) = _LOADIMAGE("Images\Zelda.png")
    CharacterSprites(5) = _LOADIMAGE("Images\Zelda2.png")

    FluteSprite = _LOADIMAGE("Images\Flute.png")
    BowSprite = _LOADIMAGE("Images\Bow.png")
    ClockSprite = _LOADIMAGE("Images\Clock.png")
    BookSprite = _LOADIMAGE("Images\Book.png")
    FoodSprite = _LOADIMAGE("Images\Food.png")
    LadderSprite = _LOADIMAGE("Images\Ladder2.png")
    RaftSprite = _LOADIMAGE("Images\Raft1.png")
    HeartSprite = _LOADIMAGE("Images\BigHeart.png")
    WandSprite = _LOADIMAGE("Images\Wand1.png")
    TriforceSprite = _LOADIMAGE("Images\Triforce.png")
    BombSprite = _LOADIMAGE("Images\Bomb.png")

    Settings.ErrorTracker = "-LoadSprites"
END SUB



SUB SpawnSpecialSprite (X)
    'do nothing
END SUB





'$include:'Engine\Global.bi'
'$include:'Engine\EditorError.bi'




