'$DYNAMIC

TYPE Link
    Animate AS INTEGER
    AnimationDelay AS SINGLE
    Attacking AS INTEGER
    Bombs AS INTEGER
    Boomerang AS INTEGER
    CanAttack AS INTEGER
    Candle AS INTEGER
    CanMove AS INTEGER
    Cash AS INTEGER
    Clock AS INTEGER
    CheckOffset AS INTEGER
    Counter AS INTEGER
    Death AS INTEGER
    Deaths AS INTEGER
    DamageTaken AS SINGLE
    Direction AS INTEGER
    Frame AS INTEGER
    HaveBook AS INTEGER
    HaveBow AS INTEGER
    HaveFlute AS INTEGER
    HaveFood AS INTEGER
    HaveLadder AS INTEGER
    HaveMagicShield AS INTEGER
    HaveMasterKey AS INTEGER
    HaveRaft AS INTEGER
    HaveWand AS INTEGER
    Health AS SINGLE
    Hurt AS SINGLE
    HurtMove AS INTEGER
    Invincible AS INTEGER
    InRoom AS INTEGER
    Keys AS INTEGER
    LadderInUse AS INTEGER
    LikeLocked AS INTEGER
    LockCandle AS INTEGER
    LockSecondary AS INTEGER
    MaxDelay AS INTEGER
    MoveSpeed AS SINGLE
    MaxHealth AS INTEGER
    OnRaft AS INTEGER
    PlayedFlute AS INTEGER
    Potion AS INTEGER
    PrevX AS SINGLE
    PrevY AS SINGLE
    Ring AS INTEGER
    Score AS INTEGER
    SecondaryWeapon AS INTEGER
    SilverArrow AS INTEGER
    Size AS INTEGER
    Sword AS INTEGER
    SwordDamage AS INTEGER
    Triforce AS INTEGER
    WidthMod AS INTEGER
    XPos AS SINGLE
    YPos AS SINGLE
END TYPE

TYPE GlobalSettings
    ActiveSectionX AS INTEGER
    ActiveSectionY AS INTEGER
    ActiveSprite AS INTEGER
    Alpha AS INTEGER
    BackSFX AS INTEGER
    BlackedOut AS INTEGER
    BlockTrigger AS INTEGER
    BottomLimit AS INTEGER
    BypassTransition AS INTEGER
    Changed AS INTEGER
    ClearedArrayLocation AS INTEGER
    ClearedArraySize AS INTEGER
    Collision1 AS LONG 'For Debug
    Collision2 AS LONG 'For Debug
    ConsoleActive AS INTEGER
    CurrentZone AS STRING * 8
    Debug AS INTEGER
    DelayLinkHurt AS INTEGER
    DungTileArraySize AS INTEGER
    EditorActive AS INTEGER
    Ending AS INTEGER
    ErrorTracker AS STRING * 15
    Font AS LONG
    FontL AS LONG
    FontUi AS LONG
    Frames AS INTEGER 'For Debug
    GameOver AS INTEGER
    Item1Cost AS INTEGER
    Item2Cost AS INTEGER
    Item3Cost AS INTEGER
    Item1Type AS INTEGER
    Item2Type AS INTEGER
    Item3Type AS INTEGER
    Intro AS INTEGER
    KillCount AS INTEGER
    LeaderBoardActive AS INTEGER
    LeftLimit AS INTEGER
    LockAccKeys AS INTEGER
    LockAttack AS INTEGER
    LockDown AS INTEGER
    LockInput AS INTEGER
    LoopEnabled AS INTEGER
    MainMenu AS INTEGER
    MapExtension AS STRING * 4
    MaxChar AS INTEGER
    MaxLevels AS INTEGER
    MapActive AS INTEGER
    MatrixSize AS INTEGER
    ModifyCash AS INTEGER
    ModifyHealth AS INTEGER
    ModifyingCash AS INTEGER
    MousePosX AS SINGLE
    MousePosY AS SINGLE
    Mute AS INTEGER
    OverworldTileArraySize AS INTEGER
    PotionDelay AS INTEGER
    PlayerCollisionDetected AS INTEGER
    RezX AS INTEGER
    RezY AS INTEGER
    RightLimit AS INTEGER
    SectionX AS INTEGER
    SectionY AS INTEGER
    SetLoop AS SINGLE
    SetLoopEnd AS SINGLE
    SetupStore AS INTEGER
    ShowStairs AS INTEGER
    Song AS INTEGER
    SoldItem AS INTEGER
    'SpecialSize AS INTEGER
    SpriteDivider AS INTEGER
    SpriteSelected AS INTEGER
    SquareBottom AS SINGLE
    SquareHeight AS SINGLE
    SquareLeft AS SINGLE
    SquareRight AS SINGLE
    SquareTop AS SINGLE
    SquareWidth AS SINGLE
    TextDone AS INTEGER
    TopLimit AS INTEGER
    TopSprite AS INTEGER
    UpdateBoardActive AS INTEGER
    UpdateUI AS INTEGER
    UiOffset AS INTEGER
    UiHeight AS INTEGER
    UiTop AS INTEGER
    User AS STRING * 15
END TYPE

DIM SHARED Settings AS GlobalSettings
DIM SHARED Player1 AS Link

Settings.RezX = 1024
Settings.RezY = 768
Settings.MatrixSize = 50
Settings.Debug = 0
Settings.TopLimit = 200
Settings.BottomLimit = Settings.RezY
Settings.LeftLimit = 0
Settings.RightLimit = Settings.RezX
Settings.SpriteDivider = 80
Settings.OverworldTileArraySize = 106
Settings.DungTileArraySize = 16
Settings.ClearedArraySize = 8
Settings.MaxLevels = 9
Settings.MaxChar = 47
Settings.TopSprite = 71
Settings.MapExtension = ".msz"
Settings.Mute = 0

Player1.Direction = 3
Player1.Frame = 1
Player1.MaxDelay = 8
Player1.Size = 23
Player1.MaxHealth = 6
Player1.Health = 6
Player1.MoveSpeed = 4
Player1.CheckOffset = 6
Player1.Ring = 1
Player1.DamageTaken = 1

DIM SHARED Display AS LONG
DIM SHARED Sprites AS LONG
DIM SHARED Buffer AS LONG
DIM SHARED Scene AS LONG
DIM SHARED UI AS LONG

DIM SHARED ActiveFile$





'$include:'Maps.h'
'$include:'Audio.h'
