TYPE Map
    Name AS STRING * 16
    BGM AS INTEGER
    Type AS INTEGER
    SubType AS INTEGER
    SpriteLimitX AS INTEGER
    SpriteLimitY AS INTEGER
    AmbientSound AS INTEGER
    DoorN AS INTEGER
    DoorW AS INTEGER
    DoorS AS INTEGER
    DoorE AS INTEGER
    NFile AS STRING * 8
    EFile AS STRING * 8
    SFile AS STRING * 8
    WFile AS STRING * 8
    SecretZone AS STRING * 8
    OpenCondition AS INTEGER
    Blackout AS INTEGER
    Item1 AS INTEGER
    Item2 AS INTEGER
    Item3 AS INTEGER
    Item1Cost AS INTEGER
    Item2Cost AS INTEGER
    Item3Cost AS INTEGER
END TYPE

DIM SHARED ActiveMap AS Map
DIM SHARED LinkMap AS Map
DIM SHARED TransMap AS Map

DIM SHARED DungSprites(6, 4, 10) AS LONG
DIM SHARED DungBackDrop(2, 10) AS LONG
DIM SHARED DungTile(Settings.DungTileArraySize, 10) AS LONG
DIM SHARED BasementBackdrop(2) AS LONG

DIM SHARED OverworldTile(Settings.OverworldTileArraySize) AS LONG

DIM SHARED SpriteMatrix(24, 14) AS INTEGER
DIM SHARED LinkSpriteMatrix(24, 14) AS INTEGER

ActiveMap.NFile = "NULL"
ActiveMap.EFile = "NULL"
ActiveMap.SFile = "NULL"
ActiveMap.WFile = "NULL"
ActiveMap.Name = "NULL"
ActiveMap.SecretZone = "NULL"
