'*********************************************************
'*  Code for Armos
'*
'*
'*********************************************************
SUB ArmosMain (x)
    IF Sprites(x).Stage = 0 THEN
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        IF Sprites(x).AnimationDelay MOD 3 = 0 THEN
            _DEST Sprites&
            _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), ArmosSprites(1, 1), Sprites&
        ELSE
            _DEST Sprites&
            _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), OverworldTile(Sprites(x).SnakeNum), Sprites&
        END IF
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(20, 0, 0), BF
        IF Player1.Invincible < 2 THEN CALL CheckPlayerCollision
        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN Sprites(x).Stage = 1
    ELSEIF Sprites(x).Stage = 1 THEN
        Sprites(x).SnakeNum = 0
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), OverworldTile(Sprites(x).SnakeNum), Sprites&
        Sprites(x).MaxDelay = 10
        Sprites(x).AnimationDelay = 0
        Sprites(x).Stage = 2
        CALL DrawMap(Scene&, Foreground&, 0, 0)
    ELSEIF Sprites(x).Stage = 2 THEN
        IF Sprites(x).Hurt = 0 THEN
            CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
            IF Sprites(x).Direction = 1 THEN
                Sprites(x).Frame2 = 2
            ELSE
                Sprites(x).Frame2 = 1
            END IF

            IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
                Sprites(x).AnimationDelay = 0
                IF Sprites(x).Frame = 1 THEN
                    Sprites(x).Frame = 2
                ELSE
                    Sprites(x).Frame = 1
                END IF
            ELSE
                Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
            END IF

            _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), ArmosSprites(Sprites(x).Frame2, Sprites(x).Frame), Sprites&
            _DEST Collision&
            LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(254, 1, x), BF

        ELSE
            CALL MobHurt(x, ArmosSprites(Sprites(x).Frame2, Sprites(x).Frame), _RGB(255, 160, 68), 1, 0)
        END IF
    END IF
END SUB
