'*********************************************************
'* Main code for Bubble
'*
'*
'*********************************************************
SUB BubbleMain (x)
    CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
    CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)

    Temp& = SwapColor(BubbleSprite, _RGB(248, 56, 0), _RGB(RandomGen(255, 0, "+", 0), RandomGen(255, 0, "+", 0), RandomGen(255, 0, "+", 0)))
    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), Temp&, Sprites&
    _FREEIMAGE Temp&
END SUB


'************************************************************
'* SUB BubbleHit
'*
'* Locks link out of attacking if he touches a bubble
'************************************************************
SUB BubbleHit
    IF Settings.LockAttack = 1 THEN TIMER(BubbleTimer) OFF
    Settings.LockAttack = 1
    TIMER(BubbleTimer) ON
END SUB


'************************************************************
'* SUB UnlockSword
'*
'* Called when BubbleTimer goes off. Resets the time that Link
'* cannot attack after getting hit by Bubble
'************************************************************
SUB UnlockSword
    TIMER(BubbleTimer) OFF
    Settings.LockAttack = 0
END SUB