'*********************************************************
'* SUB CollectabelCandle (x)
'*
'* Code for collectable candle
'*********************************************************

SUB CollectableCandle (x)
    IF Special(x).Stage = 1 THEN
        Special(x).Stage = 2
        CALL Fanfare(x, 1)

    ELSEIF Special(x).Stage = 2 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = Special(x).MaxCount THEN
            IF Special(x).Name = "P-BCa" THEN
                Player1.Candle = 1
            ELSE
                Player1.Candle = 2
            END IF
            CALL KillSpecialSprite(x)
            CALL Fanfare(x, -1)
            CALL DeleteSprite(Special(x).Master)
            CALL SaveGame("Candle Upgrade")
        END IF

    END IF

    IF Special(x).Name = "P-BCa" THEN
        _PUTIMAGE (Special(x).XPos - (Special(x).Size / 2), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 2), Special(x).YPos + Special(x).Size), CandleSprites(1), Sprites&
    ELSE
        _PUTIMAGE (Special(x).XPos - (Special(x).Size / 2), Special(x).YPos - Special(x).Size)-(Special(x).XPos + (Special(x).Size / 2), Special(x).YPos + Special(x).Size), CandleSprites(2), Sprites&
    END IF
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), _RGB(60, 0, x), BF
END SUB


'************************************************************
'* SUB CandleCode
'*
'* Called when player uses candle. Checks if candle has been used
'* on screen or not, and if able to spawn flame it will spawn flame
'************************************************************
SUB CandleCode
    Player1.Attacking = 0
    Player1.LockSecondary = 0

    IF Player1.LockCandle = 0 THEN
        Player1.LockCandle = 1
        CALL SpawnSprite("Flame", Player1.XPos, Player1.YPos, Player1.Direction, 0, 0, 1)
    END IF
END SUB