'*********************************************************
'* Draws the clock and its hitbox
'*
'*
'*********************************************************
SUB DrawClock(x)
    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), ClockSprite, Sprites&
    _DEST Collision&
    LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(50, 20, x), BF
END SUB


'************************************************************
'* SUB StunEveryone
'*
'* Called when Link picks up the clock
'************************************************************
SUB StunEveryone
    FOR x = 1 TO Settings.MatrixSize
        IF Sprites(x).Active = 1 AND Sprites(x).HardCount = 1 THEN
            IF Settings.Debug > 1 AND Sprites(x).Active = 1 THEN CALL PrintConsole("Engine -> Perma-Stunning sprite#:" + STR$(x) + ": " + Sprites(x).Name, 2)
            Sprites(x).Stunned = -1
            IF Sprites(x).Name = "Zora " THEN CALL KillSprite(x)
        END IF
    NEXT x
END SUB