'*********************************************************
'* Code for large DigDogger
'*
'*
'*********************************************************
SUB LargeDigDogger (x)
    IF Sprites(x).Stage = 0 THEN
        CALL SoundBoard("", 4)
        Sprites(x).Stage = 1
    END IF

    IF Sprites(x).Stage = 1 THEN
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1

        CALL MoveMob(8, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)

        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).AnimationDelay = 0
            Sprites(x).Frame = Sprites(x).Frame + 1
            IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
        END IF

        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), DigdoggerSprites(1, Sprites(x).Frame), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(250, 1, x), BF
    ELSEIF Sprites(x).Stage = 2 THEN
        ChildDigs = RandomGen(4, 1, "+", 0)
        Sprites(x).Health = ChildDigs
        CALL SoundBoard("BossHit", -1)
        CALL SoundBoard("Hit", -1)
        FOR Spawns = 1 TO ChildDigs
            CALL SpawnSprite("MDigd", Sprites(x).XPos, Sprites(x).YPos, 0, 0, x, 0)
        NEXT Spawns
        'Sprites(x).Stage = 3
        CALL KillSprite(x)
    END IF
END SUB





'*********************************************************
'* Code for mini DigDoggers
'*
'*
'*********************************************************
SUB MiniDigDogger (x)
    Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1

    IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
        Sprites(x).AnimationDelay = 0
        Sprites(x).Frame = Sprites(x).Frame + 1
        IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
    END IF

    CALL MoveMob(8, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)

    IF Sprites(x).Hurt = 0 THEN
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), DigdoggerSprites(2, Sprites(x).Frame), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(254, 1, x), BF
    ELSE
        CALL MobHurt(x, DigdoggerSprites(2, Sprites(x).Frame), _RGB(255, 160, 68), 0, 0)
    END IF
END SUB