'*********************************************************
'* Code for the Gleeosk main body
'*
'*
'*********************************************************
SUB GleeoskMain (x)
    IF Sprites(x).Stage = 0 THEN
        CALL SoundBoard("", 1)
        Sprites(x).Stage = 1
    END IF

    Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1

    CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)

    IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
        Sprites(x).AnimationDelay = 0
        Sprites(x).Frame = Sprites(x).Frame + 1
        IF Sprites(x).Frame = 4 THEN Sprites(x).Frame = 1
    END IF

    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), GleeokSprites(1, Sprites(x).Frame), Sprites&
    _PUTIMAGE (Sprites(x).XPos - 15, Sprites(x).YPos + Sprites(x).Size - 15)-(Sprites(x).XPos + 15, Sprites(x).YPos + Sprites(x).Size + 15), GleeokSprites(2, 1), Sprites&
END SUB


'*********************************************************
'* Code for the Gleeosk heads
'*
'*
'*********************************************************
SUB GleeoskHead (x)
    Sprites(x).Counter2 = Sprites(x).Counter2 + 1

    IF Sprites(x).Counter2 = Sprites(x).MaxCount2 THEN
        Sprites(x).Counter2 = 0
        Sprites(x).MaxCount2 = RandomGen(50, 75, "+", 0)
        CALL SpawnSprite("FireB", Sprites(x).XPos, Sprites(x).YPos, 0, 0, 0, 0)
    END IF

    IF Sprites(x).Stage = 1 THEN
        Neck1X = (Settings.RezX / 2) + ((Sprites(x).XPos - Settings.RezX / 2) * .33)
        Neck1Y = (Sprites(Sprites(x).PatraLoc).YPos + Sprites(Sprites(x).PatraLoc).Size) + (Sprites(x).YPos - (Sprites(Sprites(x).PatraLoc).YPos + Sprites(Sprites(x).PatraLoc).Size)) * .33
        Neck2X = (Settings.RezX / 2) + ((Sprites(x).XPos - Settings.RezX / 2) * .66)
        Neck2Y = (Sprites(Sprites(x).PatraLoc).YPos + Sprites(Sprites(x).PatraLoc).Size) + (Sprites(x).YPos - (Sprites(Sprites(x).PatraLoc).YPos + Sprites(Sprites(x).PatraLoc).Size)) * .66

        _PUTIMAGE (Neck1X - 15, Neck1Y - 15)-(Neck1X + 15, Neck1Y + 15), GleeokSprites(2, 1), Sprites&
        _PUTIMAGE (Neck2X - 15, Neck2Y - 15)-(Neck2X + 15, Neck2Y + 15), GleeokSprites(2, 1), Sprites&
    ELSEIF Sprites(x).Stage = 2 THEN
        Sprites(x).Frame = 2
        Sprites(x).Master = Sprites(x).PatraLoc
        Sprites(x).Stage = 3
        Sprites(x).Speed = 4
        Sprites(x).Hurt = 0
        Sprites(x).Counter = Sprites(x).MaxCount
        Sprites(Sprites(x).PatraLoc).Health = Sprites(Sprites(x).PatraLoc).Health - 1
    ELSEIF Sprites(x).Stage = 3 THEN
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).Frame = Sprites(x).Frame + 1
            Sprites(x).AnimationDelay = 0
            IF Sprites(x).Frame = 4 THEN Sprites(x).Frame = 2
        END IF
    END IF

    CALL MoveMob(8, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
    CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)

    _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), GleeokSprites(3, Sprites(x).Frame), Sprites&

    IF Sprites(x).Hurt = 0 AND Sprites(x).Stage = 1 THEN
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), _RGB(254, 1, x), BF
    ELSE
        IF Sprites(x).Stage = 1 THEN CALL MobHurt(x, GleeokSprites(1, Sprites(Sprites(x).PatraLoc).Frame), _RGB(76, 220, 72), 0, 0)
    END IF
END SUB