'*********************************************************
'* SUB ItemSoldTrigger (x)
'*
'* when link buys an item this sprite is spawned to handle
'* adding the item to inventory and putting item above link's head
'* during fanfare
'*********************************************************

SUB ItemSoldTrigger (x)
    IF Special(x).Stage = 0 THEN
        Special(x).Stage = 1
        CALL Fanfare(x, 1)
        Special(x).Size = Special(x).Size / 2

    ELSEIF Special(x).Stage = 1 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = Special(x).MaxCount THEN
            IF Special(x).Frame = 1 THEN
                Player1.Bombs = Player1.Bombs + 1
                IF Player1.Bombs = 0 THEN Player1.Bombs = 1
            END IF
            IF Special(x).Frame = 2 THEN Player1.HaveMagicShield = 1
            IF Special(x).Frame = 3 AND Player1.Candle <> 2 THEN Player1.Candle = 1
            IF Special(x).Frame = 4 THEN Settings.ModifyHealth = 2
            IF Special(x).Frame = 5 THEN Player1.Keys = Player1.Keys + 1
            IF Special(x).Frame = 6 AND Player1.Ring <> 3 THEN Player1.Ring = 2: Player1.DamageTaken = .5
            IF Special(x).Frame = 7 AND Player1.Potion <> 2 THEN Player1.Potion = 1
            IF Special(x).Frame = 8 THEN Player1.Potion = 2
            IF Special(x).Frame = 9 THEN Player1.HaveFood = 1
            Settings.UpdateUI = 1
            CALL SaveGame("Item Sold")
            CALL Fanfare(x, 0)
            CALL KillSpecialSprite(x)
        END IF
    END IF

    _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), StoreItemSprites(Special(x).Frame), Sprites&
END SUB