'*********************************************************
'* Main Code for Like-Likes
'*
'*
'*********************************************************
SUB LikeLikeMain (x)
    IF Sprites(x).Hurt = 0 AND Player1.LikeLocked <> x THEN
        CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1

        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).Frame = Sprites(x).Frame + 1
            IF Sprites(x).Frame = 4 THEN Sprites(x).Frame = 1
            Sprites(x).AnimationDelay = 0
        END IF


    ELSEIF Player1.LikeLocked = 0 THEN
        CALL MobHurt(x, LikeLikeSprites(Sprites(x).Frame), _RGB(255, 160, 68), 1, 0)

    ELSEIF Sprites(x).Hurt > 0 THEN
        CALL MobHurt(x, LikeLikeSprites(Sprites(x).Frame), _RGB(255, 160, 68), 0, 0)
    END IF

    IF Sprites(x).Hurt = 0 THEN
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), LikeLikeSprites(Sprites(x).Frame), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size - 2, Sprites(x).YPos - Sprites(x).Size - 2)-(Sprites(x).XPos + Sprites(x).Size + 2, Sprites(x).YPos + Sprites(x).Size + 2), _RGB(254, 1, x), BF
    END IF
END SUB


'************************************************************
'* SUB LikeLikeLock(x)
'*
'* x is the sprite ID. Used to lock Link when he comes into contact
'* with a Like-Like
'************************************************************
SUB LikeLikeLock (x)
    IF x = -1 THEN
        Player1.LikeLocked = 0
    ELSE
        Player1.Hurt = Sprites(x).Damage
        IF PercentChance(25) = 1 THEN Player1.HaveMagicShield = 0
        Player1.XPos = Sprites(x).XPos
        Player1.YPos = Sprites(x).YPos
        Player1.LikeLocked = x
        Player1.Direction = 3
        Sprites(x).AnimationDelay = Sprites(x).MaxDelay + 5
        Sprites(x).Frame = 2
    END IF
END SUB