'*********************************************************
'* Executed when Link gets fiesty.
'*
'*
'*********************************************************

SUB AttackHandle
    IF Attack(1).Active = 1 THEN
        IF Attack(1).Stage = 0 THEN
            CALL SoundBoard("Slash", -1)
            IF Player1.Direction = 1 OR Player1.Direction = 3 THEN Player1.WidthMod = 8
            Player1.CanMove = 0
            Attack(1).Stage = 1
            IF Attack(1).Direction = 1 THEN Attack(1).YPos = Attack(1).YPos - 15
            IF Attack(1).Direction = 2 THEN Attack(1).XPos = Attack(1).XPos + 15
            IF Attack(1).Direction = 3 THEN Attack(1).YPos = Attack(1).YPos + 15
            IF Attack(1).Direction = 4 THEN Attack(1).XPos = Attack(1).XPos - 15
        END IF

        IF Attack(1).AnimationDelay = Attack(1).MaxDelay THEN
            Attack(1).AnimationDelay = 0
            Attack(1).Counter = Attack(1).Counter + 1

            IF Attack(1).Direction = 1 OR Attack(1).Direction = 3 THEN
                CALL CheckAttackHit(Attack(1).XPos, Attack(1).YPos, Attack(1).Direction, 1)
                Attack(1).YPos = Attack(1).YPos + Attack(1).MoveY
            ELSEIF Attack(1).Direction = 2 OR Attack(1).Direction = 4 THEN
                CALL CheckAttackHit(Attack(1).XPos, Attack(1).YPos, Attack(1).Direction, 1)
                Attack(1).XPos = Attack(1).XPos + Attack(1).MoveX
            END IF
        ELSE
            Attack(1).AnimationDelay = Attack(1).AnimationDelay + 1
        END IF

        IF Attack(1).Counter = Attack(1).MaxCount + 1 THEN
            Attack(1).Stage = Attack(1).Stage + 1
            Attack(1).Counter = 0

            IF Attack(1).Stage = 2 THEN
                IF Player1.Health = Player1.MaxHealth AND Attack(2).Active = 0 THEN
                    CALL SpawnSprite("FlyingSword", Attack(1).XPos, Attack(1).YPos, 0, 0, 0, 0)
                ELSEIF Player1.Sword = 4 AND Attack(2).Active = 0 THEN
                    CALL SpawnSprite("FlyingSword", Attack(1).XPos, Attack(1).YPos, 0, 0, 0, 0)
                END IF

                Attack(1).Stage = 3
                IF Attack(1).Direction = 1 OR Attack(1).Direction = 3 THEN Attack(1).MoveY = Attack(1).MoveY * -1
                IF Attack(1).Direction = 2 OR Attack(1).Direction = 4 THEN Attack(1).MoveX = Attack(1).MoveX * -1
            ELSEIF Attack(1).Stage = 4 THEN
                Attack(1).Active = 0
                Player1.CanMove = 1
                Player1.Attacking = 0
                Player1.WidthMod = 0
            END IF
        END IF

        _DEST Sprites&
        IF Attack(1).Direction = 1 OR Attack(1).Direction = 3 THEN _PUTIMAGE (Attack(1).XPos - 12, Attack(1).YPos - 20)-(Attack(1).XPos + 12, Attack(1).YPos + 25), AttackSprites(Attack(1).Direction, Player1.Sword), Sprites&
        IF Attack(1).Direction = 2 OR Attack(1).Direction = 4 THEN _PUTIMAGE (Attack(1).XPos - 25, Attack(1).YPos - 10)-(Attack(1).XPos + 20, Attack(1).YPos + 10), AttackSprites(Attack(1).Direction, Player1.Sword), Sprites&
    END IF

    IF Attack(2).Active = 1 THEN
        IF Attack(2).XPos < Settings.LeftLimit - 20 OR Attack(2).XPos < 25 OR Attack(2).XPos > Settings.RightLimit + 20 OR Attack(2).XPos > Settings.RezX - 25 OR Attack(2).YPos < Settings.TopLimit - 20 OR Attack(2).YPos < 225 OR Attack(2).YPos > Settings.BottomLimit + 20 OR Attack(2).YPos > Settings.RezY - 25 THEN
            Attack(2).Active = 0
            CALL SpawnSprite("Spark", Attack(2).XPos, Attack(2).YPos, 0, 0, 0, 0)
            EXIT SUB
        END IF

        IF Attack(2).Stage = 0 THEN
            CALL SoundBoard("SwordShoot", -1)
            Attack(2).Stage = 1
        END IF
        Attack(2).XPos = Attack(2).XPos + Attack(2).MoveX
        Attack(2).YPos = Attack(2).YPos + Attack(2).MoveY

        CALL CheckAttackHit(Attack(2).XPos, Attack(2).YPos, Attack(2).Direction, 2)

        Attack(2).Frame = Attack(2).Frame + 1
        IF Attack(2).Frame = 5 THEN Attack(2).Frame = 1

        IF Attack(2).Direction = 2 OR Attack(2).Direction = 4 THEN _PUTIMAGE (Attack(2).XPos - 25, Attack(2).YPos - 10)-(Attack(2).XPos + 20, Attack(2).YPos + 10), AttackSprites(Attack(2).Direction, Attack(2).Frame), Sprites&
        IF Attack(2).Direction = 1 OR Attack(2).Direction = 3 THEN _PUTIMAGE (Attack(2).XPos - 12, Attack(2).YPos - 20)-(Attack(2).XPos + 12, Attack(2).YPos + 25), AttackSprites(Attack(2).Direction, Attack(2).Frame), Sprites&
        IF Settings.Debug = 1 THEN _DEST DebugScreen&: CIRCLE (Attack(2).XPos, Attack(2).YPos), 5, _RGB(0, 0, 0): _DEST Sprites&
    END IF
END SUB



'*********************************************************
'* Used when Link is hurt. Will make Link 'flash' and handle
'* damage, and throwback
'*
'*********************************************************
SUB LinkHurt
    TLimit = 0
    RLimit = 0
    BLimit = 0
    LLimit = 0
    IF Player1.Hurt < 10 THEN
        Settings.LockInput = 1
        Player1.Counter = 0
        IF Player1.Hurt <> 0.1 AND Player1.Invincible = 0 THEN Player1.Health = Player1.Health - (Player1.Hurt * Player1.DamageTaken)
        CALL SoundBoard("Hurt", -1)
        IF Player1.Health <= 0 THEN CALL LinkDeath
        Player1.Hurt = 10
        IF Player1.LikeLocked <> 0 THEN Player1.Hurt = 20
        Attack(1).Active = 0
        'Attack(3).Active = 0
        Player1.Attacking = 0
    END IF

    IF Player1.Hurt = 10 THEN
        _SOURCE Collision&

        IF Player1.HurtMove = 1 AND _RED(POINT(Player1.XPos, Player1.YPos - (Player1.MoveSpeed * 4))) = 0 THEN Player1.YPos = Player1.YPos - (Player1.MoveSpeed * 4)
        IF Player1.HurtMove = 2 AND _RED(POINT(Player1.XPos + (Player1.MoveSpeed * 4), Player1.YPos)) = 0 THEN Player1.XPos = Player1.XPos + (Player1.MoveSpeed * 4)
        IF Player1.HurtMove = 3 AND _RED(POINT(Player1.XPos, Player1.YPos + (Player1.MoveSpeed * 4))) = 0 THEN Player1.YPos = Player1.YPos + (Player1.MoveSpeed * 4)
        IF Player1.HurtMove = 4 AND _RED(POINT(Player1.XPos - (Player1.MoveSpeed * 4), Player1.YPos)) = 0 THEN Player1.XPos = Player1.XPos - (Player1.MoveSpeed * 4)
        IF Player1.YPos < Settings.TopLimit + Player1.Size + 5 THEN Player1.YPos = Settings.TopLimit + Player1.Size + 6
        IF Player1.XPos > Settings.RightLimit - Player1.Size - 5 THEN Player1.XPos = Settings.RightLimit - Player1.Size - 6
        IF Player1.YPos > Settings.BottomLimit - Player1.Size - 5 THEN Player1.YPos = Settings.BottomLimit - Player1.Size - 6
        IF Player1.XPos < Settings.LeftLimit + Player1.Size + 5 THEN Player1.XPos = Settings.LeftLimit + Player1.Size + 6

        DO
            IF _RED(POINT(Player1.XPos - Player1.Size - 1, Player1.YPos)) = 20 OR _RED(POINT(Player1.XPos - Player1.Size - 1, Player1.YPos)) = 130 AND LLimit = 0 THEN
                Player1.XPos = Player1.XPos + 1
            ELSE
                LLimit = 1
            END IF

            IF _RED(POINT(Player1.XPos + Player1.Size + 1, Player1.YPos)) = 20 OR _RED(POINT(Player1.XPos + Player1.Size + 1, Player1.YPos)) = 130 AND RLimit = 0 THEN
                Player1.XPos = Player1.XPos - 1
            ELSE
                RLimit = 1
            END IF

            IF _RED(POINT(Player1.XPos, Player1.YPos - Player1.Size - 1)) = 20 OR _RED(POINT(Player1.XPos, Player1.YPos - Player1.Size - 1)) = 130 AND BLimit = 0 THEN
                Player1.YPos = Player1.YPos + 1
            ELSE
                BLimit = 1
            END IF

            IF _RED(POINT(Player1.XPos, Player1.YPos + Player1.Size + 1)) = 20 OR _RED(POINT(Player1.XPos, Player1.YPos + Player1.Size + 1)) = 130 AND TLimit = 0 THEN
                Player1.YPos = Player1.YPos - 1
            ELSE
                TLimit = 1
            END IF

            Failsafe = Failsafe + 1
            IF Failsafe = 120 THEN EXIT DO
        LOOP UNTIL TLimit = 1 AND RLimit = 1 AND BLimit = 1 AND LLimit = 1

        Player1.Counter = Player1.Counter + 1
        IF Player1.Counter = 11 THEN Player1.Hurt = 20
    END IF

    IF Player1.Hurt = 20 THEN
        Settings.LockInput = 0
        Settings.UpdateUI = 1
        Settings.DelayLinkHurt = 5
        Player1.Hurt = 0
        Player1.HurtMove = 0
        Player1.Counter = 0
        Player1.CanMove = 1
    END IF
END SUB



'*********************************************************
'* Link's death sequence
'*
'*
'*********************************************************
SUB LinkDeath
    Settings.UpdateUI = 1
    Player1.Direction = 3
    Player1.Attacking = 0
    Player1.Frame = 1
    Player1.Hurt = 0
    Player1.Death = 0
    Player1.HurtMove = 0
    Player1.Counter = 0
    Player1.Deaths = Player1.Deaths + 1
    CALL SaveGame("Death Save")
    CALL ClearZoneList

    CALL JukeBox(-3)
    CALL SoundBoard("", 0)
    CALL KillAllSprites
    CALL DrawMap(Scene&, Foreground&, 0, 1)
    CALL AssembleDisplay

    DeathTimer = _FREETIMER
    ON TIMER(DeathTimer, 1.2) LinkDeathLoopExit
    TIMER(DeathTimer) ON

    DO
        CALL DrawPlayerSprite(Sprites&)
        CALL AssembleDisplay
    LOOP UNTIL Player1.Death = 1

    TIMER(DeathTimer) OFF
    CALL JukeBox(4)
    _DEST Sprites&

    FOR Steps = 1 TO 16
        _DEST Sprites&
        CLS
        _CLEARCOLOR _RGB(0, 0, 0)
        Player1.Direction = Player1.Direction - 1
        IF Player1.Direction < 1 THEN Player1.Direction = 4
        CALL DrawPlayerSprite(Sprites&)
        CALL AssembleDisplay
        _DELAY 0.05
    NEXT Steps


    FOR x = 0 TO 250 STEP 50
        Settings.Alpha = x
        Settings.UpdateUI = 1
        CALL DrawPlayerSprite(UI&)
        UI& = Convert2BW(UI&)
        CALL AssembleDisplay
    NEXT x

    _DEST UI&
    LINE (0, 200)-(Settings.RezX, Settings.RezY), _RGB(4, 4, 4), BF
    CALL AssembleDisplay

    Size = Player1.Size

    FOR x = 1 TO 3
        LINE (0, 200)-(Settings.RezX, Settings.RezY), _RGB(4, 4, 4), BF
        _PUTIMAGE (Player1.XPos - Size, Player1.YPos - Size)-(Player1.XPos + Size, Player1.YPos + Size), DeathSprites(x), UI&
        UI& = Convert2BW(UI&)
        CALL AssembleDisplay
        ' _DELAY 0.05
        Size = (Size * x) * .75
    NEXT x

    LINE (0, 200)-(Settings.RezX, Settings.RezY), _RGB(1, 1, 1), BF
    CLS
    Settings.UpdateUI = 1
    Settings.GameOver = 1
    TIMER(GameOverTimer) ON

    CALL AssembleDisplay
END SUB

SUB LinkDeathLoopExit
    Player1.Death = 1
    Player1.Hurt = 0
END SUB






'*********************************************************
'* Checks if Link has collided with anything
'*
'*
'*********************************************************
SUB CheckPlayerCollision
    IF Player1.Hurt <> 0 THEN CALL LinkHurt
    IF Player1.Frame = 5 THEN EXIT SUB

    _SOURCE Collision&
    CALL GetPlayerCollisionData(Check1&, Check2&)

    Check& = Check1&
    IF _RED(Check2&) <> 0 THEN Check& = Check2&


    '----  Collision with Zone Wall ----
    IF _RED(Check1&) = 10 AND _RED(Check2&) = 10 THEN
        CrossoverCheck = ActiveMap.Type


        IF _BLUE(Check1&) < 5 THEN
            IF AreAllDead = 1 THEN CALL AddToCleared: _DEST Display&
            IF _BLUE(Check1&) = 1 THEN Settings.CurrentZone = ActiveMap.NFile
            IF _BLUE(Check1&) = 2 THEN Settings.CurrentZone = ActiveMap.EFile
            IF _BLUE(Check1&) = 3 THEN Settings.CurrentZone = ActiveMap.SFile
            IF _BLUE(Check1&) = 4 THEN Settings.CurrentZone = ActiveMap.WFile

            CALL KillAllSprites

            IF RIGHT$(RTRIM$(Settings.CurrentZone), 6) <> "Return" THEN
                CALL LoadMap(LTRIM$(RTRIM$(Settings.CurrentZone)) + Settings.MapExtension, 0)

            ELSE
                CALL TransitionMap(LTRIM$(RTRIM$(ReturnMap)), 8)
                Settings.CurrentZone = CleanZoneTarget$(ReturnMap)
                CALL SpawnSpriteMatrix(IfAlreadyCleared)
                ReturnMap = "NULL"
                CALL JukeBox(ActiveMap.BGM)
                EXIT SUB
            END IF

            IF Settings.BypassTransition = 0 THEN
                IF ActiveMap.Type = TransMap.Type THEN
                    CALL TransitionMap(LTRIM$(RTRIM$(Settings.CurrentZone)) + Settings.MapExtension, _BLUE(Check1&))

                    IF ActiveMap.Blackout = 1 AND Settings.BlackedOut = 0 THEN
                        CALL TransitionMap(LTRIM$(RTRIM$(Settings.CurrentZone)), 6)
                        Settings.BlackedOut = 1
                    ELSEIF ActiveMap.Blackout = 0 AND Settings.BlackedOut = 1 THEN
                        CALL TransitionMap(LTRIM$(RTRIM$(Settings.CurrentZone)) + Settings.MapExtension, 7)
                        Settings.BlackedOut = 0
                    END IF

                ELSE
                    IF ActiveMap.Type = 5 THEN
                        CALL TransitionMap(LTRIM$(RTRIM$(Settings.CurrentZone)) + Settings.MapExtension, 8)
                    ELSE
                        CALL TransitionMap(LTRIM$(RTRIM$(Settings.CurrentZone)) + Settings.MapExtension, 5)
                    END IF
                END IF

            ELSE
                CALL LoadMap(LTRIM$(RTRIM$(Settings.CurrentZone)) + Settings.MapExtension, 1)
                CALL DrawMap(Scene&, Foreground&, 0, 0)
                Settings.BypassTransition = 0
            END IF

            CALL SpawnSpriteMatrix(IfAlreadyCleared)

        ELSEIF _BLUE(Check1&) = 5 THEN
            IF AreAllDead = 1 THEN CALL AddToCleared
            ReturnMap = RTRIM$(Settings.CurrentZone)
            Settings.CurrentZone = ActiveMap.SecretZone
            CALL KillAllSprites

            IF ActiveMap.Type = 2 THEN
                CALL TransitionMap(LTRIM$(RTRIM$(ActiveMap.SecretZone)) + Settings.MapExtension, 8)
            ELSE
                CALL TransitionMap(LTRIM$(RTRIM$(ActiveMap.SecretZone)) + Settings.MapExtension, 5)
            END IF
            CALL SpawnSpriteMatrix(IfAlreadyCleared)

        ELSEIF _BLUE(Check1&) = 6 THEN
            IF AreAllDead = 1 THEN CALL AddToCleared
            ReturnMap = RTRIM$(Settings.CurrentZone)
            Settings.CurrentZone = ActiveMap.SecretZone
            CALL KillAllSprites
            CALL TransitionMap(LTRIM$(RTRIM$(ActiveMap.SecretZone)) + Settings.MapExtension, 8)
            CALL SpawnSpriteMatrix(IfAlreadyCleared)

        ELSEIF _BLUE(Check1&) = 7 THEN
            IF AreAllDead = 1 THEN CALL AddToCleared
            ReturnMap = RTRIM$(Settings.CurrentZone)
            Settings.CurrentZone = ActiveMap.SecretZone
            CALL KillAllSprites
            CALL TransitionMap(LTRIM$(RTRIM$(ActiveMap.SecretZone)) + Settings.MapExtension, 9)
            CALL SpawnSpriteMatrix(IfAlreadyCleared)
        END IF


        '---- Collision with Solid Object or Locked Door ----
    ELSEIF _RED(Check1&) = 20 OR _RED(Check2&) = 20 THEN
        IF Player1.Direction = 1 THEN Player1.YPos = Player1.YPos + Player1.MoveSpeed
        IF Player1.Direction = 2 THEN Player1.XPos = Player1.XPos - Player1.MoveSpeed
        IF Player1.Direction = 3 THEN Player1.YPos = Player1.YPos - Player1.MoveSpeed
        IF Player1.Direction = 4 THEN Player1.XPos = Player1.XPos + Player1.MoveSpeed
        IF _GREEN(Check1&) = 10 AND _GREEN(Check2&) = 10 AND Player1.Keys > 0 THEN CALL UnlockDoor(Check1&, Check2&)


        '---- Collision with Armos ----
    ELSEIF _RED(Check1&) = 30 OR _RED(Check2&) = 30 THEN
        Check& = Check1&
        IF _RED(Check2&) = 30 THEN Check& = Check2&
        x = _GREEN(Check&)
        y = _BLUE(Check&)
        SpriteWidth = (Settings.SquareWidth / 2) - 1
        SpriteHeight = (Settings.SquareHeight / 2) - 1
        SpriteX = (Settings.SquareWidth * (x - 1)) + Settings.LeftLimit + SpriteWidth
        Spritey = (Settings.SquareHeight * (y - 1)) + Settings.TopLimit + SpriteHeight
        CALL SpawnSprite("Armos", SpriteX, Spritey, 0, SpriteMatrix(x, y) - 50, 0, 0)
        SpriteMatrix(x, y) = 0


        '---- Collision with dropped item ----
    ELSEIF _RED(Check1&) = 50 OR _RED(Check2&) = 50 THEN
        CALL ItemCollected(_BLUE(Check&))

        '---- Collision with new item ----
    ELSEIF _RED(Check1&) = 60 OR _RED(Check2&) = 60 THEN
        Special(_BLUE(Check&)).Stage = 1


        '---- Collision with explosion ----
    ELSEIF _RED(Check1&) = 70 OR _RED(Check2&) = 70 THEN
        IF Player1.Direction = 1 AND Player1.Hurt = 0 THEN Player1.Hurt = Special(_BLUE(Check&)).Damage: Player1.HurtMove = ThrowBack(Player1.Direction)
        IF Player1.Direction = 2 AND Player1.Hurt = 0 THEN Player1.Hurt = Special(_BLUE(Check&)).Damage: Player1.HurtMove = ThrowBack(Player1.Direction)
        IF Player1.Direction = 3 AND Player1.Hurt = 0 THEN Player1.Hurt = Special(_BLUE(Check&)).Damage: Player1.HurtMove = ThrowBack(Player1.Direction)
        IF Player1.Direction = 4 AND Player1.Hurt = 0 THEN Player1.Hurt = Special(_BLUE(Check&)).Damage: Player1.HurtMove = ThrowBack(Player1.Direction)


        '---- Collision with raft trigger ----
    ELSEIF _RED(Check1&) = 100 OR _RED(Check2&) = 100 OR Player1.OnRaft <> 0 THEN
        IF Player1.OnRaft = 0 THEN
            Player1.OnRaft = 1
            Player1.LockSecondary = 1
            Player1.CanMove = 0
            Player1.Frame = 1
            Player1.Animate = 0
            Player1.Attacking = 0
            Player1.Counter = 0
            Settings.LockInput = 1
            Settings.LockAttack = 1
            CALL SoundBoard("Secret", -1)

        ELSEIF Player1.OnRaft = 1 AND _RED(Check1&) = 100 THEN
            IF Player1.Direction = 1 THEN Player1.YPos = Player1.YPos - 3
            IF Player1.Direction = 2 THEN Player1.XPos = Player1.XPos + 3
            IF Player1.Direction = 3 THEN Player1.YPos = Player1.YPos + 3
            IF Player1.Direction = 4 THEN Player1.XPos = Player1.XPos - 3

        ELSEIF Player1.OnRaft = 1 AND _RED(Check1&) <> 100 THEN
            Player1.Counter = Player1.Counter + 1
            IF Player1.Counter > Player1.Size / 2 THEN Player1.OnRaft = 2
            IF Player1.Direction = 1 THEN Player1.YPos = Player1.YPos - 3
            IF Player1.Direction = 2 THEN Player1.XPos = Player1.XPos + 3
            IF Player1.Direction = 3 THEN Player1.YPos = Player1.YPos + 3
            IF Player1.Direction = 4 THEN Player1.XPos = Player1.XPos - 3

        ELSEIF Player1.OnRaft = 2 THEN
            Player1.OnRaft = 0
            Player1.LockSecondary = 0
            Player1.CanMove = 1
            Player1.Animate = 1
            Player1.Counter = 0
            Settings.LockInput = 0
            Settings.LockAttack = 0
        END IF


        '---- Collision with store item ----
    ELSEIF _RED(Check1&) = 110 OR _RED(Check2&) = 110 THEN
        Check& = Check1&
        IF _RED(Check2&) = 110 THEN Check& = Check2&

        IF _BLUE(Check&) = 1 AND Player1.Cash > Settings.Item1Cost THEN
            Settings.SoldItem = 1
            Settings.ModifyCash = Settings.ModifyCash - Settings.Item1Cost
            ItemSold = Settings.Item1Type
        ELSEIF _BLUE(Check&) = 2 AND Player1.Cash > Settings.Item2Cost THEN
            Settings.SoldItem = 1
            Settings.ModifyCash = Settings.ModifyCash - Settings.Item2Cost
            ItemSold = Settings.Item2Type
        ELSEIF _BLUE(Check&) = 3 AND Player1.Cash > Settings.Item3Cost THEN
            Settings.SoldItem = 1
            Settings.ModifyCash = Settings.ModifyCash - Settings.Item3Cost
            ItemSold = Settings.Item3Type
        END IF

        CALL KillAllSpecialSprites
        CALL DrawMap(Scene&, Foreground&, 0, 0)
        CALL SpawnSprite("ISold", 0, 0, 0, ItemSold, 0, 0)


        '---- Collision with ladderable object ----
    ELSEIF _RED(Check1&) = 130 OR _RED(Check2&) = 130 THEN
        IF Player1.LadderInUse = 0 AND Player1.HaveLadder = 1 THEN
            Player1.LadderInUse = 1

            SpriteWidth = (Settings.SquareWidth / 2) '- 1
            SpriteHeight = (Settings.SquareHeight / 2) ' - 1

            IF Player1.Direction = 2 OR Player1.Direction = 4 THEN
                XPos = Player1.XPos - Settings.LeftLimit
                IF Player1.Direction = 2 THEN XPos = XPos + Player1.Size 'SpriteHeight
                IF Player1.Direction = 4 THEN XPos = XPos - Player1.Size 'SpriteHeight
                XPos = XPos / Settings.SquareWidth
                MatrixX = XPos + 1
                YPos = Player1.YPos

                IF Player1.Direction = 4 THEN MatrixX = MatrixX - 1
                XPos = (Settings.SquareWidth * (MatrixX - 1)) + Settings.LeftLimit + SpriteWidth

            ELSE
                YPos = Player1.YPos - Settings.TopLimit
                IF Player1.Direction = 1 THEN YPos = YPos - Player1.Size 'SpriteHeight
                IF Player1.Direction = 3 THEN YPos = YPos + Player1.Size 'SpriteHeight
                YPos = YPos / Settings.SquareHeight
                MatrixY = YPos + 1
                XPos = Player1.XPos

                IF Player1.Direction = 1 THEN MatrixY = MatrixY - 1
                YPos = (Settings.SquareHeight * (MatrixY - 1)) + Settings.TopLimit + SpriteHeight
            END IF

            CALL SpawnSprite("Ladde", XPos, YPos, 0, 0, 0, 0)

        ELSE
            IF Player1.Direction = 1 THEN Player1.YPos = Player1.YPos + Player1.MoveSpeed
            IF Player1.Direction = 2 THEN Player1.XPos = Player1.XPos - Player1.MoveSpeed
            IF Player1.Direction = 3 THEN Player1.YPos = Player1.YPos - Player1.MoveSpeed
            IF Player1.Direction = 4 THEN Player1.XPos = Player1.XPos + Player1.MoveSpeed
        END IF


        '---- Collision with Zelda to start end sequence ----
    ELSEIF _RED(Check1&) = 140 OR _RED(Check2&) = 140 THEN
        IF Special(_BLUE(Check&)).Stage = 0 THEN Special(_BLUE(Check&)).Stage = 1


        '---- Collision with Enemy ----
    ELSEIF _RED(Check1&) > 249 OR _RED(Check2&) > 249 THEN '200
        IF _RED(Check1&) > 249 THEN
            Check& = Check1&
        ELSE
            Check& = Check2&
        END IF

        IF Sprites(_BLUE(Check&)).Name = "LikeL" THEN
            IF Player1.LikeLocked = 0 THEN CALL LikeLikeLock(_BLUE(Check&))

        ELSE
            IF Player1.Direction = 1 AND Player1.Hurt = 0 AND Settings.DelayLinkHurt = 0 THEN Player1.Hurt = Sprites(_BLUE(Check&)).Damage: Player1.HurtMove = ThrowBack(Player1.Direction)
            IF Player1.Direction = 2 AND Player1.Hurt = 0 AND Settings.DelayLinkHurt = 0 THEN Player1.Hurt = Sprites(_BLUE(Check&)).Damage: Player1.HurtMove = ThrowBack(Player1.Direction)
            IF Player1.Direction = 3 AND Player1.Hurt = 0 AND Settings.DelayLinkHurt = 0 THEN Player1.Hurt = Sprites(_BLUE(Check&)).Damage: Player1.HurtMove = ThrowBack(Player1.Direction)
            IF Player1.Direction = 4 AND Player1.Hurt = 0 AND Settings.DelayLinkHurt = 0 THEN Player1.Hurt = Sprites(_BLUE(Check&)).Damage: Player1.HurtMove = ThrowBack(Player1.Direction)
            Settings.PlayerCollisionDetected = 1
        END IF
    END IF
END SUB


'*********************************************************
'* Draws Link's hitbox and shield hitbox
'*
'*
'*********************************************************


SUB DrawPlayer
    IF Player1.Attacking = 1 THEN
        _DEST Collision&
        LINE (Player1.XPos - (Player1.Size + Player1.WidthMod), Player1.YPos - Player1.Size)-(Player1.XPos + (Player1.WidthMod + Player1.Size), Player1.YPos + Player1.Size), _RGB(0, 254, Player1.Direction), BF
    ELSE
        IF Player1.AnimationDelay >= Player1.MaxDelay THEN
            Player1.AnimationDelay = 0
            IF Player1.Frame = 1 THEN
                Player1.Frame = 2
            ELSE
                Player1.Frame = 1
            END IF
        ELSEIF Player1.Animate = 1 THEN
            Player1.AnimationDelay = Player1.AnimationDelay + 1
        END IF
        _DEST Collision&

        SquareSizeP = Player1.Size - 2
        SquareSizeH = Player1.Size / 2

        IF Player1.LikeLocked = 0 AND Player1.OnRaft = 0 THEN
            LINE (Player1.XPos - SquareSizeP, Player1.YPos - SquareSizeP)-(Player1.XPos + SquareSizeP, Player1.YPos + SquareSizeP), _RGB(0, 254, 1), B
            LINE (Player1.XPos - SquareSizeP, Player1.YPos - SquareSizeP)-(Player1.XPos + SquareSizeP, Player1.YPos + SquareSizeP), _RGB(0, 254, 1)
            LINE (Player1.XPos + SquareSizeP, Player1.YPos - SquareSizeP)-(Player1.XPos - SquareSizeP, Player1.YPos + SquareSizeP), _RGB(0, 254, 1)

            PAINT (Player1.XPos, Player1.YPos - 4), _RGB(0, 254, 1), _RGB(0, 254, 1)
            PAINT (Player1.XPos + 4, Player1.YPos), _RGB(0, 254, 2), _RGB(0, 254, 1)
            PAINT (Player1.XPos, Player1.YPos + 4), _RGB(0, 254, 3), _RGB(0, 254, 1)
            PAINT (Player1.XPos - 4, Player1.YPos), _RGB(0, 254, 4), _RGB(0, 254, 1)

            IF Settings.Debug <> 0 THEN
                LINE (Player1.XPos - SquareSizeP, Player1.YPos - SquareSizeP)-(Player1.XPos + SquareSizeP, Player1.YPos + SquareSizeP), _RGB(0, 0, 0), B
                LINE (Player1.XPos - SquareSizeP, Player1.YPos - SquareSizeP)-(Player1.XPos + SquareSizeP, Player1.YPos + SquareSizeP), _RGB(0, 0, 0)
                LINE (Player1.XPos + SquareSizeP, Player1.YPos - SquareSizeP)-(Player1.XPos - SquareSizeP, Player1.YPos + SquareSizeP), _RGB(0, 0, 0)
            END IF

            IF Player1.Direction = 1 THEN LINE (Player1.XPos - SquareSizeP, Player1.YPos - SquareSizeP)-(Player1.XPos + SquareSizeP, Player1.YPos - SquareSizeH), _RGB(0, 254, 1), BF
            IF Player1.Direction = 2 THEN LINE (Player1.XPos + SquareSizeH, Player1.YPos - SquareSizeP)-(Player1.XPos + SquareSizeP, Player1.YPos + SquareSizeP), _RGB(0, 254, 2), BF
            IF Player1.Direction = 3 THEN LINE (Player1.XPos - SquareSizeP, Player1.YPos + SquareSizeH)-(Player1.XPos + SquareSizeP, Player1.YPos + SquareSizeP), _RGB(0, 254, 3), BF
            IF Player1.Direction = 4 THEN LINE (Player1.XPos - SquareSizeP, Player1.YPos - SquareSizeP)-(Player1.XPos - SquareSizeH, Player1.YPos + SquareSizeP), _RGB(0, 254, 4), BF
        END IF
    END IF
END SUB






'*********************************************************
'* Draws Link's sprite to 'Target&' screen
'*
'*
'*********************************************************

SUB DrawPlayerSprite (Target&)
    IF Settings.Debug <> 0 THEN
        _DEST DebugScreen&
        IF Player1.Direction = 1 THEN CIRCLE (Player1.XPos - Player1.Size + Player1.CheckOffset, Player1.YPos - Player1.Size), 5, _RGB(100, 254, 0)
        IF Player1.Direction = 1 THEN CIRCLE (Player1.XPos + Player1.Size - Player1.CheckOffset, Player1.YPos - Player1.Size), 5, _RGB(100, 254, 0)
        IF Player1.Direction = 2 THEN CIRCLE (Player1.XPos + Player1.Size, Player1.YPos - Player1.Size + Player1.CheckOffset), 5, _RGB(100, 254, 0)
        IF Player1.Direction = 2 THEN CIRCLE (Player1.XPos + Player1.Size, Player1.YPos + Player1.Size - Player1.CheckOffset), 5, _RGB(100, 254, 0)
        IF Player1.Direction = 3 THEN CIRCLE (Player1.XPos - Player1.Size + Player1.CheckOffset, Player1.YPos + Player1.Size), 5, _RGB(100, 254, 0)
        IF Player1.Direction = 3 THEN CIRCLE (Player1.XPos + Player1.Size - Player1.CheckOffset, Player1.YPos + Player1.Size), 5, _RGB(100, 254, 0)
        IF Player1.Direction = 4 THEN CIRCLE (Player1.XPos - Player1.Size, Player1.YPos - Player1.Size + Player1.CheckOffset), 5, _RGB(100, 254, 0)
        IF Player1.Direction = 4 THEN CIRCLE (Player1.XPos - Player1.Size, Player1.YPos + Player1.Size - Player1.CheckOffset), 5, _RGB(100, 254, 0)
        _DEST Target&
    END IF


    IF Player1.Hurt <> 0 OR Player1.Clock = 1 THEN
        IF Player1.Attacking = 1 THEN
            LinkBust& = SwapColor(LinkSprites(Player1.Direction, 3, 1), _RGB(184, 248, 24), _RGB(RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0)))
        ELSE
            LinkBust& = SwapColor(LinkSprites(Player1.Direction, Player1.Frame, 1), _RGB(184, 248, 24), _RGB(RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0)))
        END IF
        _PUTIMAGE (Player1.XPos - Player1.Size, Player1.YPos - Player1.Size)-(Player1.XPos + Player1.Size, Player1.YPos + Player1.Size), LinkBust&, Target&
        IF Player1.HaveMagicShield = 1 AND Player1.Direction <> 1 AND Player1.Frame < 3 THEN _PUTIMAGE (Player1.XPos - Player1.Size, Player1.YPos - Player1.Size)-(Player1.XPos + Player1.Size, Player1.YPos + Player1.Size), ShieldSprites(Player1.Direction), Target&
        _FREEIMAGE LinkBust&

    ELSE
        IF Player1.Attacking = 1 THEN
            _PUTIMAGE (Player1.XPos - (Player1.Size + Player1.WidthMod), Player1.YPos - Player1.Size)-(Player1.XPos + (Player1.WidthMod + Player1.Size), Player1.YPos + Player1.Size), LinkSprites(Player1.Direction, 3, Player1.Ring), Target&
        ELSE

            IF Player1.OnRaft <> 0 THEN
                IF Player1.Direction = 1 OR Player1.Direction = 3 THEN
                    _PUTIMAGE (Player1.XPos - Player1.Size, Player1.YPos - Player1.Size)-(Player1.XPos + Player1.Size, Player1.YPos + Player1.Size), RaftSprites(Player1.Direction), Target&
                ELSE
                    _PUTIMAGE (Player1.XPos - Player1.Size, Player1.YPos - (Player1.Size / 2))-(Player1.XPos + Player1.Size, Player1.YPos + Player1.Size), RaftSprites(Player1.Direction), Target&
                END IF
            END IF

            _PUTIMAGE (Player1.XPos - Player1.Size, Player1.YPos - Player1.Size)-(Player1.XPos + Player1.Size, Player1.YPos + Player1.Size), LinkSprites(Player1.Direction, Player1.Frame, Player1.Ring), Target&
            IF Player1.HaveMagicShield = 1 AND Player1.Direction <> 1 AND Player1.Frame < 3 THEN _PUTIMAGE (Player1.XPos - Player1.Size, Player1.YPos - Player1.Size)-(Player1.XPos + Player1.Size, Player1.YPos + Player1.Size), ShieldSprites(Player1.Direction), Target&
        END IF

    END IF

    IF Player1.LikeLocked <> 0 THEN
        IF Sprites(Player1.LikeLocked).Hurt = 0 THEN
            _PUTIMAGE (Sprites(Player1.LikeLocked).XPos - Sprites(Player1.LikeLocked).Size, Sprites(Player1.LikeLocked).YPos - Sprites(Player1.LikeLocked).Size)-(Sprites(Player1.LikeLocked).XPos + Sprites(Player1.LikeLocked).Size, Sprites(Player1.LikeLocked).YPos + Sprites(Player1.LikeLocked).Size), LikeLikeSprites(Sprites(Player1.LikeLocked).Frame), Target&
        ELSE
            BustSprite& = SwapColor(LikeLikeSprites(2), _RGB(255, 160, 68), _RGB(RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0)))
            _PUTIMAGE (Sprites(Player1.LikeLocked).XPos - Sprites(Player1.LikeLocked).Size - XAdd, Sprites(Player1.LikeLocked).YPos - Sprites(Player1.LikeLocked).Size)-(Sprites(Player1.LikeLocked).XPos + Sprites(Player1.LikeLocked).Size + XAdd, Sprites(Player1.LikeLocked).YPos + Sprites(Player1.LikeLocked).Size), BustSprite&, Target&
            _FREEIMAGE BustSprite&

        END IF
    END IF
END SUB





'*********************************************************
'*  Chesk of an attack of Link's hit anything
'*
'* XPos and YPos - location to check
'* Direction - Direction of travel
'* Attack - Which attack, 1 - sword 2 - flying sword
'*********************************************************
SUB CheckAttackHit (XPos, YPos, Direction, Attack)
    _SOURCE Collision&
    IF Player1.LikeLocked <> 0 THEN
        XPos = Player1.XPos
        YPos = Player1.YPos
    END IF

    IF XPos > Settings.RezX - 21 THEN XPos = Settings.RezX - 21
    IF XPos < 21 THEN XPos = 21
    IF YPos > Settings.RezY - 16 THEN YPos = Settings.RezY - 16

    ShieldHit = 0
    IF Attack < 3 THEN
        IF Direction = 1 THEN Check& = POINT(XPos, YPos - 15)
        IF Direction = 2 THEN Check& = POINT(XPos + 20, YPos)
        IF Direction = 3 THEN Check& = POINT(XPos, YPos + 15)
        IF Direction = 4 THEN Check& = POINT(XPos - 20, YPos)
    END IF


    IF _RED(Check&) > 250 THEN
        IF _RED(Check&) = 251 AND Attack = 1 THEN
            ShieldHit = -1
            Sprites(_BLUE(Check&)).Hurt = 1
        ELSEIF _RED(Check&) = 251 AND Attack = 2 AND Player1.Sword = 4 THEN
            ShieldHit = -1
            Sprites(_BLUE(Check&)).Hurt = 1
        ELSEIF _RED(Check&) = 251 AND Attack = 2 THEN
            ShieldHit = -1
        ELSEIF _RED(Check&) = 252 OR _RED(Check&) = 253 THEN
            ShieldHit = 1
        ELSE
            IF RIGHT$(Sprites(_BLUE(Check&)).Name, 4) = "Dark" THEN
                IF Direction = 1 AND Sprites(_BLUE(Check&)).Direction = 3 THEN ShieldHit = 1
                IF Direction = 2 AND Sprites(_BLUE(Check&)).Direction = 4 THEN ShieldHit = 1
                IF Direction = 3 AND Sprites(_BLUE(Check&)).Direction = 1 THEN ShieldHit = 1
                IF Direction = 4 AND Sprites(_BLUE(Check&)).Direction = 2 THEN ShieldHit = 1
            ELSEIF RIGHT$(Sprites(_BLUE(Check&)).Name, 4) = "Gohm" THEN
                ShieldHit = 1
            END IF
        END IF


        IF ShieldHit = 0 THEN
            Sprites(_BLUE(Check&)).Health = Sprites(_BLUE(Check&)).Health - Player1.SwordDamage
            Sprites(_BLUE(Check&)).Hurt = 1
            Sprites(_BLUE(Check&)).HurtMove = Direction
            IF Attack = 2 THEN
                Attack(2).Active = 0
                CALL SpawnSprite("Spark", Attack(2).XPos, Attack(2).YPos, 0, 0, 0, 0)
            END IF
        ELSEIF ShieldHit = 1 THEN
            CALL SoundBoard("Shield", -1)
            IF Attack = 2 THEN
                Attack(2).Active = 0
                CALL SpawnSprite("Spark", Attack(2).XPos, Attack(2).YPos, 0, 0, 0, 0)
            END IF
        END IF
    END IF
END SUB



'*********************************************************
'* Used by projectiles to see if they hit Link's shield
'*
'*
'*********************************************************
FUNCTION CheckIfHitShield (Direction, RequireUpgrade)
    CheckIfHitShield = 0

    IF Direction = 1 AND Player1.Direction = 1 THEN CheckIfHitShield = 1
    IF Direction = 2 AND Player1.Direction = 2 THEN CheckIfHitShield = 1
    IF Direction = 3 AND Player1.Direction = 3 THEN CheckIfHitShield = 1
    IF Direction = 4 AND Player1.Direction = 4 THEN CheckIfHitShield = 1

    IF RequireUpgrade = 1 AND Player1.HaveMagicShield = 0 THEN CheckIfHitShield = 0
    IF Player1.Attacking = 1 THEN CheckIfHitShield = 0
END FUNCTION


'*********************************************************
'* Fanfare
'*
'* Starts the celebration.
'* x - object location causing fanfare
'* FanfareType - One hand, Two hands, or Meh
'*********************************************************
SUB Fanfare (x, FanfareType)
    IF FanfareType = 1 THEN 'one hand
        CALL JukeBox(-1)
        CALL SoundBoard("Item", -1)
        CALL SoundBoard("Fanfare", -1)
        Settings.LockAttack = 1
        Special(x).MaxCount = 200
        Special(x).XPos = Player1.XPos - (Player1.Size / 2)
        Special(x).YPos = Player1.YPos - (Player1.Size * 2)
        CALL DrawPlayerSprite(Sprites&)
        Player1.Animate = 0
        Player1.Direction = 3
        Player1.Frame = 4
        Player1.CanAttack = 0
        Player1.CanMove = 0
        Player1.LockSecondary = 1
        Player1.AnimationDelay = 0

    ELSEIF FanfareType = 2 THEN 'two hands
        CALL SoundBoard("Item", -1)
        CALL JukeBox(6)
        Settings.LockAttack = 1
        Special(x).MaxCount = 60
        Special(x).XPos = Player1.XPos
        Special(x).YPos = Player1.YPos - (Player1.Size * 2)
        Special(x).Stage = 2
        Player1.Animate = 0
        Player1.Direction = 3
        Player1.Frame = 5
        Player1.CanAttack = 0
        Player1.CanMove = 0
        Player1.LockSecondary = 1
        Player1.AnimationDelay = 0

    ELSE 'everything else
        CALL JukeBox(-2)
        Settings.LockAttack = 0
        Player1.Frame = 1
        Player1.CanAttack = 1
        Player1.CanMove = 1
        Player1.LockSecondary = 0
        Player1.Animate = 1

    END IF
END SUB



'*********************************************************
'* Used by CheckPlayerCollision to pull the collision data
'* based on the direction he is facing
'*
'*********************************************************

SUB GetPlayerCollisionData (Check1&, Check2&)
    _SOURCE Collision&
    IF Player1.Direction = 1 THEN
        Check1& = POINT(Player1.XPos - Player1.Size + Player1.CheckOffset, Player1.YPos - Player1.Size)
        Check2& = POINT(Player1.XPos + Player1.Size - Player1.CheckOffset, Player1.YPos - Player1.Size)

    ELSEIF Player1.Direction = 2 THEN
        Check1& = POINT(Player1.XPos + Player1.Size, Player1.YPos - Player1.Size + Player1.CheckOffset)
        Check2& = POINT(Player1.XPos + Player1.Size, Player1.YPos + Player1.Size - Player1.CheckOffset)

    ELSEIF Player1.Direction = 3 THEN
        Check1& = POINT(Player1.XPos - Player1.Size + Player1.CheckOffset, Player1.YPos + Player1.Size)
        Check2& = POINT(Player1.XPos + Player1.Size - Player1.CheckOffset, Player1.YPos + Player1.Size)

    ELSEIF Player1.Direction = 4 THEN
        Check1& = POINT(Player1.XPos - Player1.Size, Player1.YPos - Player1.Size + Player1.CheckOffset)
        Check2& = POINT(Player1.XPos - Player1.Size, Player1.YPos + Player1.Size - Player1.CheckOffset)
    END IF

    IF Settings.Debug = 1 THEN
        Settings.Collision1 = Check1&
        Settings.Collision2 = Check2&
    END IF
END SUB
