'*********************************************************
'* Magic is spawned by both wand and wizzrobes
'*
'*
'*********************************************************

SUB MagicMain (x)
    IF Projectile(x).Stage = 0 THEN CALL SoundBoard("Magic", -1): Projectile(x).Stage = 1

    Projectile(x).XPos = Projectile(x).XPos + Projectile(x).MoveX
    Projectile(x).YPos = Projectile(x).YPos + Projectile(x).MoveY

    IF Projectile(x).XPos < Settings.LeftLimit - 20 OR Projectile(x).XPos < 0 + (Projectile(x).Size * 2.5) THEN CALL KillProjectile(x)
    IF Projectile(x).XPos > Settings.RightLimit + 20 OR Projectile(x).XPos > Settings.RezX - (Projectile(x).Size * 2.5) THEN CALL KillProjectile(x)
    IF Projectile(x).YPos < Settings.TopLimit - 20 OR Projectile(x).YPos < 200 + (Projectile(x).Size * 2.5) THEN CALL KillProjectile(x)
    IF Projectile(x).YPos > Settings.BottomLimit + 20 OR Projectile(x).YPos > Settings.RezY - (Projectile(x).Size * 2.5) THEN CALL KillProjectile(x)

    CALL ProjectileCollision(x)
    Temp& = SwapColor(MagicSprites&(Projectile(x).Direction), _RGB(0, 0, 168), _RGB(RandomGen(255, 0, "+", 0), RandomGen(255, 0, "+", 0), RandomGen(255, 0, "+", 0)))
    IF Projectile(x).Active = 1 THEN _PUTIMAGE (Projectile(x).XPos - Projectile(x).Size, Projectile(x).YPos - Projectile(x).Size)-(Projectile(x).XPos + Projectile(x).Size, Projectile(x).YPos + Projectile(x).Size), Temp&, Sprites&
    _FREEIMAGE Temp&
END SUB