'*********************************************************
'* SUB GrumbleMain (x)
'*
'* Main code for the Grumble Grumble guy.
'*********************************************************

SUB GrumbleMain (x)
    IF Special(x).Stage = 0 THEN
        Special(x).Stage = 1
    ELSEIF Special(x).Stage = 1 THEN
        CALL PrintTxT(CHR$(13) + "Grumble, Grumble...")
        Special(x).Stage = 2

    ELSEIF Special(x).Stage = 2 THEN
        _DEST Collision&
        _SOURCE Collision&

        LINE (Settings.LeftLimit, Settings.TopLimit)-(Settings.RightLimit, Special(x).YPos + Special(x).Size), _RGB(20, 0, 20), BF
        IF Settings.Debug <> 0 THEN
            _DEST DebugScreen&
            CIRCLE (Special(x).XPos, Special(x).YPos + (Special(x).Size * 2)), 5, _RGB(200, 50, 200)
        END IF

        IF _RED(POINT(Special(x).XPos, Special(x).YPos + (Special(x).Size * 2))) = 120 THEN Special(x).Stage = 3

    ELSEIF Special(x).Stage = 3 THEN
        Special(x).Counter = Special(x).Counter + 1
        IF Special(x).Counter = 255 THEN Special(x).Stage = 4

    ELSEIF Special(x).Stage = 4 THEN
        CALL KillSpecialSprite(_BLUE(POINT(Special(x).XPos, Special(x).YPos + (Special(x).Size * 2))))
        CALL KillSpecialSprite(x)
        CALL DeleteSprite(78)
        Player1.LockSecondary = 0

        CALL SoundBoard("Secret", -1)
        CALL DrawMap(Scene&, Foreground&, 0, 0)

    END IF


    IF Special(x).Stage = 3 THEN
        Tmp& = _COPYIMAGE(DungTile(13, 1))
        _PUTIMAGE , GoriyaSprites(3, 1), Tmp&
        _SETALPHA 255 - Special(x).Counter, , Tmp&
        _PUTIMAGE (Special(x).XPos - Special(x).Size - 1, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size + 1, Special(x).YPos + Special(x).Size), Tmp&, Sprites&
        _FREEIMAGE Tmp&
    ELSEIF Special(x).Stage < 3 THEN
        _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), GoriyaSprites(3, 1), Sprites&
    END IF
END SUB




'*********************************************************
'* SUB OldGuyMain (x)
'*
'* Main code for Gandalf, the dude that stops link when he does
'* not have all 8 triforce pieces
'*********************************************************

SUB OldGuyMain (x)
    IF Special(x).Stage = 0 THEN
        IF Player1.Triforce = 8 THEN
            KillSpecialSprite (x)
        ELSE
            Special(x).Stage = 1
        END IF

    ELSEIF Special(x).Stage = 1 THEN
        CALL PrintTxT(CHR$(13) + "You shall not pass without the triforce!")
        Special(x).Stage = 2

    ELSEIF Special(x).Stage = 2 THEN
        _DEST Collision&
        LINE (Settings.LeftLimit, Settings.TopLimit)-(Settings.RightLimit, Special(x).YPos + 100), _RGB(20, 0, 20), BF
    END IF

    IF Special(x).Stage <> 0 THEN _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), CharacterSprites(2), Sprites&
END SUB



'*********************************************************
'* Sub GuyMain(x)
'*
'* Random dude sprite, nothing fancy
'*********************************************************

SUB GuyMain (x)
    _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), CharacterSprites(Special(x).Frame), Sprites&
    _DEST Collision&
    LINE (Special(x).XPos - Player1.Size, Special(x).YPos - Player1.Size)-(Special(x).XPos + Player1.Size, Special(x).YPos + Player1.Size), _RGB(20, 0, x), BF
END SUB


'*********************************************************
'* Sub OldWomanMain(x)
'*
'* Old Woman sprite, nothing fancy
'*********************************************************

SUB OldWomanMain (x)
    _PUTIMAGE (Special(x).XPos - Special(x).Size, Special(x).YPos - Special(x).Size)-(Special(x).XPos + Special(x).Size, Special(x).YPos + Special(x).Size), CharacterSprites(Special(x).Frame), Sprites&
    _DEST Collision&
    LINE (Special(x).XPos - Player1.Size, Special(x).YPos - Player1.Size)-(Special(x).XPos + Player1.Size, Special(x).YPos + Player1.Size), _RGB(20, 0, x), BF
END SUB