'*********************************************************
'* Main code for PolsVoice
'*
'*
'*********************************************************
SUB PolsVoiceMain (x)
    IF Sprites(x).Hurt = 0 THEN
        Sprites(x).MaxCount2 = 30

        IF Sprites(x).Jumping = 0 THEN
            CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
            IF Sprites(x).Counter = Sprites(x).MaxCount THEN
                IF PercentChance(50) = 1 THEN Sprites(x).Jumping = 1
            END IF

        ELSEIF Sprites(x).Jumping = 1 THEN
            Sprites(x).YPos = Sprites(x).YPos - (Sprites(x).Speed + 1)
            Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
            Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY
            Sprites(x).Counter2 = Sprites(x).Counter2 + 1

            IF Sprites(x).XPos < Settings.LeftLimit + Sprites(x).Size + 5 THEN
                Sprites(x).XPos = Settings.LeftLimit + Sprites(x).Size + 6
                Sprites(x).Direction = 2
                Sprites(x).MoveX = Sprites(x).Speed
            ELSEIF Sprites(x).XPos > Settings.RightLimit - Sprites(x).Size - 5 THEN
                Sprites(x).XPos = Settings.RightLimit - Sprites(x).Size - 6
                Sprites(x).Direction = 4
                Sprites(x).MoveX = Sprites(x).Speed * -1
            ELSEIF Sprites(x).YPos < Settings.TopLimit + Sprites(x).Size + 5 AND Sprites(x).Direction = 1 THEN
                Sprites(x).YPos = Settings.TopLimit + Sprites(x).Size + 6
                Sprites(x).Counter2 = Sprites(x).MaxCount2
            END IF

            IF Sprites(x).Counter2 >= Sprites(x).MaxCount2 THEN
                Sprites(x).Jumping = 2
                Sprites(x).Counter2 = 0
            END IF

        ELSEIF Sprites(x).Jumping = 2 THEN
            Sprites(x).YPos = Sprites(x).YPos + (Sprites(x).Speed + 1)
            Sprites(x).XPos = Sprites(x).XPos + Sprites(x).MoveX
            Sprites(x).YPos = Sprites(x).YPos + Sprites(x).MoveY
            Sprites(x).Counter2 = Sprites(x).Counter2 + 1

            IF Sprites(x).XPos < Settings.LeftLimit + Sprites(x).Size + 5 THEN
                Sprites(x).XPos = Settings.LeftLimit + Sprites(x).Size + 6
                Sprites(x).Direction = 2
                Sprites(x).MoveX = Sprites(x).Speed
            ELSEIF Sprites(x).XPos > Settings.RightLimit - Sprites(x).Size - 5 THEN
                Sprites(x).XPos = Settings.RightLimit - Sprites(x).Size - 6
                Sprites(x).Direction = 4
                Sprites(x).MoveX = Sprites(x).Speed * -1

            ELSEIF Sprites(x).YPos > Settings.BottomLimit - Sprites(x).Size - 5 THEN
                Sprites(x).YPos = Settings.BottomLimit - Sprites(x).Size - 6
                Sprites(x).Counter = Sprites(x).MaxCount
                Sprites(x).Counter2 = Sprites(x).MaxCount2
            END IF

            IF Sprites(x).Counter2 = Sprites(x).MaxCount2 THEN
                Sprites(x).Jumping = 0
                Sprites(x).Counter2 = 0
                Sprites(x).Counter = Sprites(x).MaxCount
            END IF
        END IF

        Sprites(x).AnimationDelay = Sprites(x).AnimationDelay + 1
        IF Sprites(x).AnimationDelay = Sprites(x).MaxDelay THEN
            Sprites(x).Frame = Sprites(x).Frame + 1
            IF Sprites(x).Frame = 3 THEN Sprites(x).Frame = 1
            Sprites(x).AnimationDelay = 0
        END IF

        CALL MobCollision2(Sprites(x).XPos, Sprites(x).YPos, Sprites(x).Size, x)
        _PUTIMAGE (Sprites(x).XPos - Sprites(x).Size, Sprites(x).YPos - Sprites(x).Size)-(Sprites(x).XPos + Sprites(x).Size, Sprites(x).YPos + Sprites(x).Size), PolsVoiceSprites(Sprites(x).Frame), Sprites&
        _DEST Collision&
        LINE (Sprites(x).XPos - Sprites(x).Size - 5, Sprites(x).YPos - Sprites(x).Size - 5)-(Sprites(x).XPos + Sprites(x).Size + 5, Sprites(x).YPos + Sprites(x).Size + 5), _RGB(254, 1, x), BF

    ELSE
        CALL MobHurt(x, PolsVoiceSprites(Sprites(x).Frame), _RGB(255, 160, 68), 1, 0)
    END IF
END SUB
