'*********************************************************
'* Code for fire snake and Lamolas
'*
'*
'*********************************************************

SUB BigSnakesMain (x)
    IF Sprites(x).Stage = 1 THEN
        FOR start = 1 TO Sprites(x).SnakeSize
            SnakePosX(Sprites(x).SnakeNum, start) = Sprites(x).XPos
            SnakePosY(Sprites(x).SnakeNum, start) = Sprites(x).YPos
        NEXT start
        Sprites(x).Segments = 6
        Sprites(x).Stage = 2
        Sprites(x).Frame2 = 0

    ELSEIF Sprites(x).Stage = 2 THEN
        IF Sprites(x).Segments = 0 THEN
            Sprites(x).Health = 0
            EXIT SUB
        END IF

        IF Sprites(x).Name = "FSnak" THEN
            CALL MoveMob(8, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        ELSE
            CALL MoveMob(4, x, Sprites(x).WalkTime, Sprites(x).WalkAdd, 0)
        END IF

        FOR Segments = Sprites(x).Segments * Sprites(x).SnakeDivider TO 2 STEP -1
            SnakePosX(Sprites(x).SnakeNum, Segments) = SnakePosX(Sprites(x).SnakeNum, Segments - 1)
            SnakePosY(Sprites(x).SnakeNum, Segments) = SnakePosY(Sprites(x).SnakeNum, Segments - 1)
        NEXT Segments

        SnakePosX(Sprites(x).SnakeNum, 1) = Sprites(x).XPos
        SnakePosY(Sprites(x).SnakeNum, 1) = Sprites(x).YPos

        IF Sprites(x).Hurt = 0 THEN
            FOR Segments = Sprites(x).SnakeDivider TO Sprites(x).Segments * Sprites(x).SnakeDivider STEP Sprites(x).SnakeDivider
                _DEST Sprites&
                CALL MobCollision2(SnakePosX(Sprites(x).SnakeNum, Segments), SnakePosY(Sprites(x).SnakeNum, Segments), Sprites(x).Size, x)
                IF Sprites(x).Name = "FSnak" THEN
                    _PUTIMAGE (SnakePosX(Sprites(x).SnakeNum, Segments) - Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) - Sprites(x).Size)-(SnakePosX(Sprites(x).SnakeNum, Segments) + Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) + Sprites(x).Size), FireballSprite&, Sprites&
                ELSE
                    IF Segments = Sprites(x).SnakeDivider THEN
                        _PUTIMAGE (SnakePosX(Sprites(x).SnakeNum, Segments) - Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) - Sprites(x).Size)-(SnakePosX(Sprites(x).SnakeNum, Segments) + Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) + Sprites(x).Size), LanmolaSprites(Sprites(x).Frame, 1), Sprites&
                    ELSE
                        _PUTIMAGE (SnakePosX(Sprites(x).SnakeNum, Segments) - Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) - Sprites(x).Size)-(SnakePosX(Sprites(x).SnakeNum, Segments) + Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) + Sprites(x).Size), LanmolaSprites(Sprites(x).Frame, 2), Sprites&
                    END IF
                END IF
                _DEST Collision&
                LINE (SnakePosX(Sprites(x).SnakeNum, Segments) - Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) - Sprites(x).Size)-(SnakePosX(Sprites(x).SnakeNum, Segments) + Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) + Sprites(x).Size), _RGB(254, 0, x), BF
            NEXT Segments

        ELSE
            Sprites(x).Frame2 = Sprites(x).Frame2 + 1
            IF Sprites(x).Frame2 = 1 THEN CALL SoundBoard("Hit", -1)
            IF Sprites(x).Name = "FSnak" THEN CALL SoundBoard("BossHit", -1)
            IF Sprites(x).Frame2 = 16 THEN
                Sprites(x).Hurt = 0
                Sprites(x).Frame2 = 0
            END IF
            FOR Segments = Sprites(x).SnakeDivider TO Sprites(x).Segments * Sprites(x).SnakeDivider STEP Sprites(x).SnakeDivider
                IF Sprites(x).Name = "FSnak" THEN BustSprite& = SwapColor(FireballSprite&, _RGB(248, 56, 0), _RGB(RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0)))

                IF RIGHT$(Sprites(x).Name, 4) = "Lanm" THEN
                    IF Sprites(x).Name = "RLanm" THEN Swapc& = _RGB(248, 56, 0)
                    IF Sprites(x).Name = "BLanm" THEN Swapc& = _RGB(0, 0, 188)
                    IF Segments = Sprites(x).SnakeDivider THEN
                        BustSprite& = SwapColor(LanmolaSprites(Sprites(x).Frame, 1), Swapc&, _RGB(RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0)))
                    ELSE
                        BustSprite& = SwapColor(LanmolaSprites(Sprites(x).Frame, 2), Swapc&, _RGB(RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0), RandomGen(254, 0, "+", 0)))
                    END IF
                END IF

                _PUTIMAGE (SnakePosX(Sprites(x).SnakeNum, Segments) - Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) - Sprites(x).Size)-(SnakePosX(Sprites(x).SnakeNum, Segments) + Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) + Sprites(x).Size), BustSprite&, Sprites&
                _DEST Collision&
                LINE (SnakePosX(Sprites(x).SnakeNum, Segments) - Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) - Sprites(x).Size)-(SnakePosX(Sprites(x).SnakeNum, Segments) + Sprites(x).Size, SnakePosY(Sprites(x).SnakeNum, Segments) + Sprites(x).Size), _RGB(254, 0, x), BF
                _FREEIMAGE BustSprite&
            NEXT Segments
        END IF
    END IF
END SUB