'*********************************************************
'* SUB HiddenStair (x)
'*
'*  Checks if staircase can be revealed then alters zone and spaws stair
'*********************************************************

SUB HiddenStair (x)
    IF Special(x).Stage = 0 AND Settings.ShowStairs = 1 THEN
        MatrixX = GetMatrixX(x, 3)
        MatrixY = GetMatrixY(x, 3)
        SpriteMatrix(MatrixX, MatrixY) = Settings.SpriteDivider + 6
        CALL SpawnSprite("Stair", Special(x).XPos, Special(x).YPos, 0, x, 0, 1)
        CALL DrawMap(Scene&, Foreground&, 0, 0)
        CALL KillSpecialSprite(x)
        CALL SaveMap
        CALL SoundBoard("Secret", -1)
        IF Settings.Debug <> 0 THEN CALL PrintConsole("Enviroment -> Secret triggered.", 1)

    END IF
END SUB


'*********************************************************
'* SUB StariBox (x)
'*
'* Draws hitbox for staircase
'*********************************************************
SUB StairBox (x)
    _DEST Collision&
    LINE (Special(x).XPos - Special(x).SizeW, Special(x).YPos - Special(x).SizeH)-(Special(x).XPos + Special(x).SizeW, Special(x).YPos + Special(x).SizeH), _RGB(10, 0, 5), BF
END SUB