'*********************************************************
'* Main code for floor switches
'*
'*
'*********************************************************

SUB SwitchMain (x)
    IF AreAllDead = 1 THEN CALL SwitchCollision(x)

    IF Special(x).Stage = 1 THEN
        CALL CheckLockdown(1)
    ELSEIF Special(x).Stage = 2 THEN
        CALL CheckLockdown(2)
    END IF



    IF Special(x).Stage = 0 OR Special(x).Stage = 2 THEN
        _PUTIMAGE (Special(x).XPos - Special(x).SizeW, Special(x).YPos - Special(x).SizeH)-(Special(x).XPos + Special(x).SizeW, Special(x).YPos + Special(x).SizeH), DungTile(Special(x).Frame, ActiveMap.SubType), Sprites&
    END IF
END SUB


'*********************************************************
'* SwitchCollision
'*
'* Used to detect if something is on a floor switch
'*********************************************************
SUB SwitchCollision (SpriteNum)
    _SOURCE Collision&

    Point1& = POINT(Special(SpriteNum).XPos, Special(SpriteNum).YPos - SpriteHeight)
    Point2& = POINT(Special(SpriteNum).XPos + SpriteWidth, Special(SpriteNum).YPos)
    Point3& = POINT(Special(SpriteNum).XPos, Special(SpriteNum).YPos + SpriteHeight)
    Point4& = POINT(Special(SpriteNum).XPos - SpriteWidth, Special(SpriteNum).YPos)

    IF Settings.Debug <> 0 THEN
        _DEST DebugScreen&

        LINE (Special(SpriteNum).XPos - Special(SpriteNum).SizeW, Special(SpriteNum).YPos - Special(SpriteNum).SizeH)-(Special(SpriteNum).XPos + Special(SpriteNum).SizeW, Special(SpriteNum).YPos + Special(SpriteNum).SizeH), _RGB(255, 0, 255), B
        CIRCLE (Special(SpriteNum).XPos, Special(SpriteNum).YPos - SpriteHeight), 5, _RGB(255, 0, 255)
        CIRCLE (Special(SpriteNum).XPos + SpriteWidth, Special(SpriteNum).YPos), 5, _RGB(255, 0, 255)
        CIRCLE (Special(SpriteNum).XPos, Special(SpriteNum).YPos + SpriteHeight), 5, _RGB(255, 0, 255)
        CIRCLE (Special(SpriteNum).XPos - SpriteWidth, Special(SpriteNum).YPos), 5, _RGB(255, 0, 255)

    END IF

    IF _GREEN(Point1&) = 254 OR _RED(Point1&) = 20 OR _GREEN(Point2&) = 254 OR _RED(Point2&) = 20 OR _GREEN(Point3&) = 254 OR _RED(Point3&) = 20 OR _GREEN(Point4&) = 254 OR _RED(Point4&) = 20 THEN
        CALL SoundBoard("Switch", -1)
        IF Special(SpriteNum).Stage = 0 THEN Settings.ShowStairs = 1
        Special(SpriteNum).Stage = 1

    ELSE 'IF _GREEN(POINT(Special(SpriteNum).XPos, Special(SpriteNum).YPos)) <> 254 OR _RED(POINT(Special(SpriteNum).XPos, Special(SpriteNum).YPos)) <> 20 THEN
        IF Special(SpriteNum).Stage = 1 THEN Special(SpriteNum).Stage = 2

    END IF
END SUB