'**********************************************************************
'* Developed in QB64 v1.3.
'* If you use annything else, game will not act right.
'**********************************************************************


ON ERROR GOTO ErrorHandle
IF _FILEEXISTS("Error.txt") THEN KILL "Error.txt"

'$INCLUDE:'Engine\Global.h'
'$INCLUDE:'Engine\Main.h'
'$INCLUDE:'Engine\Controller.h'
'$INCLUDE:'Engine\Leaderclient.bh'




CALL InitEngine



DO
    IF Settings.Intro = 1 THEN CALL Intro
    IF Settings.MainMenu = 1 THEN CALL MainMenu

    IF ClockTrack <> VAL(MID$(TIME$, 7, 2)) AND Settings.Ending = 0 THEN
        Player1.Score = Player1.Score + 1

        ClockTrack = VAL(MID$(TIME$, 7, 2))
    END IF


    _LIMIT 60
    IF Settings.ModifyCash <> 0 AND Settings.ModifyingCash = 0 THEN
        TIMER(CashTimer) ON
        Settings.ModifyingCash = 1
    ELSEIF Settings.ModifyCash = 0 AND Settings.ModifyingCash = 1 THEN
        CALL SaveGame("Modifying Cash")
        TIMER(CashTimer) OFF
        Settings.ModifyingCash = 0
    END IF

    IF ActiveMap.OpenCondition > 0 AND Player1.Death = 0 THEN CALL CheckLockdown(0)
    IF ActiveMap.Type = 1 THEN CALL AnimateWater
    IF Player1.InRoom = 0 AND LinkInRoom = 1 THEN Player1.InRoom = 1

    IF _KEYDOWN(27) = -1 THEN
        CALL JukeBox(-3)
        CALL SoundBoard("", 0)
        Settings.MainMenu = 1
    ELSEIF Settings.Debug <> 0 AND _KEYDOWN(15104) = -1 THEN
        SCREEN Display&
    ELSEIF Settings.Debug <> 0 AND _KEYDOWN(15360) = -1 THEN
        SCREEN Collision&
    ELSEIF Settings.Debug <> 0 AND _KEYDOWN(15616) = -1 THEN
        SCREEN Transition&
    ELSEIF Settings.Debug <> 0 AND _KEYDOWN(15872) = -1 THEN
        SCREEN Scene&
    ELSEIF Settings.Debug <> 0 AND _KEYDOWN(16128) = -1 THEN
        SCREEN Sprites&
    ELSEIF Settings.Debug <> 0 AND _KEYDOWN(16384) = -1 THEN
        Player1.Health = 0
        CALL LinkDeath
    ELSEIF Settings.Debug <> 0 AND _KEYDOWN(34304) = -1 THEN
        ERROR 97
    END IF


    IF Controller.Enabled = 1 THEN CALL ReadController


    IF _KEYDOWN(87) = -1 OR _KEYDOWN(119) = -1 OR ControllerInput.DpadV = -1 THEN
        IF Player1.CanMove = 1 THEN CALL InputHandle("North")
    ELSEIF _KEYDOWN(83) = -1 OR _KEYDOWN(115) = -1 OR ControllerInput.DpadV = 1 THEN
        IF Player1.CanMove = 1 THEN CALL InputHandle("South")
    ELSEIF _KEYDOWN(65) = -1 OR _KEYDOWN(97) = -1 OR ControllerInput.DpadH = -1 THEN
        IF Player1.CanMove = 1 THEN CALL InputHandle("West")
    ELSEIF _KEYDOWN(68) = -1 OR _KEYDOWN(100) = -1 OR ControllerInput.DpadH = 1 THEN
        IF Player1.CanMove = 1 THEN CALL InputHandle("East")
    ELSEIF _KEYDOWN(9) = -1 AND Settings.LockInput < 2 THEN
        CALL PauseScreen
    ELSEIF ControllerInput.Start = -1 THEN
        CALL PauseScreen
    ELSE
        Player1.Animate = 0
    END IF


    IF _KEYDOWN(69) = -1 OR _KEYDOWN(101) = -1 OR ControllerInput.A = -1 THEN
        IF LinkInRoom = 1 AND Player1.Sword > 0 THEN
            Player1.Animate = 0
            IF Settings.LockAttack = 0 THEN
                CALL InputHandle("Primary")
                TIMER(SwordDelayTimer) ON
                Settings.LockAttack = 1
            END IF
        END IF
    ELSEIF _KEYDOWN(81) = -1 OR _KEYDOWN(113) = -1 OR ControllerInput.B = -1 THEN
        IF Player1.SecondaryWeapon <> 0 AND LinkInRoom = 1 THEN
            IF Player1.SecondaryWeapon <> 0 THEN
                CALL InputHandle("Secondary")
                TIMER(SwordDelayTimer) ON
                Settings.LockAttack = 1
            END IF
        END IF
    END IF

    IF _KEYDOWN(49) = 0 AND _KEYDOWN(50) = 0 THEN Settings.LockAccKeys = 0

    CALL DrawSprites
    CALL AssembleDisplay
    CALL CheckForAudioLoop

    ControllerCmd$ = ""
    ControllerUsed = 0
    Framecount = Framecount + 1
    Lockmovement$ = "0"

    IF Settings.DelayLinkHurt > 0 AND Settings.PlayerCollisionDetected = 0 THEN Settings.DelayLinkHurt = Settings.DelayLinkHurt - 1
    IF Player1.Health <= 2 AND Player1.Health > 0 AND _SNDPLAYING(SFX(21)) = 0 THEN CALL SoundBoard("LowHealth", -1)

    Settings.PlayerCollisionDetected = 0
LOOP

ErrorHandle:
CALL ErrorHandler

SUB LockMenu
    Settings.LockInput = 0
    TIMER(MenuTimer) OFF
END SUB






'$include:'Engine\LeaderClient.bi'
'$include:'Engine\Controller.bi'
'$include:'Engine\Error.bi'
'$include:'Engine\Engine.bi'
'$include:'Engine\Enviroment.bi'
'$include:'Engine\Global.bi'
'$include:'Engine\Math.bi'
'$include:'Engine\Sprites.bi'
'$include:'Engine\Store.bi'
'$include:'Engine\SpawnSprite.bi'
'$include:'Engine\UI.bi'
'$include:'Engine\Objectlist.bi'
'$include:'Engine\Menus.bi'

